
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800013b2')]      |
| SIG_REGION                | [('0x80003204', '0x800037ec', '378 words')]      |
| COV_LABELS                | caddi      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/caddi-01.S/caddi-01.S    |
| Total Number of coverpoints| 432     |
| Total Coverpoints Hit     | 432      |
| Total Signature Updates   | 378      |
| STAT1                     | 378      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                              coverpoints                                                               |                              code                               |
|---:|--------------------------|----------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------|
|   1|[0x80003204]<br>0xFFFFFFFC|- opcode : c.addi<br> - rd : x29<br> - rs1_val == imm_val<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -2<br> - rs1_val == -2<br> |[0x80000104]:c.addi t4, 62<br> [0x80000106]:sw t4, 0(a3)<br>     |
|   2|[0x80003208]<br>0x00000001|- rd : x25<br> - rs1_val != imm_val<br> - rs1_val < 0 and imm_val > 0<br> - imm_val == 4<br> - rs1_val == -3<br>                        |[0x8000010e]:c.addi s9, 4<br> [0x80000110]:sw s9, 4(a3)<br>      |
|   3|[0x8000320c]<br>0x00002004|- rd : x17<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val == 8192<br>                                                                  |[0x80000118]:c.addi a7, 4<br> [0x8000011a]:sw a7, 8(a3)<br>      |
|   4|[0x80003210]<br>0x5555554F|- rd : x30<br> - rs1_val > 0 and imm_val < 0<br> - rs1_val == 1431655765<br>                                                            |[0x80000126]:c.addi t5, 58<br> [0x80000128]:sw t5, 12(a3)<br>    |
|   5|[0x80003214]<br>0xFFFF4ADC|- rd : x12<br> - imm_val == (-2**(6-1))<br> - imm_val == -32<br>                                                                        |[0x80000134]:c.addi a2, 32<br> [0x80000136]:c.sw a3, a2, 16<br>  |
|   6|[0x80003218]<br>0x00001000|- rd : x3<br> - imm_val == 0<br> - rs1_val == 4096<br>                                                                                  |[0x8000013c]:c.addi.hint.gp<br> [0x8000013e]:sw gp, 20(a3)<br>   |
|   7|[0x8000321c]<br>0x55555574|- rd : x23<br> - imm_val == (2**(6-1)-1)<br> - imm_val == 31<br>                                                                        |[0x8000014a]:c.addi s7, 31<br> [0x8000014c]:sw s7, 24(a3)<br>    |
|   8|[0x80003220]<br>0xFFFF8000|- rd : x18<br> - imm_val == 1<br> - rs1_val == -32769<br>                                                                               |[0x80000158]:c.addi s2, 1<br> [0x8000015a]:sw s2, 28(a3)<br>     |
|   9|[0x80003224]<br>0x80000004|- rd : x7<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                              |[0x80000162]:c.addi t2, 4<br> [0x80000164]:sw t2, 32(a3)<br>     |
|  10|[0x80003228]<br>0xFFFFFFE0|- rd : x8<br> - rs1_val == 0<br>                                                                                                        |[0x8000016c]:c.addi fp, 32<br> [0x8000016e]:c.sw a3, s0, 36<br>  |
|  11|[0x8000322c]<br>0x7FFFFFFA|- rd : x4<br> - rs1_val == (2**(xlen-1)-1)<br> - imm_val == -5<br> - rs1_val == 2147483647<br>                                          |[0x80000178]:c.addi tp, 59<br> [0x8000017a]:sw tp, 40(a3)<br>    |
|  12|[0x80003230]<br>0x0000000C|- rd : x10<br> - rs1_val == 1<br>                                                                                                       |[0x80000182]:c.addi a0, 11<br> [0x80000184]:c.sw a3, a0, 44<br>  |
|  13|[0x80003234]<br>0xFFFFFFC1|- rd : x1<br> - imm_val == 2<br> - rs1_val == -65<br>                                                                                   |[0x8000018a]:c.addi ra, 2<br> [0x8000018c]:sw ra, 48(a3)<br>     |
|  14|[0x80003238]<br>0xFFFFF807|- rd : x5<br> - imm_val == 8<br> - rs1_val == -2049<br>                                                                                 |[0x80000198]:c.addi t0, 8<br> [0x8000019a]:sw t0, 52(a3)<br>     |
|  15|[0x8000323c]<br>0x00000010|- rd : x2<br> - imm_val == 16<br>                                                                                                       |[0x800001a2]:c.addi sp, 16<br> [0x800001a4]:sw sp, 56(a3)<br>    |
|  16|[0x80003240]<br>0x0000B501|- rd : x24<br> - imm_val == -3<br>                                                                                                      |[0x800001b0]:c.addi s8, 61<br> [0x800001b2]:sw s8, 60(a3)<br>    |
|  17|[0x80003244]<br>0xFFFFFFF7|- rd : x28<br> - imm_val == -9<br>                                                                                                      |[0x800001ba]:c.addi t3, 55<br> [0x800001bc]:sw t3, 64(a3)<br>    |
|  18|[0x80003248]<br>0xFFFFFFE6|- rd : x21<br> - imm_val == -17<br> - rs1_val == -9<br>                                                                                 |[0x800001c4]:c.addi s5, 47<br> [0x800001c6]:sw s5, 68(a3)<br>    |
|  19|[0x8000324c]<br>0x5555556A|- rd : x9<br> - imm_val == 21<br>                                                                                                       |[0x800001d2]:c.addi s1, 21<br> [0x800001d4]:c.sw a3, s1, 72<br>  |
|  20|[0x80003250]<br>0x0FFFFFEA|- rd : x31<br> - imm_val == -22<br> - rs1_val == 268435456<br>                                                                          |[0x800001da]:c.addi t6, 42<br> [0x800001dc]:sw t6, 76(a3)<br>    |
|  21|[0x80003254]<br>0x00000000|- rd : x26<br> - rs1_val == 2<br> - rs1_val==2 and imm_val==-2<br>                                                                      |[0x800001e4]:c.addi s10, 62<br> [0x800001e6]:sw s10, 80(a3)<br>  |
|  22|[0x80003258]<br>0x00000009|- rd : x27<br> - rs1_val == 4<br> - rs1_val==4 and imm_val==5<br>                                                                       |[0x800001ee]:c.addi s11, 5<br> [0x800001f0]:sw s11, 84(a3)<br>   |
|  23|[0x8000325c]<br>0x0000001D|- rd : x19<br> - rs1_val == 8<br>                                                                                                       |[0x800001f8]:c.addi s3, 21<br> [0x800001fa]:sw s3, 88(a3)<br>    |
|  24|[0x80003260]<br>0x00000014|- rd : x11<br> - rs1_val == 16<br>                                                                                                      |[0x80000202]:c.addi a1, 4<br> [0x80000204]:c.sw a3, a1, 92<br>   |
|  25|[0x80003264]<br>0x00000026|- rd : x20<br> - rs1_val == 32<br>                                                                                                      |[0x8000020a]:c.addi s4, 6<br> [0x8000020c]:sw s4, 96(a3)<br>     |
|  26|[0x80003268]<br>0x00000044|- rd : x6<br> - rs1_val == 64<br>                                                                                                       |[0x80000214]:c.addi t1, 4<br> [0x80000216]:sw t1, 100(a3)<br>    |
|  27|[0x8000326c]<br>0x0000008A|- rd : x15<br> - rs1_val == 128<br>                                                                                                     |[0x8000021e]:c.addi a5, 10<br> [0x80000220]:c.sw a3, a5, 104<br> |
|  28|[0x80003270]<br>0x000000EA|- rd : x14<br> - rs1_val == 256<br>                                                                                                     |[0x80000226]:c.addi a4, 42<br> [0x80000228]:c.sw a3, a4, 108<br> |
|  29|[0x80003274]<br>0x00000207|- rd : x22<br> - rs1_val == 512<br>                                                                                                     |[0x80000236]:c.addi s6, 7<br> [0x80000238]:sw s6, 0(ra)<br>      |
|  30|[0x80003278]<br>0x00000405|- rd : x13<br> - rs1_val == 1024<br>                                                                                                    |[0x80000240]:c.addi a3, 5<br> [0x80000242]:sw a3, 4(ra)<br>      |
|  31|[0x8000327c]<br>0x000007F6|- rd : x16<br> - rs1_val == 2048<br>                                                                                                    |[0x8000024e]:c.addi a6, 54<br> [0x80000250]:sw a6, 8(ra)<br>     |
|  32|[0x80003280]<br>0x00004002|- rs1_val == 16384<br>                                                                                                                  |[0x80000258]:c.addi a0, 2<br> [0x8000025a]:sw a0, 12(ra)<br>     |
|  33|[0x80003284]<br>0x00008004|- rs1_val == 32768<br>                                                                                                                  |[0x80000262]:c.addi a0, 4<br> [0x80000264]:sw a0, 16(ra)<br>     |
|  34|[0x80003288]<br>0x0000FFF7|- rs1_val == 65536<br>                                                                                                                  |[0x8000026c]:c.addi a0, 55<br> [0x8000026e]:sw a0, 20(ra)<br>    |
|  35|[0x8000328c]<br>0x00020005|- rs1_val == 131072<br>                                                                                                                 |[0x80000276]:c.addi a0, 5<br> [0x80000278]:sw a0, 24(ra)<br>     |
|  36|[0x80003290]<br>0x0003FFFC|- rs1_val == 262144<br>                                                                                                                 |[0x80000280]:c.addi a0, 60<br> [0x80000282]:sw a0, 28(ra)<br>    |
|  37|[0x80003294]<br>0x00080007|- rs1_val == 524288<br>                                                                                                                 |[0x8000028a]:c.addi a0, 7<br> [0x8000028c]:sw a0, 32(ra)<br>     |
|  38|[0x80003298]<br>0x000FFFFE|- rs1_val == 1048576<br>                                                                                                                |[0x80000294]:c.addi a0, 62<br> [0x80000296]:sw a0, 36(ra)<br>    |
|  39|[0x8000329c]<br>0x00200002|- rs1_val == 2097152<br>                                                                                                                |[0x8000029e]:c.addi a0, 2<br> [0x800002a0]:sw a0, 40(ra)<br>     |
|  40|[0x800032a0]<br>0x00400003|- rs1_val == 4194304<br>                                                                                                                |[0x800002a8]:c.addi a0, 3<br> [0x800002aa]:sw a0, 44(ra)<br>     |
|  41|[0x800032a4]<br>0x00800006|- rs1_val == 8388608<br>                                                                                                                |[0x800002b2]:c.addi a0, 6<br> [0x800002b4]:sw a0, 48(ra)<br>     |
|  42|[0x800032a8]<br>0x01000015|- rs1_val == 16777216<br>                                                                                                               |[0x800002bc]:c.addi a0, 21<br> [0x800002be]:sw a0, 52(ra)<br>    |
|  43|[0x800032ac]<br>0x01FFFFF8|- rs1_val == 33554432<br>                                                                                                               |[0x800002c6]:c.addi a0, 56<br> [0x800002c8]:sw a0, 56(ra)<br>    |
|  44|[0x800032b0]<br>0x03FFFFF6|- rs1_val == 67108864<br>                                                                                                               |[0x800002d0]:c.addi a0, 54<br> [0x800002d2]:sw a0, 60(ra)<br>    |
|  45|[0x800032b4]<br>0x08000004|- rs1_val == 134217728<br>                                                                                                              |[0x800002da]:c.addi a0, 4<br> [0x800002dc]:sw a0, 64(ra)<br>     |
|  46|[0x800032b8]<br>0x20000006|- rs1_val == 536870912<br>                                                                                                              |[0x800002e4]:c.addi a0, 6<br> [0x800002e6]:sw a0, 68(ra)<br>     |
|  47|[0x800032bc]<br>0x40000004|- rs1_val == 1073741824<br>                                                                                                             |[0x800002ee]:c.addi a0, 4<br> [0x800002f0]:sw a0, 72(ra)<br>     |
|  48|[0x800032c0]<br>0x0000000B|- rs1_val == -5<br>                                                                                                                     |[0x800002f8]:c.addi a0, 16<br> [0x800002fa]:sw a0, 76(ra)<br>    |
|  49|[0x800032c4]<br>0xFFFFFFF9|- rs1_val == -17<br>                                                                                                                    |[0x80000302]:c.addi a0, 10<br> [0x80000304]:sw a0, 80(ra)<br>    |
|  50|[0x800032c8]<br>0xFFFFFFE3|- rs1_val == -33<br>                                                                                                                    |[0x8000030c]:c.addi a0, 4<br> [0x8000030e]:sw a0, 84(ra)<br>     |
|  51|[0x800032cc]<br>0xFFFFFF83|- rs1_val == -129<br>                                                                                                                   |[0x80000316]:c.addi a0, 4<br> [0x80000318]:sw a0, 88(ra)<br>     |
|  52|[0x800032d0]<br>0xFFFFFEF7|- rs1_val == -257<br>                                                                                                                   |[0x80000320]:c.addi a0, 56<br> [0x80000322]:sw a0, 92(ra)<br>    |
|  53|[0x800032d4]<br>0xFFFFFE09|- rs1_val == -513<br>                                                                                                                   |[0x8000032a]:c.addi a0, 10<br> [0x8000032c]:sw a0, 96(ra)<br>    |
|  54|[0x800032d8]<br>0xFFFFFBFD|- rs1_val == -1025<br>                                                                                                                  |[0x80000334]:c.addi a0, 62<br> [0x80000336]:sw a0, 100(ra)<br>   |
|  55|[0x800032dc]<br>0xFFFFEFFB|- rs1_val == -4097<br>                                                                                                                  |[0x80000342]:c.addi a0, 60<br> [0x80000344]:sw a0, 104(ra)<br>   |
|  56|[0x800032e0]<br>0xFFFFE008|- rs1_val == -8193<br>                                                                                                                  |[0x80000350]:c.addi a0, 9<br> [0x80000352]:sw a0, 108(ra)<br>    |
|  57|[0x800032e4]<br>0xFFFFBFDF|- rs1_val == -16385<br>                                                                                                                 |[0x8000035e]:c.addi a0, 32<br> [0x80000360]:sw a0, 112(ra)<br>   |
|  58|[0x800032e8]<br>0xFFFF0000|- rs1_val == -65537<br>                                                                                                                 |[0x8000036c]:c.addi a0, 1<br> [0x8000036e]:sw a0, 116(ra)<br>    |
|  59|[0x800032ec]<br>0xFFFDFFF8|- rs1_val == -131073<br>                                                                                                                |[0x8000037a]:c.addi a0, 57<br> [0x8000037c]:sw a0, 120(ra)<br>   |
|  60|[0x800032f0]<br>0xFFFBFFFA|- rs1_val == -262145<br>                                                                                                                |[0x80000388]:c.addi a0, 59<br> [0x8000038a]:sw a0, 124(ra)<br>   |
|  61|[0x800032f4]<br>0xFFF7FFFB|- rs1_val == -524289<br>                                                                                                                |[0x80000396]:c.addi a0, 60<br> [0x80000398]:sw a0, 128(ra)<br>   |
|  62|[0x800032f8]<br>0xFFEFFFFD|- rs1_val == -1048577<br>                                                                                                               |[0x800003a4]:c.addi a0, 62<br> [0x800003a6]:sw a0, 132(ra)<br>   |
|  63|[0x800032fc]<br>0xFFDFFFE9|- rs1_val == -2097153<br>                                                                                                               |[0x800003b2]:c.addi a0, 42<br> [0x800003b4]:sw a0, 136(ra)<br>   |
|  64|[0x80003300]<br>0xFFBFFFE9|- rs1_val == -4194305<br>                                                                                                               |[0x800003c0]:c.addi a0, 42<br> [0x800003c2]:sw a0, 140(ra)<br>   |
|  65|[0x80003304]<br>0xFF800004|- rs1_val == -8388609<br>                                                                                                               |[0x800003ce]:c.addi a0, 5<br> [0x800003d0]:sw a0, 144(ra)<br>    |
|  66|[0x80003308]<br>0xFF000005|- rs1_val == -16777217<br>                                                                                                              |[0x800003dc]:c.addi a0, 6<br> [0x800003de]:sw a0, 148(ra)<br>    |
|  67|[0x8000330c]<br>0xFE000004|- rs1_val == -33554433<br>                                                                                                              |[0x800003ea]:c.addi a0, 5<br> [0x800003ec]:sw a0, 152(ra)<br>    |
|  68|[0x80003310]<br>0xFBFFFFFF|- rs1_val == -67108865<br>                                                                                                              |[0x800003f8]:c.addi.hint.a0<br> [0x800003fa]:sw a0, 156(ra)<br>  |
|  69|[0x80003314]<br>0xF8000002|- rs1_val == -134217729<br>                                                                                                             |[0x80000406]:c.addi a0, 3<br> [0x80000408]:sw a0, 160(ra)<br>    |
|  70|[0x80003318]<br>0xF0000001|- rs1_val == -268435457<br>                                                                                                             |[0x80000414]:c.addi a0, 2<br> [0x80000416]:sw a0, 164(ra)<br>    |
|  71|[0x8000331c]<br>0xE0000005|- rs1_val == -536870913<br>                                                                                                             |[0x80000422]:c.addi a0, 6<br> [0x80000424]:sw a0, 168(ra)<br>    |
|  72|[0x80003320]<br>0xBFFFFFF9|- rs1_val == -1073741825<br>                                                                                                            |[0x80000430]:c.addi a0, 58<br> [0x80000432]:sw a0, 172(ra)<br>   |
|  73|[0x80003324]<br>0xAAAAAAA8|- rs1_val == -1431655766<br> - rs1_val==-1431655766 and imm_val==-2<br>                                                                 |[0x8000043e]:c.addi a0, 62<br> [0x80000440]:sw a0, 176(ra)<br>   |
|  74|[0x80003328]<br>0x00000006|- rs1_val==3 and imm_val==3<br>                                                                                                         |[0x80000448]:c.addi a0, 3<br> [0x8000044a]:sw a0, 180(ra)<br>    |
|  75|[0x8000332c]<br>0x00000008|- rs1_val==3 and imm_val==5<br>                                                                                                         |[0x80000452]:c.addi a0, 5<br> [0x80000454]:sw a0, 184(ra)<br>    |
|  76|[0x80003330]<br>0x0000000D|- rs1_val==3 and imm_val==10<br>                                                                                                        |[0x8000045c]:c.addi a0, 10<br> [0x8000045e]:sw a0, 188(ra)<br>   |
|  77|[0x80003334]<br>0x00000009|- rs1_val==3 and imm_val==6<br>                                                                                                         |[0x80000466]:c.addi a0, 6<br> [0x80000468]:sw a0, 192(ra)<br>    |
|  78|[0x80003338]<br>0x00000001|- rs1_val==3 and imm_val==-2<br>                                                                                                        |[0x80000470]:c.addi a0, 62<br> [0x80000472]:sw a0, 196(ra)<br>   |
|  79|[0x8000333c]<br>0xFFFFFFFE|- rs1_val==3 and imm_val==-5<br>                                                                                                        |[0x8000047a]:c.addi a0, 59<br> [0x8000047c]:sw a0, 200(ra)<br>   |
|  80|[0x80003340]<br>0x00000005|- rs1_val==3 and imm_val==2<br>                                                                                                         |[0x80000484]:c.addi a0, 2<br> [0x80000486]:sw a0, 204(ra)<br>    |
|  81|[0x80003344]<br>0x00000007|- rs1_val==3 and imm_val==4<br>                                                                                                         |[0x8000048e]:c.addi a0, 4<br> [0x80000490]:sw a0, 208(ra)<br>    |
|  82|[0x80003348]<br>0x0000000C|- rs1_val==3 and imm_val==9<br>                                                                                                         |[0x80000498]:c.addi a0, 9<br> [0x8000049a]:sw a0, 212(ra)<br>    |
|  83|[0x8000334c]<br>0x00000003|- rs1_val==3 and imm_val==0<br>                                                                                                         |[0x800004a2]:c.addi.hint.a0<br> [0x800004a4]:sw a0, 216(ra)<br>  |
|  84|[0x80003350]<br>0x0000000E|- rs1_val==3 and imm_val==11<br>                                                                                                        |[0x800004ac]:c.addi a0, 11<br> [0x800004ae]:sw a0, 220(ra)<br>   |
|  85|[0x80003354]<br>0x0000000A|- rs1_val==3 and imm_val==7<br>                                                                                                         |[0x800004b6]:c.addi a0, 7<br> [0x800004b8]:sw a0, 224(ra)<br>    |
|  86|[0x80003358]<br>0x00000002|- rs1_val==3 and imm_val==-1<br>                                                                                                        |[0x800004c0]:c.addi a0, 63<br> [0x800004c2]:sw a0, 228(ra)<br>   |
|  87|[0x8000335c]<br>0xFFFFFFFF|- rs1_val==3 and imm_val==-4<br>                                                                                                        |[0x800004ca]:c.addi a0, 60<br> [0x800004cc]:sw a0, 232(ra)<br>   |
|  88|[0x80003360]<br>0x55555558|- rs1_val==1431655765 and imm_val==3<br>                                                                                                |[0x800004d8]:c.addi a0, 3<br> [0x800004da]:sw a0, 236(ra)<br>    |
|  89|[0x80003364]<br>0x5555555A|- rs1_val==1431655765 and imm_val==5<br>                                                                                                |[0x800004e6]:c.addi a0, 5<br> [0x800004e8]:sw a0, 240(ra)<br>    |
|  90|[0x80003368]<br>0x5555555F|- rs1_val==1431655765 and imm_val==10<br>                                                                                               |[0x800004f4]:c.addi a0, 10<br> [0x800004f6]:sw a0, 244(ra)<br>   |
|  91|[0x8000336c]<br>0x5555555B|- rs1_val==1431655765 and imm_val==6<br>                                                                                                |[0x80000502]:c.addi a0, 6<br> [0x80000504]:sw a0, 248(ra)<br>    |
|  92|[0x80003370]<br>0x55555553|- rs1_val==1431655765 and imm_val==-2<br>                                                                                               |[0x80000510]:c.addi a0, 62<br> [0x80000512]:sw a0, 252(ra)<br>   |
|  93|[0x80003374]<br>0x55555550|- rs1_val==1431655765 and imm_val==-5<br>                                                                                               |[0x8000051e]:c.addi a0, 59<br> [0x80000520]:sw a0, 256(ra)<br>   |
|  94|[0x80003378]<br>0x55555557|- rs1_val==1431655765 and imm_val==2<br>                                                                                                |[0x8000052c]:c.addi a0, 2<br> [0x8000052e]:sw a0, 260(ra)<br>    |
|  95|[0x8000337c]<br>0x55555559|- rs1_val==1431655765 and imm_val==4<br>                                                                                                |[0x8000053a]:c.addi a0, 4<br> [0x8000053c]:sw a0, 264(ra)<br>    |
|  96|[0x80003380]<br>0x5555555E|- rs1_val==1431655765 and imm_val==9<br>                                                                                                |[0x80000548]:c.addi a0, 9<br> [0x8000054a]:sw a0, 268(ra)<br>    |
|  97|[0x80003384]<br>0x55555555|- rs1_val==1431655765 and imm_val==0<br>                                                                                                |[0x80000556]:c.addi.hint.a0<br> [0x80000558]:sw a0, 272(ra)<br>  |
|  98|[0x80003388]<br>0x55555560|- rs1_val==1431655765 and imm_val==11<br>                                                                                               |[0x80000564]:c.addi a0, 11<br> [0x80000566]:sw a0, 276(ra)<br>   |
|  99|[0x8000338c]<br>0x5555555C|- rs1_val==1431655765 and imm_val==7<br>                                                                                                |[0x80000572]:c.addi a0, 7<br> [0x80000574]:sw a0, 280(ra)<br>    |
| 100|[0x80003390]<br>0x55555554|- rs1_val==1431655765 and imm_val==-1<br>                                                                                               |[0x80000580]:c.addi a0, 63<br> [0x80000582]:sw a0, 284(ra)<br>   |
| 101|[0x80003394]<br>0x55555551|- rs1_val==1431655765 and imm_val==-4<br>                                                                                               |[0x8000058e]:c.addi a0, 60<br> [0x80000590]:sw a0, 288(ra)<br>   |
| 102|[0x80003398]<br>0xAAAAAAAD|- rs1_val==-1431655766 and imm_val==3<br>                                                                                               |[0x8000059c]:c.addi a0, 3<br> [0x8000059e]:sw a0, 292(ra)<br>    |
| 103|[0x8000339c]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==5<br>                                                                                               |[0x800005aa]:c.addi a0, 5<br> [0x800005ac]:sw a0, 296(ra)<br>    |
| 104|[0x800033a0]<br>0xAAAAAAB4|- rs1_val==-1431655766 and imm_val==10<br>                                                                                              |[0x800005b8]:c.addi a0, 10<br> [0x800005ba]:sw a0, 300(ra)<br>   |
| 105|[0x800033a4]<br>0xAAAAAAB0|- rs1_val==-1431655766 and imm_val==6<br>                                                                                               |[0x800005c6]:c.addi a0, 6<br> [0x800005c8]:sw a0, 304(ra)<br>    |
| 106|[0x800033a8]<br>0xAAAAAAA5|- rs1_val==-1431655766 and imm_val==-5<br>                                                                                              |[0x800005d4]:c.addi a0, 59<br> [0x800005d6]:sw a0, 308(ra)<br>   |
| 107|[0x800033ac]<br>0xAAAAAAAC|- rs1_val==-1431655766 and imm_val==2<br>                                                                                               |[0x800005e2]:c.addi a0, 2<br> [0x800005e4]:sw a0, 312(ra)<br>    |
| 108|[0x800033b0]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==4<br>                                                                                               |[0x800005f0]:c.addi a0, 4<br> [0x800005f2]:sw a0, 316(ra)<br>    |
| 109|[0x800033b4]<br>0xAAAAAAB3|- rs1_val==-1431655766 and imm_val==9<br>                                                                                               |[0x800005fe]:c.addi a0, 9<br> [0x80000600]:sw a0, 320(ra)<br>    |
| 110|[0x800033b8]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==0<br>                                                                                               |[0x8000060c]:c.addi.hint.a0<br> [0x8000060e]:sw a0, 324(ra)<br>  |
| 111|[0x800033bc]<br>0xAAAAAAB5|- rs1_val==-1431655766 and imm_val==11<br>                                                                                              |[0x8000061a]:c.addi a0, 11<br> [0x8000061c]:sw a0, 328(ra)<br>   |
| 112|[0x800033c0]<br>0xAAAAAAB1|- rs1_val==-1431655766 and imm_val==7<br>                                                                                               |[0x80000628]:c.addi a0, 7<br> [0x8000062a]:sw a0, 332(ra)<br>    |
| 113|[0x800033c4]<br>0xAAAAAAA9|- rs1_val==-1431655766 and imm_val==-1<br>                                                                                              |[0x80000636]:c.addi a0, 63<br> [0x80000638]:sw a0, 336(ra)<br>   |
| 114|[0x800033c8]<br>0xAAAAAAA6|- rs1_val==-1431655766 and imm_val==-4<br>                                                                                              |[0x80000644]:c.addi a0, 60<br> [0x80000646]:sw a0, 340(ra)<br>   |
| 115|[0x800033cc]<br>0x00000008|- rs1_val==5 and imm_val==3<br>                                                                                                         |[0x8000064e]:c.addi a0, 3<br> [0x80000650]:sw a0, 344(ra)<br>    |
| 116|[0x800033d0]<br>0x0000000A|- rs1_val==5 and imm_val==5<br>                                                                                                         |[0x80000658]:c.addi a0, 5<br> [0x8000065a]:sw a0, 348(ra)<br>    |
| 117|[0x800033d4]<br>0x0000000F|- rs1_val==5 and imm_val==10<br>                                                                                                        |[0x80000662]:c.addi a0, 10<br> [0x80000664]:sw a0, 352(ra)<br>   |
| 118|[0x800033d8]<br>0x0000000B|- rs1_val==5 and imm_val==6<br>                                                                                                         |[0x8000066c]:c.addi a0, 6<br> [0x8000066e]:sw a0, 356(ra)<br>    |
| 119|[0x800033dc]<br>0x00000003|- rs1_val==5 and imm_val==-2<br>                                                                                                        |[0x80000676]:c.addi a0, 62<br> [0x80000678]:sw a0, 360(ra)<br>   |
| 120|[0x800033e0]<br>0x00000000|- rs1_val==5 and imm_val==-5<br>                                                                                                        |[0x80000680]:c.addi a0, 59<br> [0x80000682]:sw a0, 364(ra)<br>   |
| 121|[0x800033e4]<br>0x00000007|- rs1_val==5 and imm_val==2<br>                                                                                                         |[0x8000068a]:c.addi a0, 2<br> [0x8000068c]:sw a0, 368(ra)<br>    |
| 122|[0x800033e8]<br>0x00000009|- rs1_val==5 and imm_val==4<br>                                                                                                         |[0x80000694]:c.addi a0, 4<br> [0x80000696]:sw a0, 372(ra)<br>    |
| 123|[0x800033ec]<br>0x0000000E|- rs1_val==5 and imm_val==9<br>                                                                                                         |[0x8000069e]:c.addi a0, 9<br> [0x800006a0]:sw a0, 376(ra)<br>    |
| 124|[0x800033f0]<br>0x00000005|- rs1_val==5 and imm_val==0<br>                                                                                                         |[0x800006a8]:c.addi.hint.a0<br> [0x800006aa]:sw a0, 380(ra)<br>  |
| 125|[0x800033f4]<br>0x00000010|- rs1_val==5 and imm_val==11<br>                                                                                                        |[0x800006b2]:c.addi a0, 11<br> [0x800006b4]:sw a0, 384(ra)<br>   |
| 126|[0x800033f8]<br>0x0000000C|- rs1_val==5 and imm_val==7<br>                                                                                                         |[0x800006bc]:c.addi a0, 7<br> [0x800006be]:sw a0, 388(ra)<br>    |
| 127|[0x800033fc]<br>0x00000004|- rs1_val==5 and imm_val==-1<br>                                                                                                        |[0x800006c6]:c.addi a0, 63<br> [0x800006c8]:sw a0, 392(ra)<br>   |
| 128|[0x80003400]<br>0x00000001|- rs1_val==5 and imm_val==-4<br>                                                                                                        |[0x800006d0]:c.addi a0, 60<br> [0x800006d2]:sw a0, 396(ra)<br>   |
| 129|[0x80003404]<br>0x33333336|- rs1_val==858993459 and imm_val==3<br>                                                                                                 |[0x800006de]:c.addi a0, 3<br> [0x800006e0]:sw a0, 400(ra)<br>    |
| 130|[0x80003408]<br>0x33333338|- rs1_val==858993459 and imm_val==5<br>                                                                                                 |[0x800006ec]:c.addi a0, 5<br> [0x800006ee]:sw a0, 404(ra)<br>    |
| 131|[0x8000340c]<br>0x3333333D|- rs1_val==858993459 and imm_val==10<br>                                                                                                |[0x800006fa]:c.addi a0, 10<br> [0x800006fc]:sw a0, 408(ra)<br>   |
| 132|[0x80003410]<br>0x33333339|- rs1_val==858993459 and imm_val==6<br>                                                                                                 |[0x80000708]:c.addi a0, 6<br> [0x8000070a]:sw a0, 412(ra)<br>    |
| 133|[0x80003414]<br>0x33333331|- rs1_val==858993459 and imm_val==-2<br>                                                                                                |[0x80000716]:c.addi a0, 62<br> [0x80000718]:sw a0, 416(ra)<br>   |
| 134|[0x80003418]<br>0x3333332E|- rs1_val==858993459 and imm_val==-5<br>                                                                                                |[0x80000724]:c.addi a0, 59<br> [0x80000726]:sw a0, 420(ra)<br>   |
| 135|[0x8000341c]<br>0x33333335|- rs1_val==858993459 and imm_val==2<br>                                                                                                 |[0x80000732]:c.addi a0, 2<br> [0x80000734]:sw a0, 424(ra)<br>    |
| 136|[0x80003420]<br>0x33333337|- rs1_val==858993459 and imm_val==4<br>                                                                                                 |[0x80000740]:c.addi a0, 4<br> [0x80000742]:sw a0, 428(ra)<br>    |
| 137|[0x80003424]<br>0x3333333C|- rs1_val==858993459 and imm_val==9<br>                                                                                                 |[0x8000074e]:c.addi a0, 9<br> [0x80000750]:sw a0, 432(ra)<br>    |
| 138|[0x80003428]<br>0x33333333|- rs1_val==858993459 and imm_val==0<br>                                                                                                 |[0x8000075c]:c.addi.hint.a0<br> [0x8000075e]:sw a0, 436(ra)<br>  |
| 139|[0x8000342c]<br>0x3333333E|- rs1_val==858993459 and imm_val==11<br>                                                                                                |[0x8000076a]:c.addi a0, 11<br> [0x8000076c]:sw a0, 440(ra)<br>   |
| 140|[0x80003430]<br>0x3333333A|- rs1_val==858993459 and imm_val==7<br>                                                                                                 |[0x80000778]:c.addi a0, 7<br> [0x8000077a]:sw a0, 444(ra)<br>    |
| 141|[0x80003434]<br>0x33333332|- rs1_val==858993459 and imm_val==-1<br>                                                                                                |[0x80000786]:c.addi a0, 63<br> [0x80000788]:sw a0, 448(ra)<br>   |
| 142|[0x80003438]<br>0x3333332F|- rs1_val==858993459 and imm_val==-4<br>                                                                                                |[0x80000794]:c.addi a0, 60<br> [0x80000796]:sw a0, 452(ra)<br>   |
| 143|[0x8000343c]<br>0x66666669|- rs1_val==1717986918 and imm_val==3<br>                                                                                                |[0x800007a2]:c.addi a0, 3<br> [0x800007a4]:sw a0, 456(ra)<br>    |
| 144|[0x80003440]<br>0x6666666B|- rs1_val==1717986918 and imm_val==5<br>                                                                                                |[0x800007b0]:c.addi a0, 5<br> [0x800007b2]:sw a0, 460(ra)<br>    |
| 145|[0x80003444]<br>0x66666670|- rs1_val==1717986918 and imm_val==10<br>                                                                                               |[0x800007be]:c.addi a0, 10<br> [0x800007c0]:sw a0, 464(ra)<br>   |
| 146|[0x80003448]<br>0x6666666C|- rs1_val==1717986918 and imm_val==6<br>                                                                                                |[0x800007cc]:c.addi a0, 6<br> [0x800007ce]:sw a0, 468(ra)<br>    |
| 147|[0x8000344c]<br>0x66666664|- rs1_val==1717986918 and imm_val==-2<br>                                                                                               |[0x800007da]:c.addi a0, 62<br> [0x800007dc]:sw a0, 472(ra)<br>   |
| 148|[0x80003450]<br>0x66666661|- rs1_val==1717986918 and imm_val==-5<br>                                                                                               |[0x800007e8]:c.addi a0, 59<br> [0x800007ea]:sw a0, 476(ra)<br>   |
| 149|[0x80003454]<br>0x66666668|- rs1_val==1717986918 and imm_val==2<br>                                                                                                |[0x800007f6]:c.addi a0, 2<br> [0x800007f8]:sw a0, 480(ra)<br>    |
| 150|[0x80003458]<br>0x6666666A|- rs1_val==1717986918 and imm_val==4<br>                                                                                                |[0x80000804]:c.addi a0, 4<br> [0x80000806]:sw a0, 484(ra)<br>    |
| 151|[0x8000345c]<br>0x6666666F|- rs1_val==1717986918 and imm_val==9<br>                                                                                                |[0x80000812]:c.addi a0, 9<br> [0x80000814]:sw a0, 488(ra)<br>    |
| 152|[0x80003460]<br>0x66666666|- rs1_val==1717986918 and imm_val==0<br>                                                                                                |[0x80000820]:c.addi.hint.a0<br> [0x80000822]:sw a0, 492(ra)<br>  |
| 153|[0x80003464]<br>0x66666671|- rs1_val==1717986918 and imm_val==11<br>                                                                                               |[0x8000082e]:c.addi a0, 11<br> [0x80000830]:sw a0, 496(ra)<br>   |
| 154|[0x80003468]<br>0x6666666D|- rs1_val==1717986918 and imm_val==7<br>                                                                                                |[0x8000083c]:c.addi a0, 7<br> [0x8000083e]:sw a0, 500(ra)<br>    |
| 155|[0x8000346c]<br>0x66666665|- rs1_val==1717986918 and imm_val==-1<br>                                                                                               |[0x8000084a]:c.addi a0, 63<br> [0x8000084c]:sw a0, 504(ra)<br>   |
| 156|[0x80003470]<br>0x66666662|- rs1_val==1717986918 and imm_val==-4<br>                                                                                               |[0x80000858]:c.addi a0, 60<br> [0x8000085a]:sw a0, 508(ra)<br>   |
| 157|[0x80003474]<br>0xFFFF4AFF|- rs1_val==-46340 and imm_val==3<br>                                                                                                    |[0x80000866]:c.addi a0, 3<br> [0x80000868]:sw a0, 512(ra)<br>    |
| 158|[0x80003478]<br>0xFFFF4B01|- rs1_val==-46340 and imm_val==5<br>                                                                                                    |[0x80000874]:c.addi a0, 5<br> [0x80000876]:sw a0, 516(ra)<br>    |
| 159|[0x8000347c]<br>0xFFFF4B06|- rs1_val==-46340 and imm_val==10<br>                                                                                                   |[0x80000882]:c.addi a0, 10<br> [0x80000884]:sw a0, 520(ra)<br>   |
| 160|[0x80003480]<br>0xFFFF4B02|- rs1_val==-46340 and imm_val==6<br>                                                                                                    |[0x80000890]:c.addi a0, 6<br> [0x80000892]:sw a0, 524(ra)<br>    |
| 161|[0x80003484]<br>0xFFFF4AFA|- rs1_val==-46340 and imm_val==-2<br>                                                                                                   |[0x8000089e]:c.addi a0, 62<br> [0x800008a0]:sw a0, 528(ra)<br>   |
| 162|[0x80003488]<br>0xFFFF4AF7|- rs1_val==-46340 and imm_val==-5<br>                                                                                                   |[0x800008ac]:c.addi a0, 59<br> [0x800008ae]:sw a0, 532(ra)<br>   |
| 163|[0x8000348c]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==2<br>                                                                                                    |[0x800008ba]:c.addi a0, 2<br> [0x800008bc]:sw a0, 536(ra)<br>    |
| 164|[0x80003490]<br>0xFFFF4B00|- rs1_val==-46340 and imm_val==4<br>                                                                                                    |[0x800008c8]:c.addi a0, 4<br> [0x800008ca]:sw a0, 540(ra)<br>    |
| 165|[0x80003494]<br>0xFFFF4B05|- rs1_val==-46340 and imm_val==9<br>                                                                                                    |[0x800008d6]:c.addi a0, 9<br> [0x800008d8]:sw a0, 544(ra)<br>    |
| 166|[0x80003498]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==0<br>                                                                                                    |[0x800008e4]:c.addi.hint.a0<br> [0x800008e6]:sw a0, 548(ra)<br>  |
| 167|[0x8000349c]<br>0xFFFF4B07|- rs1_val==-46340 and imm_val==11<br>                                                                                                   |[0x800008f2]:c.addi a0, 11<br> [0x800008f4]:sw a0, 552(ra)<br>   |
| 168|[0x800034a0]<br>0xFFFF4B03|- rs1_val==-46340 and imm_val==7<br>                                                                                                    |[0x80000900]:c.addi a0, 7<br> [0x80000902]:sw a0, 556(ra)<br>    |
| 169|[0x800034a4]<br>0xFFFF4AFB|- rs1_val==-46340 and imm_val==-1<br>                                                                                                   |[0x8000090e]:c.addi a0, 63<br> [0x80000910]:sw a0, 560(ra)<br>   |
| 170|[0x800034a8]<br>0xFFFF4AF8|- rs1_val==-46340 and imm_val==-4<br>                                                                                                   |[0x8000091c]:c.addi a0, 60<br> [0x8000091e]:sw a0, 564(ra)<br>   |
| 171|[0x800034ac]<br>0x0000B507|- rs1_val==46340 and imm_val==3<br>                                                                                                     |[0x8000092a]:c.addi a0, 3<br> [0x8000092c]:sw a0, 568(ra)<br>    |
| 172|[0x800034b0]<br>0x0000B509|- rs1_val==46340 and imm_val==5<br>                                                                                                     |[0x80000938]:c.addi a0, 5<br> [0x8000093a]:sw a0, 572(ra)<br>    |
| 173|[0x800034b4]<br>0x0000B50E|- rs1_val==46340 and imm_val==10<br>                                                                                                    |[0x80000946]:c.addi a0, 10<br> [0x80000948]:sw a0, 576(ra)<br>   |
| 174|[0x800034b8]<br>0x0000B50A|- rs1_val==46340 and imm_val==6<br>                                                                                                     |[0x80000954]:c.addi a0, 6<br> [0x80000956]:sw a0, 580(ra)<br>    |
| 175|[0x800034bc]<br>0x0000B502|- rs1_val==46340 and imm_val==-2<br>                                                                                                    |[0x80000962]:c.addi a0, 62<br> [0x80000964]:sw a0, 584(ra)<br>   |
| 176|[0x800034c0]<br>0x0000B4FF|- rs1_val==46340 and imm_val==-5<br>                                                                                                    |[0x80000970]:c.addi a0, 59<br> [0x80000972]:sw a0, 588(ra)<br>   |
| 177|[0x800034c4]<br>0x0000B506|- rs1_val==46340 and imm_val==2<br>                                                                                                     |[0x8000097e]:c.addi a0, 2<br> [0x80000980]:sw a0, 592(ra)<br>    |
| 178|[0x800034c8]<br>0x0000B508|- rs1_val==46340 and imm_val==4<br>                                                                                                     |[0x8000098c]:c.addi a0, 4<br> [0x8000098e]:sw a0, 596(ra)<br>    |
| 179|[0x800034cc]<br>0x0000B50D|- rs1_val==46340 and imm_val==9<br>                                                                                                     |[0x8000099a]:c.addi a0, 9<br> [0x8000099c]:sw a0, 600(ra)<br>    |
| 180|[0x800034d0]<br>0x0000B504|- rs1_val==46340 and imm_val==0<br>                                                                                                     |[0x800009a8]:c.addi.hint.a0<br> [0x800009aa]:sw a0, 604(ra)<br>  |
| 181|[0x800034d4]<br>0x0000B50F|- rs1_val==46340 and imm_val==11<br>                                                                                                    |[0x800009b6]:c.addi a0, 11<br> [0x800009b8]:sw a0, 608(ra)<br>   |
| 182|[0x800034d8]<br>0x0000B50B|- rs1_val==46340 and imm_val==7<br>                                                                                                     |[0x800009c4]:c.addi a0, 7<br> [0x800009c6]:sw a0, 612(ra)<br>    |
| 183|[0x800034dc]<br>0x0000B503|- rs1_val==46340 and imm_val==-1<br>                                                                                                    |[0x800009d2]:c.addi a0, 63<br> [0x800009d4]:sw a0, 616(ra)<br>   |
| 184|[0x800034e0]<br>0x0000B500|- rs1_val==46340 and imm_val==-4<br>                                                                                                    |[0x800009e0]:c.addi a0, 60<br> [0x800009e2]:sw a0, 620(ra)<br>   |
| 185|[0x800034e4]<br>0x00000005|- rs1_val==2 and imm_val==3<br>                                                                                                         |[0x800009ea]:c.addi a0, 3<br> [0x800009ec]:sw a0, 624(ra)<br>    |
| 186|[0x800034e8]<br>0x00000007|- rs1_val==2 and imm_val==5<br>                                                                                                         |[0x800009f4]:c.addi a0, 5<br> [0x800009f6]:sw a0, 628(ra)<br>    |
| 187|[0x800034ec]<br>0x0000000C|- rs1_val==2 and imm_val==10<br>                                                                                                        |[0x800009fe]:c.addi a0, 10<br> [0x80000a00]:sw a0, 632(ra)<br>   |
| 188|[0x800034f0]<br>0x00000008|- rs1_val==2 and imm_val==6<br>                                                                                                         |[0x80000a08]:c.addi a0, 6<br> [0x80000a0a]:sw a0, 636(ra)<br>    |
| 189|[0x800034f4]<br>0xFFFFFFFD|- rs1_val==2 and imm_val==-5<br>                                                                                                        |[0x80000a12]:c.addi a0, 59<br> [0x80000a14]:sw a0, 640(ra)<br>   |
| 190|[0x800034f8]<br>0x00000004|- rs1_val==2 and imm_val==2<br>                                                                                                         |[0x80000a1c]:c.addi a0, 2<br> [0x80000a1e]:sw a0, 644(ra)<br>    |
| 191|[0x800034fc]<br>0x00000006|- rs1_val==2 and imm_val==4<br>                                                                                                         |[0x80000a26]:c.addi a0, 4<br> [0x80000a28]:sw a0, 648(ra)<br>    |
| 192|[0x80003500]<br>0x0000000B|- rs1_val==2 and imm_val==9<br>                                                                                                         |[0x80000a30]:c.addi a0, 9<br> [0x80000a32]:sw a0, 652(ra)<br>    |
| 193|[0x80003504]<br>0x00000002|- rs1_val==2 and imm_val==0<br>                                                                                                         |[0x80000a3a]:c.addi.hint.a0<br> [0x80000a3c]:sw a0, 656(ra)<br>  |
| 194|[0x80003508]<br>0x0000000D|- rs1_val==2 and imm_val==11<br>                                                                                                        |[0x80000a44]:c.addi a0, 11<br> [0x80000a46]:sw a0, 660(ra)<br>   |
| 195|[0x8000350c]<br>0x00000009|- rs1_val==2 and imm_val==7<br>                                                                                                         |[0x80000a4e]:c.addi a0, 7<br> [0x80000a50]:sw a0, 664(ra)<br>    |
| 196|[0x80003510]<br>0x00000001|- rs1_val==2 and imm_val==-1<br>                                                                                                        |[0x80000a58]:c.addi a0, 63<br> [0x80000a5a]:sw a0, 668(ra)<br>   |
| 197|[0x80003514]<br>0xFFFFFFFE|- rs1_val==2 and imm_val==-4<br>                                                                                                        |[0x80000a62]:c.addi a0, 60<br> [0x80000a64]:sw a0, 672(ra)<br>   |
| 198|[0x80003518]<br>0x55555557|- rs1_val==1431655764 and imm_val==3<br>                                                                                                |[0x80000a70]:c.addi a0, 3<br> [0x80000a72]:sw a0, 676(ra)<br>    |
| 199|[0x8000351c]<br>0x55555559|- rs1_val==1431655764 and imm_val==5<br>                                                                                                |[0x80000a7e]:c.addi a0, 5<br> [0x80000a80]:sw a0, 680(ra)<br>    |
| 200|[0x80003520]<br>0x5555555E|- rs1_val==1431655764 and imm_val==10<br>                                                                                               |[0x80000a8c]:c.addi a0, 10<br> [0x80000a8e]:sw a0, 684(ra)<br>   |
| 201|[0x80003524]<br>0x5555555A|- rs1_val==1431655764 and imm_val==6<br>                                                                                                |[0x80000a9a]:c.addi a0, 6<br> [0x80000a9c]:sw a0, 688(ra)<br>    |
| 202|[0x80003528]<br>0x55555552|- rs1_val==1431655764 and imm_val==-2<br>                                                                                               |[0x80000aa8]:c.addi a0, 62<br> [0x80000aaa]:sw a0, 692(ra)<br>   |
| 203|[0x8000352c]<br>0x5555554F|- rs1_val==1431655764 and imm_val==-5<br>                                                                                               |[0x80000ab6]:c.addi a0, 59<br> [0x80000ab8]:sw a0, 696(ra)<br>   |
| 204|[0x80003530]<br>0x55555556|- rs1_val==1431655764 and imm_val==2<br>                                                                                                |[0x80000ac4]:c.addi a0, 2<br> [0x80000ac6]:sw a0, 700(ra)<br>    |
| 205|[0x80003534]<br>0x55555558|- rs1_val==1431655764 and imm_val==4<br>                                                                                                |[0x80000ad2]:c.addi a0, 4<br> [0x80000ad4]:sw a0, 704(ra)<br>    |
| 206|[0x80003538]<br>0x5555555D|- rs1_val==1431655764 and imm_val==9<br>                                                                                                |[0x80000ae0]:c.addi a0, 9<br> [0x80000ae2]:sw a0, 708(ra)<br>    |
| 207|[0x8000353c]<br>0x55555554|- rs1_val==1431655764 and imm_val==0<br>                                                                                                |[0x80000aee]:c.addi.hint.a0<br> [0x80000af0]:sw a0, 712(ra)<br>  |
| 208|[0x80003540]<br>0x5555555F|- rs1_val==1431655764 and imm_val==11<br>                                                                                               |[0x80000afc]:c.addi a0, 11<br> [0x80000afe]:sw a0, 716(ra)<br>   |
| 209|[0x80003544]<br>0x5555555B|- rs1_val==1431655764 and imm_val==7<br>                                                                                                |[0x80000b0a]:c.addi a0, 7<br> [0x80000b0c]:sw a0, 720(ra)<br>    |
| 210|[0x80003548]<br>0x55555553|- rs1_val==1431655764 and imm_val==-1<br>                                                                                               |[0x80000b18]:c.addi a0, 63<br> [0x80000b1a]:sw a0, 724(ra)<br>   |
| 211|[0x8000354c]<br>0x55555550|- rs1_val==1431655764 and imm_val==-4<br>                                                                                               |[0x80000b26]:c.addi a0, 60<br> [0x80000b28]:sw a0, 728(ra)<br>   |
| 212|[0x80003550]<br>0x00000003|- rs1_val==0 and imm_val==3<br>                                                                                                         |[0x80000b30]:c.addi a0, 3<br> [0x80000b32]:sw a0, 732(ra)<br>    |
| 213|[0x80003554]<br>0x00000005|- rs1_val==0 and imm_val==5<br>                                                                                                         |[0x80000b3a]:c.addi a0, 5<br> [0x80000b3c]:sw a0, 736(ra)<br>    |
| 214|[0x80003558]<br>0x0000000A|- rs1_val==0 and imm_val==10<br>                                                                                                        |[0x80000b44]:c.addi a0, 10<br> [0x80000b46]:sw a0, 740(ra)<br>   |
| 215|[0x8000355c]<br>0x00000006|- rs1_val==0 and imm_val==6<br>                                                                                                         |[0x80000b4e]:c.addi a0, 6<br> [0x80000b50]:sw a0, 744(ra)<br>    |
| 216|[0x80003560]<br>0xFFFFFFFE|- rs1_val==0 and imm_val==-2<br>                                                                                                        |[0x80000b58]:c.addi a0, 62<br> [0x80000b5a]:sw a0, 748(ra)<br>   |
| 217|[0x80003564]<br>0xFFFFFFFB|- rs1_val==0 and imm_val==-5<br>                                                                                                        |[0x80000b62]:c.addi a0, 59<br> [0x80000b64]:sw a0, 752(ra)<br>   |
| 218|[0x80003568]<br>0x00000002|- rs1_val==0 and imm_val==2<br>                                                                                                         |[0x80000b6c]:c.addi a0, 2<br> [0x80000b6e]:sw a0, 756(ra)<br>    |
| 219|[0x8000356c]<br>0x00000004|- rs1_val==0 and imm_val==4<br>                                                                                                         |[0x80000b76]:c.addi a0, 4<br> [0x80000b78]:sw a0, 760(ra)<br>    |
| 220|[0x80003570]<br>0x00000009|- rs1_val==0 and imm_val==9<br>                                                                                                         |[0x80000b80]:c.addi a0, 9<br> [0x80000b82]:sw a0, 764(ra)<br>    |
| 221|[0x80003574]<br>0x00000000|- rs1_val==0 and imm_val==0<br>                                                                                                         |[0x80000b8a]:c.addi.hint.a0<br> [0x80000b8c]:sw a0, 768(ra)<br>  |
| 222|[0x80003578]<br>0x0000000B|- rs1_val==0 and imm_val==11<br>                                                                                                        |[0x80000b94]:c.addi a0, 11<br> [0x80000b96]:sw a0, 772(ra)<br>   |
| 223|[0x8000357c]<br>0x00000007|- rs1_val==0 and imm_val==7<br>                                                                                                         |[0x80000b9e]:c.addi a0, 7<br> [0x80000ba0]:sw a0, 776(ra)<br>    |
| 224|[0x80003580]<br>0xFFFFFFFF|- rs1_val==0 and imm_val==-1<br>                                                                                                        |[0x80000ba8]:c.addi a0, 63<br> [0x80000baa]:sw a0, 780(ra)<br>   |
| 225|[0x80003584]<br>0xFFFFFFFC|- rs1_val==0 and imm_val==-4<br>                                                                                                        |[0x80000bb2]:c.addi a0, 60<br> [0x80000bb4]:sw a0, 784(ra)<br>   |
| 226|[0x80003588]<br>0x00000007|- rs1_val==4 and imm_val==3<br>                                                                                                         |[0x80000bbc]:c.addi a0, 3<br> [0x80000bbe]:sw a0, 788(ra)<br>    |
| 227|[0x8000358c]<br>0x0000000E|- rs1_val==4 and imm_val==10<br>                                                                                                        |[0x80000bc6]:c.addi a0, 10<br> [0x80000bc8]:sw a0, 792(ra)<br>   |
| 228|[0x80003590]<br>0x0000000A|- rs1_val==4 and imm_val==6<br>                                                                                                         |[0x80000bd0]:c.addi a0, 6<br> [0x80000bd2]:sw a0, 796(ra)<br>    |
| 229|[0x80003594]<br>0x00000002|- rs1_val==4 and imm_val==-2<br>                                                                                                        |[0x80000bda]:c.addi a0, 62<br> [0x80000bdc]:sw a0, 800(ra)<br>   |
| 230|[0x80003598]<br>0xFFFFFFFF|- rs1_val==4 and imm_val==-5<br>                                                                                                        |[0x80000be4]:c.addi a0, 59<br> [0x80000be6]:sw a0, 804(ra)<br>   |
| 231|[0x8000359c]<br>0x00000006|- rs1_val==4 and imm_val==2<br>                                                                                                         |[0x80000bee]:c.addi a0, 2<br> [0x80000bf0]:sw a0, 808(ra)<br>    |
| 232|[0x800035a0]<br>0x00000008|- rs1_val==4 and imm_val==4<br>                                                                                                         |[0x80000bf8]:c.addi a0, 4<br> [0x80000bfa]:sw a0, 812(ra)<br>    |
| 233|[0x800035a4]<br>0x0000000D|- rs1_val==4 and imm_val==9<br>                                                                                                         |[0x80000c02]:c.addi a0, 9<br> [0x80000c04]:sw a0, 816(ra)<br>    |
| 234|[0x800035a8]<br>0x00000004|- rs1_val==4 and imm_val==0<br>                                                                                                         |[0x80000c0c]:c.addi.hint.a0<br> [0x80000c0e]:sw a0, 820(ra)<br>  |
| 235|[0x800035ac]<br>0x0000000F|- rs1_val==4 and imm_val==11<br>                                                                                                        |[0x80000c16]:c.addi a0, 11<br> [0x80000c18]:sw a0, 824(ra)<br>   |
| 236|[0x800035b0]<br>0x0000000B|- rs1_val==4 and imm_val==7<br>                                                                                                         |[0x80000c20]:c.addi a0, 7<br> [0x80000c22]:sw a0, 828(ra)<br>    |
| 237|[0x800035b4]<br>0x00000003|- rs1_val==4 and imm_val==-1<br>                                                                                                        |[0x80000c2a]:c.addi a0, 63<br> [0x80000c2c]:sw a0, 832(ra)<br>   |
| 238|[0x800035b8]<br>0x00000000|- rs1_val==4 and imm_val==-4<br>                                                                                                        |[0x80000c34]:c.addi a0, 60<br> [0x80000c36]:sw a0, 836(ra)<br>   |
| 239|[0x800035bc]<br>0x33333335|- rs1_val==858993458 and imm_val==3<br>                                                                                                 |[0x80000c42]:c.addi a0, 3<br> [0x80000c44]:sw a0, 840(ra)<br>    |
| 240|[0x800035c0]<br>0x33333337|- rs1_val==858993458 and imm_val==5<br>                                                                                                 |[0x80000c50]:c.addi a0, 5<br> [0x80000c52]:sw a0, 844(ra)<br>    |
| 241|[0x800035c4]<br>0x3333333C|- rs1_val==858993458 and imm_val==10<br>                                                                                                |[0x80000c5e]:c.addi a0, 10<br> [0x80000c60]:sw a0, 848(ra)<br>   |
| 242|[0x800035c8]<br>0x33333338|- rs1_val==858993458 and imm_val==6<br>                                                                                                 |[0x80000c6c]:c.addi a0, 6<br> [0x80000c6e]:sw a0, 852(ra)<br>    |
| 243|[0x800035cc]<br>0x33333330|- rs1_val==858993458 and imm_val==-2<br>                                                                                                |[0x80000c7a]:c.addi a0, 62<br> [0x80000c7c]:sw a0, 856(ra)<br>   |
| 244|[0x800035d0]<br>0x3333332D|- rs1_val==858993458 and imm_val==-5<br>                                                                                                |[0x80000c88]:c.addi a0, 59<br> [0x80000c8a]:sw a0, 860(ra)<br>   |
| 245|[0x800035d4]<br>0x33333334|- rs1_val==858993458 and imm_val==2<br>                                                                                                 |[0x80000c96]:c.addi a0, 2<br> [0x80000c98]:sw a0, 864(ra)<br>    |
| 246|[0x800035d8]<br>0x33333336|- rs1_val==858993458 and imm_val==4<br>                                                                                                 |[0x80000ca4]:c.addi a0, 4<br> [0x80000ca6]:sw a0, 868(ra)<br>    |
| 247|[0x800035dc]<br>0x3333333B|- rs1_val==858993458 and imm_val==9<br>                                                                                                 |[0x80000cb2]:c.addi a0, 9<br> [0x80000cb4]:sw a0, 872(ra)<br>    |
| 248|[0x800035e0]<br>0x33333332|- rs1_val==858993458 and imm_val==0<br>                                                                                                 |[0x80000cc0]:c.addi.hint.a0<br> [0x80000cc2]:sw a0, 876(ra)<br>  |
| 249|[0x800035e4]<br>0x3333333D|- rs1_val==858993458 and imm_val==11<br>                                                                                                |[0x80000cce]:c.addi a0, 11<br> [0x80000cd0]:sw a0, 880(ra)<br>   |
| 250|[0x800035e8]<br>0x33333339|- rs1_val==858993458 and imm_val==7<br>                                                                                                 |[0x80000cdc]:c.addi a0, 7<br> [0x80000cde]:sw a0, 884(ra)<br>    |
| 251|[0x800035ec]<br>0x33333331|- rs1_val==858993458 and imm_val==-1<br>                                                                                                |[0x80000cea]:c.addi a0, 63<br> [0x80000cec]:sw a0, 888(ra)<br>   |
| 252|[0x800035f0]<br>0x3333332E|- rs1_val==858993458 and imm_val==-4<br>                                                                                                |[0x80000cf8]:c.addi a0, 60<br> [0x80000cfa]:sw a0, 892(ra)<br>   |
| 253|[0x800035f4]<br>0x66666668|- rs1_val==1717986917 and imm_val==3<br>                                                                                                |[0x80000d06]:c.addi a0, 3<br> [0x80000d08]:sw a0, 896(ra)<br>    |
| 254|[0x800035f8]<br>0x6666666A|- rs1_val==1717986917 and imm_val==5<br>                                                                                                |[0x80000d14]:c.addi a0, 5<br> [0x80000d16]:sw a0, 900(ra)<br>    |
| 255|[0x800035fc]<br>0x6666666F|- rs1_val==1717986917 and imm_val==10<br>                                                                                               |[0x80000d22]:c.addi a0, 10<br> [0x80000d24]:sw a0, 904(ra)<br>   |
| 256|[0x80003600]<br>0x6666666B|- rs1_val==1717986917 and imm_val==6<br>                                                                                                |[0x80000d30]:c.addi a0, 6<br> [0x80000d32]:sw a0, 908(ra)<br>    |
| 257|[0x80003604]<br>0x66666663|- rs1_val==1717986917 and imm_val==-2<br>                                                                                               |[0x80000d3e]:c.addi a0, 62<br> [0x80000d40]:sw a0, 912(ra)<br>   |
| 258|[0x80003608]<br>0x66666660|- rs1_val==1717986917 and imm_val==-5<br>                                                                                               |[0x80000d4c]:c.addi a0, 59<br> [0x80000d4e]:sw a0, 916(ra)<br>   |
| 259|[0x8000360c]<br>0x66666667|- rs1_val==1717986917 and imm_val==2<br>                                                                                                |[0x80000d5a]:c.addi a0, 2<br> [0x80000d5c]:sw a0, 920(ra)<br>    |
| 260|[0x80003610]<br>0x66666669|- rs1_val==1717986917 and imm_val==4<br>                                                                                                |[0x80000d68]:c.addi a0, 4<br> [0x80000d6a]:sw a0, 924(ra)<br>    |
| 261|[0x80003614]<br>0x6666666E|- rs1_val==1717986917 and imm_val==9<br>                                                                                                |[0x80000d76]:c.addi a0, 9<br> [0x80000d78]:sw a0, 928(ra)<br>    |
| 262|[0x80003618]<br>0x66666665|- rs1_val==1717986917 and imm_val==0<br>                                                                                                |[0x80000d84]:c.addi.hint.a0<br> [0x80000d86]:sw a0, 932(ra)<br>  |
| 263|[0x8000361c]<br>0x66666670|- rs1_val==1717986917 and imm_val==11<br>                                                                                               |[0x80000d92]:c.addi a0, 11<br> [0x80000d94]:sw a0, 936(ra)<br>   |
| 264|[0x80003620]<br>0x6666666C|- rs1_val==1717986917 and imm_val==7<br>                                                                                                |[0x80000da0]:c.addi a0, 7<br> [0x80000da2]:sw a0, 940(ra)<br>    |
| 265|[0x80003624]<br>0x66666664|- rs1_val==1717986917 and imm_val==-1<br>                                                                                               |[0x80000dae]:c.addi a0, 63<br> [0x80000db0]:sw a0, 944(ra)<br>   |
| 266|[0x80003628]<br>0x66666661|- rs1_val==1717986917 and imm_val==-4<br>                                                                                               |[0x80000dbc]:c.addi a0, 60<br> [0x80000dbe]:sw a0, 948(ra)<br>   |
| 267|[0x8000362c]<br>0x0000B506|- rs1_val==46339 and imm_val==3<br>                                                                                                     |[0x80000dca]:c.addi a0, 3<br> [0x80000dcc]:sw a0, 952(ra)<br>    |
| 268|[0x80003630]<br>0x0000B508|- rs1_val==46339 and imm_val==5<br>                                                                                                     |[0x80000dd8]:c.addi a0, 5<br> [0x80000dda]:sw a0, 956(ra)<br>    |
| 269|[0x80003634]<br>0x0000B50D|- rs1_val==46339 and imm_val==10<br>                                                                                                    |[0x80000de6]:c.addi a0, 10<br> [0x80000de8]:sw a0, 960(ra)<br>   |
| 270|[0x80003638]<br>0x0000B509|- rs1_val==46339 and imm_val==6<br>                                                                                                     |[0x80000df4]:c.addi a0, 6<br> [0x80000df6]:sw a0, 964(ra)<br>    |
| 271|[0x8000363c]<br>0x0000B501|- rs1_val==46339 and imm_val==-2<br>                                                                                                    |[0x80000e02]:c.addi a0, 62<br> [0x80000e04]:sw a0, 968(ra)<br>   |
| 272|[0x80003640]<br>0x0000B4FE|- rs1_val==46339 and imm_val==-5<br>                                                                                                    |[0x80000e10]:c.addi a0, 59<br> [0x80000e12]:sw a0, 972(ra)<br>   |
| 273|[0x80003644]<br>0x0000B505|- rs1_val==46339 and imm_val==2<br>                                                                                                     |[0x80000e1e]:c.addi a0, 2<br> [0x80000e20]:sw a0, 976(ra)<br>    |
| 274|[0x80003648]<br>0x0000B507|- rs1_val==46339 and imm_val==4<br>                                                                                                     |[0x80000e2c]:c.addi a0, 4<br> [0x80000e2e]:sw a0, 980(ra)<br>    |
| 275|[0x8000364c]<br>0x0000B50C|- rs1_val==46339 and imm_val==9<br>                                                                                                     |[0x80000e3a]:c.addi a0, 9<br> [0x80000e3c]:sw a0, 984(ra)<br>    |
| 276|[0x80003650]<br>0x0000B503|- rs1_val==46339 and imm_val==0<br>                                                                                                     |[0x80000e48]:c.addi.hint.a0<br> [0x80000e4a]:sw a0, 988(ra)<br>  |
| 277|[0x80003654]<br>0x0000B50E|- rs1_val==46339 and imm_val==11<br>                                                                                                    |[0x80000e56]:c.addi a0, 11<br> [0x80000e58]:sw a0, 992(ra)<br>   |
| 278|[0x80003658]<br>0x0000B50A|- rs1_val==46339 and imm_val==7<br>                                                                                                     |[0x80000e64]:c.addi a0, 7<br> [0x80000e66]:sw a0, 996(ra)<br>    |
| 279|[0x8000365c]<br>0x0000B502|- rs1_val==46339 and imm_val==-1<br>                                                                                                    |[0x80000e72]:c.addi a0, 63<br> [0x80000e74]:sw a0, 1000(ra)<br>  |
| 280|[0x80003660]<br>0x0000B4FF|- rs1_val==46339 and imm_val==-4<br>                                                                                                    |[0x80000e80]:c.addi a0, 60<br> [0x80000e82]:sw a0, 1004(ra)<br>  |
| 281|[0x80003664]<br>0x55555559|- rs1_val==1431655766 and imm_val==3<br>                                                                                                |[0x80000e8e]:c.addi a0, 3<br> [0x80000e90]:sw a0, 1008(ra)<br>   |
| 282|[0x80003668]<br>0x5555555B|- rs1_val==1431655766 and imm_val==5<br>                                                                                                |[0x80000e9c]:c.addi a0, 5<br> [0x80000e9e]:sw a0, 1012(ra)<br>   |
| 283|[0x8000366c]<br>0x55555560|- rs1_val==1431655766 and imm_val==10<br>                                                                                               |[0x80000eaa]:c.addi a0, 10<br> [0x80000eac]:sw a0, 1016(ra)<br>  |
| 284|[0x80003670]<br>0x5555555C|- rs1_val==1431655766 and imm_val==6<br>                                                                                                |[0x80000eb8]:c.addi a0, 6<br> [0x80000eba]:sw a0, 1020(ra)<br>   |
| 285|[0x80003674]<br>0x55555554|- rs1_val==1431655766 and imm_val==-2<br>                                                                                               |[0x80000ec6]:c.addi a0, 62<br> [0x80000ec8]:sw a0, 1024(ra)<br>  |
| 286|[0x80003678]<br>0x55555551|- rs1_val==1431655766 and imm_val==-5<br>                                                                                               |[0x80000ed4]:c.addi a0, 59<br> [0x80000ed6]:sw a0, 1028(ra)<br>  |
| 287|[0x8000367c]<br>0x55555558|- rs1_val==1431655766 and imm_val==2<br>                                                                                                |[0x80000ee2]:c.addi a0, 2<br> [0x80000ee4]:sw a0, 1032(ra)<br>   |
| 288|[0x80003680]<br>0x5555555A|- rs1_val==1431655766 and imm_val==4<br>                                                                                                |[0x80000ef0]:c.addi a0, 4<br> [0x80000ef2]:sw a0, 1036(ra)<br>   |
| 289|[0x80003684]<br>0x5555555F|- rs1_val==1431655766 and imm_val==9<br>                                                                                                |[0x80000efe]:c.addi a0, 9<br> [0x80000f00]:sw a0, 1040(ra)<br>   |
| 290|[0x80003688]<br>0x55555556|- rs1_val==1431655766 and imm_val==0<br>                                                                                                |[0x80000f0c]:c.addi.hint.a0<br> [0x80000f0e]:sw a0, 1044(ra)<br> |
| 291|[0x8000368c]<br>0x55555561|- rs1_val==1431655766 and imm_val==11<br>                                                                                               |[0x80000f1a]:c.addi a0, 11<br> [0x80000f1c]:sw a0, 1048(ra)<br>  |
| 292|[0x80003690]<br>0x5555555D|- rs1_val==1431655766 and imm_val==7<br>                                                                                                |[0x80000f28]:c.addi a0, 7<br> [0x80000f2a]:sw a0, 1052(ra)<br>   |
| 293|[0x80003694]<br>0x55555555|- rs1_val==1431655766 and imm_val==-1<br>                                                                                               |[0x80000f36]:c.addi a0, 63<br> [0x80000f38]:sw a0, 1056(ra)<br>  |
| 294|[0x80003698]<br>0x55555552|- rs1_val==1431655766 and imm_val==-4<br>                                                                                               |[0x80000f44]:c.addi a0, 60<br> [0x80000f46]:sw a0, 1060(ra)<br>  |
| 295|[0x8000369c]<br>0xAAAAAAAE|- rs1_val==-1431655765 and imm_val==3<br>                                                                                               |[0x80000f52]:c.addi a0, 3<br> [0x80000f54]:sw a0, 1064(ra)<br>   |
| 296|[0x800036a0]<br>0xAAAAAAB0|- rs1_val==-1431655765 and imm_val==5<br>                                                                                               |[0x80000f60]:c.addi a0, 5<br> [0x80000f62]:sw a0, 1068(ra)<br>   |
| 297|[0x800036a4]<br>0xAAAAAAB5|- rs1_val==-1431655765 and imm_val==10<br>                                                                                              |[0x80000f6e]:c.addi a0, 10<br> [0x80000f70]:sw a0, 1072(ra)<br>  |
| 298|[0x800036a8]<br>0xAAAAAAB1|- rs1_val==-1431655765 and imm_val==6<br>                                                                                               |[0x80000f7c]:c.addi a0, 6<br> [0x80000f7e]:sw a0, 1076(ra)<br>   |
| 299|[0x800036ac]<br>0xAAAAAAA9|- rs1_val==-1431655765 and imm_val==-2<br>                                                                                              |[0x80000f8a]:c.addi a0, 62<br> [0x80000f8c]:sw a0, 1080(ra)<br>  |
| 300|[0x800036b0]<br>0xAAAAAAA6|- rs1_val==-1431655765 and imm_val==-5<br>                                                                                              |[0x80000f98]:c.addi a0, 59<br> [0x80000f9a]:sw a0, 1084(ra)<br>  |
| 301|[0x800036b4]<br>0xAAAAAAAD|- rs1_val==-1431655765 and imm_val==2<br>                                                                                               |[0x80000fa6]:c.addi a0, 2<br> [0x80000fa8]:sw a0, 1088(ra)<br>   |
| 302|[0x800036b8]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==4<br>                                                                                               |[0x80000fb4]:c.addi a0, 4<br> [0x80000fb6]:sw a0, 1092(ra)<br>   |
| 303|[0x800036bc]<br>0xAAAAAAB4|- rs1_val==-1431655765 and imm_val==9<br>                                                                                               |[0x80000fc2]:c.addi a0, 9<br> [0x80000fc4]:sw a0, 1096(ra)<br>   |
| 304|[0x800036c0]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==0<br>                                                                                               |[0x80000fd0]:c.addi.hint.a0<br> [0x80000fd2]:sw a0, 1100(ra)<br> |
| 305|[0x800036c4]<br>0xAAAAAAB6|- rs1_val==-1431655765 and imm_val==11<br>                                                                                              |[0x80000fde]:c.addi a0, 11<br> [0x80000fe0]:sw a0, 1104(ra)<br>  |
| 306|[0x800036c8]<br>0xAAAAAAB2|- rs1_val==-1431655765 and imm_val==7<br>                                                                                               |[0x80000fec]:c.addi a0, 7<br> [0x80000fee]:sw a0, 1108(ra)<br>   |
| 307|[0x800036cc]<br>0xAAAAAAAA|- rs1_val==-1431655765 and imm_val==-1<br>                                                                                              |[0x80000ffa]:c.addi a0, 63<br> [0x80000ffc]:sw a0, 1112(ra)<br>  |
| 308|[0x800036d0]<br>0xAAAAAAA7|- rs1_val==-1431655765 and imm_val==-4<br>                                                                                              |[0x80001008]:c.addi a0, 60<br> [0x8000100a]:sw a0, 1116(ra)<br>  |
| 309|[0x800036d4]<br>0x00000009|- rs1_val==6 and imm_val==3<br>                                                                                                         |[0x80001012]:c.addi a0, 3<br> [0x80001014]:sw a0, 1120(ra)<br>   |
| 310|[0x800036d8]<br>0x0000000B|- rs1_val==6 and imm_val==5<br>                                                                                                         |[0x8000101c]:c.addi a0, 5<br> [0x8000101e]:sw a0, 1124(ra)<br>   |
| 311|[0x800036dc]<br>0x00000010|- rs1_val==6 and imm_val==10<br>                                                                                                        |[0x80001026]:c.addi a0, 10<br> [0x80001028]:sw a0, 1128(ra)<br>  |
| 312|[0x800036e0]<br>0x0000000C|- rs1_val==6 and imm_val==6<br>                                                                                                         |[0x80001030]:c.addi a0, 6<br> [0x80001032]:sw a0, 1132(ra)<br>   |
| 313|[0x800036e4]<br>0x00000004|- rs1_val==6 and imm_val==-2<br>                                                                                                        |[0x8000103a]:c.addi a0, 62<br> [0x8000103c]:sw a0, 1136(ra)<br>  |
| 314|[0x800036e8]<br>0x00000001|- rs1_val==6 and imm_val==-5<br>                                                                                                        |[0x80001044]:c.addi a0, 59<br> [0x80001046]:sw a0, 1140(ra)<br>  |
| 315|[0x800036ec]<br>0x00000008|- rs1_val==6 and imm_val==2<br>                                                                                                         |[0x8000104e]:c.addi a0, 2<br> [0x80001050]:sw a0, 1144(ra)<br>   |
| 316|[0x800036f0]<br>0xFFFF4AFC|- rs1_val==-46339 and imm_val==-1<br>                                                                                                   |[0x8000105c]:c.addi a0, 63<br> [0x8000105e]:sw a0, 1148(ra)<br>  |
| 317|[0x800036f4]<br>0xFFFF4AF9|- rs1_val==-46339 and imm_val==-4<br>                                                                                                   |[0x8000106a]:c.addi a0, 60<br> [0x8000106c]:sw a0, 1152(ra)<br>  |
| 318|[0x800036f8]<br>0x0000B508|- rs1_val==46341 and imm_val==3<br>                                                                                                     |[0x80001078]:c.addi a0, 3<br> [0x8000107a]:sw a0, 1156(ra)<br>   |
| 319|[0x800036fc]<br>0x0000B50A|- rs1_val==46341 and imm_val==5<br>                                                                                                     |[0x80001086]:c.addi a0, 5<br> [0x80001088]:sw a0, 1160(ra)<br>   |
| 320|[0x80003700]<br>0x0000B50F|- rs1_val==46341 and imm_val==10<br>                                                                                                    |[0x80001094]:c.addi a0, 10<br> [0x80001096]:sw a0, 1164(ra)<br>  |
| 321|[0x80003704]<br>0x0000B50B|- rs1_val==46341 and imm_val==6<br>                                                                                                     |[0x800010a2]:c.addi a0, 6<br> [0x800010a4]:sw a0, 1168(ra)<br>   |
| 322|[0x80003708]<br>0x0000B503|- rs1_val==46341 and imm_val==-2<br>                                                                                                    |[0x800010b0]:c.addi a0, 62<br> [0x800010b2]:sw a0, 1172(ra)<br>  |
| 323|[0x8000370c]<br>0x0000B500|- rs1_val==46341 and imm_val==-5<br>                                                                                                    |[0x800010be]:c.addi a0, 59<br> [0x800010c0]:sw a0, 1176(ra)<br>  |
| 324|[0x80003710]<br>0x0000B507|- rs1_val==46341 and imm_val==2<br>                                                                                                     |[0x800010cc]:c.addi a0, 2<br> [0x800010ce]:sw a0, 1180(ra)<br>   |
| 325|[0x80003714]<br>0x0000B509|- rs1_val==46341 and imm_val==4<br>                                                                                                     |[0x800010da]:c.addi a0, 4<br> [0x800010dc]:sw a0, 1184(ra)<br>   |
| 326|[0x80003718]<br>0x0000B50E|- rs1_val==46341 and imm_val==9<br>                                                                                                     |[0x800010e8]:c.addi a0, 9<br> [0x800010ea]:sw a0, 1188(ra)<br>   |
| 327|[0x8000371c]<br>0x0000B505|- rs1_val==46341 and imm_val==0<br>                                                                                                     |[0x800010f6]:c.addi.hint.a0<br> [0x800010f8]:sw a0, 1192(ra)<br> |
| 328|[0x80003720]<br>0x0000B510|- rs1_val==46341 and imm_val==11<br>                                                                                                    |[0x80001104]:c.addi a0, 11<br> [0x80001106]:sw a0, 1196(ra)<br>  |
| 329|[0x80003724]<br>0x0000B50C|- rs1_val==46341 and imm_val==7<br>                                                                                                     |[0x80001112]:c.addi a0, 7<br> [0x80001114]:sw a0, 1200(ra)<br>   |
| 330|[0x80003728]<br>0x0000B504|- rs1_val==46341 and imm_val==-1<br>                                                                                                    |[0x80001120]:c.addi a0, 63<br> [0x80001122]:sw a0, 1204(ra)<br>  |
| 331|[0x8000372c]<br>0x0000B501|- rs1_val==46341 and imm_val==-4<br>                                                                                                    |[0x8000112e]:c.addi a0, 60<br> [0x80001130]:sw a0, 1208(ra)<br>  |
| 332|[0x80003730]<br>0x0000000A|- rs1_val==6 and imm_val==4<br>                                                                                                         |[0x80001138]:c.addi a0, 4<br> [0x8000113a]:sw a0, 1212(ra)<br>   |
| 333|[0x80003734]<br>0x0000000F|- rs1_val==6 and imm_val==9<br>                                                                                                         |[0x80001142]:c.addi a0, 9<br> [0x80001144]:sw a0, 1216(ra)<br>   |
| 334|[0x80003738]<br>0x00000006|- rs1_val==6 and imm_val==0<br>                                                                                                         |[0x8000114c]:c.addi.hint.a0<br> [0x8000114e]:sw a0, 1220(ra)<br> |
| 335|[0x8000373c]<br>0x00000011|- rs1_val==6 and imm_val==11<br>                                                                                                        |[0x80001156]:c.addi a0, 11<br> [0x80001158]:sw a0, 1224(ra)<br>  |
| 336|[0x80003740]<br>0x0000000D|- rs1_val==6 and imm_val==7<br>                                                                                                         |[0x80001160]:c.addi a0, 7<br> [0x80001162]:sw a0, 1228(ra)<br>   |
| 337|[0x80003744]<br>0x00000005|- rs1_val==6 and imm_val==-1<br>                                                                                                        |[0x8000116a]:c.addi a0, 63<br> [0x8000116c]:sw a0, 1232(ra)<br>  |
| 338|[0x80003748]<br>0x00000002|- rs1_val==6 and imm_val==-4<br>                                                                                                        |[0x80001174]:c.addi a0, 60<br> [0x80001176]:sw a0, 1236(ra)<br>  |
| 339|[0x8000374c]<br>0x33333337|- rs1_val==858993460 and imm_val==3<br>                                                                                                 |[0x80001182]:c.addi a0, 3<br> [0x80001184]:sw a0, 1240(ra)<br>   |
| 340|[0x80003750]<br>0x33333339|- rs1_val==858993460 and imm_val==5<br>                                                                                                 |[0x80001190]:c.addi a0, 5<br> [0x80001192]:sw a0, 1244(ra)<br>   |
| 341|[0x80003754]<br>0x3333333E|- rs1_val==858993460 and imm_val==10<br>                                                                                                |[0x8000119e]:c.addi a0, 10<br> [0x800011a0]:sw a0, 1248(ra)<br>  |
| 342|[0x80003758]<br>0x3333333A|- rs1_val==858993460 and imm_val==6<br>                                                                                                 |[0x800011ac]:c.addi a0, 6<br> [0x800011ae]:sw a0, 1252(ra)<br>   |
| 343|[0x8000375c]<br>0x33333332|- rs1_val==858993460 and imm_val==-2<br>                                                                                                |[0x800011ba]:c.addi a0, 62<br> [0x800011bc]:sw a0, 1256(ra)<br>  |
| 344|[0x80003760]<br>0x3333332F|- rs1_val==858993460 and imm_val==-5<br>                                                                                                |[0x800011c8]:c.addi a0, 59<br> [0x800011ca]:sw a0, 1260(ra)<br>  |
| 345|[0x80003764]<br>0x33333336|- rs1_val==858993460 and imm_val==2<br>                                                                                                 |[0x800011d6]:c.addi a0, 2<br> [0x800011d8]:sw a0, 1264(ra)<br>   |
| 346|[0x80003768]<br>0x33333338|- rs1_val==858993460 and imm_val==4<br>                                                                                                 |[0x800011e4]:c.addi a0, 4<br> [0x800011e6]:sw a0, 1268(ra)<br>   |
| 347|[0x8000376c]<br>0x3333333D|- rs1_val==858993460 and imm_val==9<br>                                                                                                 |[0x800011f2]:c.addi a0, 9<br> [0x800011f4]:sw a0, 1272(ra)<br>   |
| 348|[0x80003770]<br>0x33333334|- rs1_val==858993460 and imm_val==0<br>                                                                                                 |[0x80001200]:c.addi.hint.a0<br> [0x80001202]:sw a0, 1276(ra)<br> |
| 349|[0x80003774]<br>0x3333333F|- rs1_val==858993460 and imm_val==11<br>                                                                                                |[0x8000120e]:c.addi a0, 11<br> [0x80001210]:sw a0, 1280(ra)<br>  |
| 350|[0x80003778]<br>0x3333333B|- rs1_val==858993460 and imm_val==7<br>                                                                                                 |[0x8000121c]:c.addi a0, 7<br> [0x8000121e]:sw a0, 1284(ra)<br>   |
| 351|[0x8000377c]<br>0x33333333|- rs1_val==858993460 and imm_val==-1<br>                                                                                                |[0x8000122a]:c.addi a0, 63<br> [0x8000122c]:sw a0, 1288(ra)<br>  |
| 352|[0x80003780]<br>0x33333330|- rs1_val==858993460 and imm_val==-4<br>                                                                                                |[0x80001238]:c.addi a0, 60<br> [0x8000123a]:sw a0, 1292(ra)<br>  |
| 353|[0x80003784]<br>0x6666666A|- rs1_val==1717986919 and imm_val==3<br>                                                                                                |[0x80001246]:c.addi a0, 3<br> [0x80001248]:sw a0, 1296(ra)<br>   |
| 354|[0x80003788]<br>0x6666666C|- rs1_val==1717986919 and imm_val==5<br>                                                                                                |[0x80001254]:c.addi a0, 5<br> [0x80001256]:sw a0, 1300(ra)<br>   |
| 355|[0x8000378c]<br>0x66666671|- rs1_val==1717986919 and imm_val==10<br>                                                                                               |[0x80001262]:c.addi a0, 10<br> [0x80001264]:sw a0, 1304(ra)<br>  |
| 356|[0x80003790]<br>0x6666666D|- rs1_val==1717986919 and imm_val==6<br>                                                                                                |[0x80001270]:c.addi a0, 6<br> [0x80001272]:sw a0, 1308(ra)<br>   |
| 357|[0x80003794]<br>0x66666665|- rs1_val==1717986919 and imm_val==-2<br>                                                                                               |[0x8000127e]:c.addi a0, 62<br> [0x80001280]:sw a0, 1312(ra)<br>  |
| 358|[0x80003798]<br>0x66666662|- rs1_val==1717986919 and imm_val==-5<br>                                                                                               |[0x8000128c]:c.addi a0, 59<br> [0x8000128e]:sw a0, 1316(ra)<br>  |
| 359|[0x8000379c]<br>0x66666669|- rs1_val==1717986919 and imm_val==2<br>                                                                                                |[0x8000129a]:c.addi a0, 2<br> [0x8000129c]:sw a0, 1320(ra)<br>   |
| 360|[0x800037a0]<br>0x6666666B|- rs1_val==1717986919 and imm_val==4<br>                                                                                                |[0x800012a8]:c.addi a0, 4<br> [0x800012aa]:sw a0, 1324(ra)<br>   |
| 361|[0x800037a4]<br>0x66666670|- rs1_val==1717986919 and imm_val==9<br>                                                                                                |[0x800012b6]:c.addi a0, 9<br> [0x800012b8]:sw a0, 1328(ra)<br>   |
| 362|[0x800037a8]<br>0x66666667|- rs1_val==1717986919 and imm_val==0<br>                                                                                                |[0x800012c4]:c.addi.hint.a0<br> [0x800012c6]:sw a0, 1332(ra)<br> |
| 363|[0x800037ac]<br>0x66666672|- rs1_val==1717986919 and imm_val==11<br>                                                                                               |[0x800012d2]:c.addi a0, 11<br> [0x800012d4]:sw a0, 1336(ra)<br>  |
| 364|[0x800037b0]<br>0x6666666E|- rs1_val==1717986919 and imm_val==7<br>                                                                                                |[0x800012e0]:c.addi a0, 7<br> [0x800012e2]:sw a0, 1340(ra)<br>   |
| 365|[0x800037b4]<br>0x66666666|- rs1_val==1717986919 and imm_val==-1<br>                                                                                               |[0x800012ee]:c.addi a0, 63<br> [0x800012f0]:sw a0, 1344(ra)<br>  |
| 366|[0x800037b8]<br>0x66666663|- rs1_val==1717986919 and imm_val==-4<br>                                                                                               |[0x800012fc]:c.addi a0, 60<br> [0x800012fe]:sw a0, 1348(ra)<br>  |
| 367|[0x800037bc]<br>0xFFFF4B00|- rs1_val==-46339 and imm_val==3<br>                                                                                                    |[0x8000130a]:c.addi a0, 3<br> [0x8000130c]:sw a0, 1352(ra)<br>   |
| 368|[0x800037c0]<br>0xFFFF4B02|- rs1_val==-46339 and imm_val==5<br>                                                                                                    |[0x80001318]:c.addi a0, 5<br> [0x8000131a]:sw a0, 1356(ra)<br>   |
| 369|[0x800037c4]<br>0xFFFF4B07|- rs1_val==-46339 and imm_val==10<br>                                                                                                   |[0x80001326]:c.addi a0, 10<br> [0x80001328]:sw a0, 1360(ra)<br>  |
| 370|[0x800037c8]<br>0xFFFF4B03|- rs1_val==-46339 and imm_val==6<br>                                                                                                    |[0x80001334]:c.addi a0, 6<br> [0x80001336]:sw a0, 1364(ra)<br>   |
| 371|[0x800037cc]<br>0xFFFF4AFB|- rs1_val==-46339 and imm_val==-2<br>                                                                                                   |[0x80001342]:c.addi a0, 62<br> [0x80001344]:sw a0, 1368(ra)<br>  |
| 372|[0x800037d0]<br>0xFFFF4AF8|- rs1_val==-46339 and imm_val==-5<br>                                                                                                   |[0x80001350]:c.addi a0, 59<br> [0x80001352]:sw a0, 1372(ra)<br>  |
| 373|[0x800037d4]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==2<br>                                                                                                    |[0x8000135e]:c.addi a0, 2<br> [0x80001360]:sw a0, 1376(ra)<br>   |
| 374|[0x800037d8]<br>0xFFFF4B01|- rs1_val==-46339 and imm_val==4<br>                                                                                                    |[0x8000136c]:c.addi a0, 4<br> [0x8000136e]:sw a0, 1380(ra)<br>   |
| 375|[0x800037dc]<br>0xFFFF4B06|- rs1_val==-46339 and imm_val==9<br>                                                                                                    |[0x8000137a]:c.addi a0, 9<br> [0x8000137c]:sw a0, 1384(ra)<br>   |
| 376|[0x800037e0]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==0<br>                                                                                                    |[0x80001388]:c.addi.hint.a0<br> [0x8000138a]:sw a0, 1388(ra)<br> |
| 377|[0x800037e4]<br>0xFFFF4B08|- rs1_val==-46339 and imm_val==11<br>                                                                                                   |[0x80001396]:c.addi a0, 11<br> [0x80001398]:sw a0, 1392(ra)<br>  |
| 378|[0x800037e8]<br>0xFFFF4B04|- rs1_val==-46339 and imm_val==7<br>                                                                                                    |[0x800013a4]:c.addi a0, 7<br> [0x800013a6]:sw a0, 1396(ra)<br>   |
