
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80006e60')]      |
| SIG_REGION                | [('0x80008010', '0x80009500', '670 dwords')]      |
| COV_LABELS                | cadd      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cadd-01.S/cadd-01.S    |
| Total Number of coverpoints| 818     |
| Total Coverpoints Hit     | 818      |
| Total Signature Updates   | 669      |
| STAT1                     | 668      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80006e42]:c.add a0, a1
      [0x80006e44]:sd a0, 1072(tp)
 -- Signature Address: 0x800094e8 Data: 0xFFFFFFFFBFFFFFFF
 -- Redundant Coverpoints hit by the op
      - opcode : c.add
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val == 0
      - rs1_val == -1073741825






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                    coverpoints                                                                                     |                              code                              |
|---:|----------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------|
|   1|[0x80008010]<br>0x8000000000080000|- opcode : c.add<br> - rs1 : x4<br> - rs2 : x1<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -9223372036854775808<br> - rs1_val == 524288<br> |[0x800003a4]:c.add tp, ra<br> [0x800003a6]:sd tp, 0(t1)<br>     |
|   2|[0x80008018]<br>0xFFFFFFFF7FFFFFFE|- rs1 : x5<br> - rs2 : x5<br> - rs1 == rs2<br> - rs2_val == -1073741825<br> - rs1_val == -1073741825<br>                                                                            |[0x800003ba]:c.add t0, t0<br> [0x800003bc]:sd t0, 8(t1)<br>     |
|   3|[0x80008020]<br>0xE666666666666664|- rs1 : x20<br> - rs2 : x19<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 9223372036854775807<br>                                                             |[0x800003ec]:c.add s4, s3<br> [0x800003ee]:sd s4, 16(t1)<br>    |
|   4|[0x80008028]<br>0xFFFFFFFFE0000000|- rs1 : x26<br> - rs2 : x24<br> - rs2_val == 1<br> - rs1_val == -536870913<br>                                                                                                      |[0x800003fe]:c.add s10, s8<br> [0x80000400]:sd s10, 24(t1)<br>  |
|   5|[0x80008030]<br>0x8000008000000000|- rs1 : x12<br> - rs2 : x20<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == 549755813888<br> - rs1_val == -9223372036854775808<br>                                                 |[0x80000414]:c.add a2, s4<br> [0x80000416]:sd a2, 32(t1)<br>    |
|   6|[0x80008038]<br>0x0000800000000000|- rs1 : x2<br> - rs2 : x9<br> - rs1_val == 0<br> - rs2_val == 140737488355328<br>                                                                                                   |[0x80000426]:c.add sp, s1<br> [0x80000428]:sd sp, 40(t1)<br>    |
|   7|[0x80008040]<br>0xB333333333333333|- rs1 : x29<br> - rs2 : x3<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 9223372036854775807<br>                                                                                |[0x80000458]:c.add t4, gp<br> [0x8000045a]:sd t4, 48(t1)<br>    |
|   8|[0x80008048]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x7<br> - rs2_val == 68719476736<br>                                                                                                                          |[0x8000046a]:c.add.hint.t2<br> [0x8000046c]:sd zero, 56(t1)<br> |
|   9|[0x80008050]<br>0x4000000000000002|- rs1 : x28<br> - rs2 : x10<br> - rs2_val == 2<br> - rs1_val == 4611686018427387904<br>                                                                                             |[0x8000047c]:c.add t3, a0<br> [0x8000047e]:sd t3, 64(t1)<br>    |
|  10|[0x80008058]<br>0xC000000000000003|- rs1 : x14<br> - rs2 : x12<br> - rs2_val == 4<br> - rs1_val == -4611686018427387905<br>                                                                                            |[0x80000492]:c.add a4, a2<br> [0x80000494]:sd a4, 72(t1)<br>    |
|  11|[0x80008060]<br>0xFFFFFFFFFFFFF007|- rs1 : x18<br> - rs2 : x13<br> - rs2_val == 8<br> - rs1_val == -4097<br>                                                                                                           |[0x800004a4]:c.add s2, a3<br> [0x800004a6]:sd s2, 80(t1)<br>    |
|  12|[0x80008068]<br>0x0000000000000014|- rs1 : x25<br> - rs2 : x28<br> - rs2_val == 16<br> - rs1_val == 4<br>                                                                                                              |[0x800004b2]:c.add s9, t3<br> [0x800004b4]:sd s9, 88(t1)<br>    |
|  13|[0x80008070]<br>0xFFFFFFFFF800001F|- rs1 : x15<br> - rs2 : x31<br> - rs2_val == 32<br> - rs1_val == -134217729<br>                                                                                                     |[0x800004c4]:c.add a5, t6<br> [0x800004c6]:sd a5, 96(t1)<br>    |
|  14|[0x80008078]<br>0xFFFFC0000000003F|- rs1 : x8<br> - rs2 : x29<br> - rs2_val == 64<br> - rs1_val == -70368744177665<br>                                                                                                 |[0x800004da]:c.add fp, t4<br> [0x800004dc]:sd fp, 104(t1)<br>   |
|  15|[0x80008080]<br>0x0008000000000080|- rs1 : x27<br> - rs2 : x30<br> - rs2_val == 128<br> - rs1_val == 2251799813685248<br>                                                                                              |[0x800004ec]:c.add s11, t5<br> [0x800004ee]:sd s11, 112(t1)<br> |
|  16|[0x80008088]<br>0x6666666666666766|- rs1 : x24<br> - rs2 : x27<br> - rs2_val == 256<br>                                                                                                                                |[0x80000516]:c.add s8, s11<br> [0x80000518]:sd s8, 120(t1)<br>  |
|  17|[0x80008090]<br>0x0000000000000209|- rs1 : x10<br> - rs2 : x11<br> - rs2_val == 512<br>                                                                                                                                |[0x80000524]:c.add a0, a1<br> [0x80000526]:sd a0, 128(t1)<br>   |
|  18|[0x80008098]<br>0x6666666666666A65|- rs1 : x16<br> - rs2 : x4<br> - rs2_val == 1024<br>                                                                                                                                |[0x8000054e]:c.add a6, tp<br> [0x80000550]:sd a6, 136(t1)<br>   |
|  19|[0x800080a0]<br>0xFFFFFFFFFFFFC7FF|- rs1 : x19<br> - rs2 : x18<br> - rs2_val == 2048<br> - rs1_val == -16385<br>                                                                                                       |[0x80000564]:c.add s3, s2<br> [0x80000566]:sd s3, 144(t1)<br>   |
|  20|[0x800080a8]<br>0x0080000000001000|- rs1 : x9<br> - rs2 : x22<br> - rs2_val == 4096<br> - rs1_val == 36028797018963968<br>                                                                                             |[0x80000576]:c.add s1, s6<br> [0x80000578]:sd s1, 152(t1)<br>   |
|  21|[0x800080b0]<br>0x5555555555557554|- rs1 : x23<br> - rs2 : x16<br> - rs2_val == 8192<br>                                                                                                                               |[0x800005a0]:c.add s7, a6<br> [0x800005a2]:sd s7, 160(t1)<br>   |
|  22|[0x800080b8]<br>0x00000000B5053333|- rs1 : x31<br> - rs2 : x25<br> - rs2_val == 16384<br>                                                                                                                              |[0x800005c2]:c.add t6, s9<br> [0x800005c4]:sd t6, 0(tp)<br>     |
|  23|[0x800080c0]<br>0x0000000000007FF8|- rs1 : x30<br> - rs2 : x26<br> - rs2_val == 32768<br>                                                                                                                              |[0x800005d0]:c.add t5, s10<br> [0x800005d2]:sd t5, 8(tp)<br>    |
|  24|[0x800080c8]<br>0xF80000000000FFFF|- rs1 : x17<br> - rs2 : x21<br> - rs2_val == 65536<br> - rs1_val == -576460752303423489<br>                                                                                         |[0x800005e6]:c.add a7, s5<br> [0x800005e8]:sd a7, 16(tp)<br>    |
|  25|[0x800080d0]<br>0xFFF800000001FFFF|- rs1 : x13<br> - rs2 : x14<br> - rs2_val == 131072<br> - rs1_val == -2251799813685249<br>                                                                                          |[0x800005fc]:c.add a3, a4<br> [0x800005fe]:sd a3, 24(tp)<br>    |
|  26|[0x800080d8]<br>0x0000000000080000|- rs1 : x7<br> - rs2 : x17<br> - rs2_val == 262144<br> - rs1_val == 262144<br>                                                                                                      |[0x8000060a]:c.add t2, a7<br> [0x8000060c]:sd t2, 32(tp)<br>    |
|  27|[0x800080e0]<br>0x0080000000080000|- rs1 : x3<br> - rs2 : x23<br> - rs2_val == 524288<br>                                                                                                                              |[0x8000061c]:c.add gp, s7<br> [0x8000061e]:sd gp, 40(tp)<br>    |
|  28|[0x800080e8]<br>0x0000000000140000|- rs1 : x21<br> - rs2 : x8<br> - rs2_val == 1048576<br>                                                                                                                             |[0x8000062a]:c.add s5, fp<br> [0x8000062c]:sd s5, 48(tp)<br>    |
|  29|[0x800080f0]<br>0xFF000000001FFFFF|- rs1 : x11<br> - rs2 : x15<br> - rs2_val == 2097152<br> - rs1_val == -72057594037927937<br>                                                                                        |[0x80000640]:c.add a1, a5<br> [0x80000642]:sd a1, 56(tp)<br>    |
|  30|[0x800080f8]<br>0x0000100000400000|- rs1 : x1<br> - rs2 : x6<br> - rs2_val == 4194304<br> - rs1_val == 17592186044416<br>                                                                                              |[0x80000652]:c.add ra, t1<br> [0x80000654]:sd ra, 64(tp)<br>    |
|  31|[0x80008100]<br>0x2000000000800000|- rs1 : x22<br> - rs2 : x2<br> - rs2_val == 8388608<br> - rs1_val == 2305843009213693952<br>                                                                                        |[0x80000664]:c.add s6, sp<br> [0x80000666]:sd s6, 72(tp)<br>    |
|  32|[0x80008108]<br>0x0000000000FFFFFE|- rs1 : x6<br> - rs2_val == 16777216<br> - rs1_val == -2<br>                                                                                                                        |[0x80000672]:c.add t1, a1<br> [0x80000674]:sd t1, 80(tp)<br>    |
|  33|[0x80008110]<br>0x0000000001FFFFFF|- rs2_val == 33554432<br>                                                                                                                                                           |[0x80000680]:c.add a0, a1<br> [0x80000682]:sd a0, 88(tp)<br>    |
|  34|[0x80008118]<br>0x0000000003FFF7FF|- rs2_val == 67108864<br> - rs1_val == -2049<br>                                                                                                                                    |[0x80000692]:c.add a0, a1<br> [0x80000694]:sd a0, 96(tp)<br>    |
|  35|[0x80008120]<br>0x0000080008000000|- rs2_val == 134217728<br> - rs1_val == 8796093022208<br>                                                                                                                           |[0x800006a4]:c.add a0, a1<br> [0x800006a6]:sd a0, 104(tp)<br>   |
|  36|[0x80008128]<br>0x800000000FFFFFFF|- rs2_val == 268435456<br>                                                                                                                                                          |[0x800006ba]:c.add a0, a1<br> [0x800006bc]:sd a0, 112(tp)<br>   |
|  37|[0x80008130]<br>0x0000000020000007|- rs2_val == 536870912<br>                                                                                                                                                          |[0x800006c8]:c.add a0, a1<br> [0x800006ca]:sd a0, 120(tp)<br>   |
|  38|[0x80008138]<br>0x000000003FFFFFFC|- rs2_val == 1073741824<br>                                                                                                                                                         |[0x800006d6]:c.add a0, a1<br> [0x800006d8]:sd a0, 128(tp)<br>   |
|  39|[0x80008140]<br>0x55555555D5555555|- rs2_val == 2147483648<br> - rs1_val == 6148914691236517205<br>                                                                                                                    |[0x80000704]:c.add a0, a1<br> [0x80000706]:sd a0, 136(tp)<br>   |
|  40|[0x80008148]<br>0x0000000100080000|- rs2_val == 4294967296<br>                                                                                                                                                         |[0x80000716]:c.add a0, a1<br> [0x80000718]:sd a0, 144(tp)<br>   |
|  41|[0x80008150]<br>0x0000001200000000|- rs2_val == 8589934592<br> - rs1_val == 68719476736<br>                                                                                                                            |[0x8000072c]:c.add a0, a1<br> [0x8000072e]:sd a0, 152(tp)<br>   |
|  42|[0x80008158]<br>0xC000000400000000|- rs2_val == 17179869184<br>                                                                                                                                                        |[0x80000742]:c.add a0, a1<br> [0x80000744]:sd a0, 160(tp)<br>   |
|  43|[0x80008160]<br>0x00000008B504F334|- rs2_val == 34359738368<br>                                                                                                                                                        |[0x80000760]:c.add a0, a1<br> [0x80000762]:sd a0, 168(tp)<br>   |
|  44|[0x80008168]<br>0x0000002000000006|- rs2_val == 137438953472<br>                                                                                                                                                       |[0x80000772]:c.add a0, a1<br> [0x80000774]:sd a0, 176(tp)<br>   |
|  45|[0x80008170]<br>0xFFFFE03FFFFFFFFF|- rs2_val == 274877906944<br> - rs1_val == -35184372088833<br>                                                                                                                      |[0x8000078c]:c.add a0, a1<br> [0x8000078e]:sd a0, 184(tp)<br>   |
|  46|[0x80008178]<br>0xFFFFF8FFFFFFFFFF|- rs2_val == 1099511627776<br> - rs1_val == -8796093022209<br>                                                                                                                      |[0x800007a6]:c.add a0, a1<br> [0x800007a8]:sd a0, 192(tp)<br>   |
|  47|[0x80008180]<br>0x000001FFFFFFFFFD|- rs2_val == 2199023255552<br> - rs1_val == -3<br>                                                                                                                                  |[0x800007b8]:c.add a0, a1<br> [0x800007ba]:sd a0, 200(tp)<br>   |
|  48|[0x80008188]<br>0x0010040000000000|- rs2_val == 4398046511104<br> - rs1_val == 4503599627370496<br>                                                                                                                    |[0x800007ce]:c.add a0, a1<br> [0x800007d0]:sd a0, 208(tp)<br>   |
|  49|[0x80008190]<br>0x000007FFFFFFFFEF|- rs2_val == 8796093022208<br> - rs1_val == -17<br>                                                                                                                                 |[0x800007e0]:c.add a0, a1<br> [0x800007e2]:sd a0, 216(tp)<br>   |
|  50|[0x80008198]<br>0x0000100000000006|- rs2_val == 17592186044416<br>                                                                                                                                                     |[0x800007f2]:c.add a0, a1<br> [0x800007f4]:sd a0, 224(tp)<br>   |
|  51|[0x800081a0]<br>0x00001FFFFFFFFDFF|- rs2_val == 35184372088832<br> - rs1_val == -513<br>                                                                                                                               |[0x80000804]:c.add a0, a1<br> [0x80000806]:sd a0, 232(tp)<br>   |
|  52|[0x800081a8]<br>0x00003FFFFFFFFFFB|- rs2_val == 70368744177664<br> - rs1_val == -5<br>                                                                                                                                 |[0x80000816]:c.add a0, a1<br> [0x80000818]:sd a0, 240(tp)<br>   |
|  53|[0x800081b0]<br>0x0001000000002000|- rs2_val == 281474976710656<br> - rs1_val == 8192<br>                                                                                                                              |[0x80000828]:c.add a0, a1<br> [0x8000082a]:sd a0, 248(tp)<br>   |
|  54|[0x800081b8]<br>0x0002000000400000|- rs2_val == 562949953421312<br> - rs1_val == 4194304<br>                                                                                                                           |[0x8000083a]:c.add a0, a1<br> [0x8000083c]:sd a0, 256(tp)<br>   |
|  55|[0x800081c0]<br>0x0003FFFFFFDFFFFF|- rs2_val == 1125899906842624<br> - rs1_val == -2097153<br>                                                                                                                         |[0x80000850]:c.add a0, a1<br> [0x80000852]:sd a0, 264(tp)<br>   |
|  56|[0x800081c8]<br>0x555D555555555555|- rs2_val == 2251799813685248<br>                                                                                                                                                   |[0x8000087e]:c.add a0, a1<br> [0x80000880]:sd a0, 272(tp)<br>   |
|  57|[0x800081d0]<br>0x000FFFFDFFFFFFFF|- rs2_val == 4503599627370496<br> - rs1_val == -8589934593<br>                                                                                                                      |[0x80000898]:c.add a0, a1<br> [0x8000089a]:sd a0, 280(tp)<br>   |
|  58|[0x800081d8]<br>0x001FFFFFFFDFFFFF|- rs2_val == 9007199254740992<br>                                                                                                                                                   |[0x800008ae]:c.add a0, a1<br> [0x800008b0]:sd a0, 288(tp)<br>   |
|  59|[0x800081e0]<br>0x0040000020000000|- rs2_val == 18014398509481984<br> - rs1_val == 536870912<br>                                                                                                                       |[0x800008c0]:c.add a0, a1<br> [0x800008c2]:sd a0, 296(tp)<br>   |
|  60|[0x800081e8]<br>0x0084000000000000|- rs2_val == 36028797018963968<br> - rs1_val == 1125899906842624<br>                                                                                                                |[0x800008d6]:c.add a0, a1<br> [0x800008d8]:sd a0, 304(tp)<br>   |
|  61|[0x800081f0]<br>0x5655555555555555|- rs2_val == 72057594037927936<br>                                                                                                                                                  |[0x80000904]:c.add a0, a1<br> [0x80000906]:sd a0, 312(tp)<br>   |
|  62|[0x800081f8]<br>0x0200000000400000|- rs2_val == 144115188075855872<br>                                                                                                                                                 |[0x80000916]:c.add a0, a1<br> [0x80000918]:sd a0, 320(tp)<br>   |
|  63|[0x80008200]<br>0x0400000000000005|- rs2_val == 288230376151711744<br>                                                                                                                                                 |[0x80000928]:c.add a0, a1<br> [0x8000092a]:sd a0, 328(tp)<br>   |
|  64|[0x80008208]<br>0x07FFFFFFFFFFFFFD|- rs2_val == 576460752303423488<br>                                                                                                                                                 |[0x8000093a]:c.add a0, a1<br> [0x8000093c]:sd a0, 336(tp)<br>   |
|  65|[0x80008210]<br>0x0FFFFFFFFFFFFFFA|- rs2_val == 1152921504606846976<br>                                                                                                                                                |[0x8000094c]:c.add a0, a1<br> [0x8000094e]:sd a0, 344(tp)<br>   |
|  66|[0x80008218]<br>0xE000000000000000|- rs2_val == 2305843009213693952<br>                                                                                                                                                |[0x80000962]:c.add a0, a1<br> [0x80000964]:sd a0, 352(tp)<br>   |
|  67|[0x80008220]<br>0x3FFFFFFFFFFFFF7F|- rs2_val == 4611686018427387904<br> - rs1_val == -129<br>                                                                                                                          |[0x80000974]:c.add a0, a1<br> [0x80000976]:sd a0, 360(tp)<br>   |
|  68|[0x80008228]<br>0x0000000000000FFE|- rs2_val == -2<br> - rs1_val == 4096<br>                                                                                                                                           |[0x80000982]:c.add a0, a1<br> [0x80000984]:sd a0, 368(tp)<br>   |
|  69|[0x80008230]<br>0xFFFFFFFFFFEFFFFC|- rs2_val == -3<br> - rs1_val == -1048577<br>                                                                                                                                       |[0x80000994]:c.add a0, a1<br> [0x80000996]:sd a0, 376(tp)<br>   |
|  70|[0x80008238]<br>0xFFFFFFFFF7FFFFFA|- rs2_val == -5<br>                                                                                                                                                                 |[0x800009a6]:c.add a0, a1<br> [0x800009a8]:sd a0, 384(tp)<br>   |
|  71|[0x80008240]<br>0xDFFFFFFFFFFFFFF6|- rs2_val == -9<br> - rs1_val == -2305843009213693953<br>                                                                                                                           |[0x800009bc]:c.add a0, a1<br> [0x800009be]:sd a0, 392(tp)<br>   |
|  72|[0x80008248]<br>0xFFFFFFFBFFFFFFEE|- rs2_val == -17<br> - rs1_val == -17179869185<br>                                                                                                                                  |[0x800009d2]:c.add a0, a1<br> [0x800009d4]:sd a0, 400(tp)<br>   |
|  73|[0x80008250]<br>0xFFFFFFFFFFFFFFE3|- rs2_val == -33<br>                                                                                                                                                                |[0x800009e0]:c.add a0, a1<br> [0x800009e2]:sd a0, 408(tp)<br>   |
|  74|[0x80008258]<br>0x000000FFFFFFFFBF|- rs2_val == -65<br> - rs1_val == 1099511627776<br>                                                                                                                                 |[0x800009f2]:c.add a0, a1<br> [0x800009f4]:sd a0, 416(tp)<br>   |
|  75|[0x80008260]<br>0xFFFFFFFFFFFFFF83|- rs2_val == -129<br>                                                                                                                                                               |[0x80000a00]:c.add a0, a1<br> [0x80000a02]:sd a0, 424(tp)<br>   |
|  76|[0x80008268]<br>0xFFFDFFFFFFFFFEFE|- rs2_val == -257<br> - rs1_val == -562949953421313<br>                                                                                                                             |[0x80000a16]:c.add a0, a1<br> [0x80000a18]:sd a0, 432(tp)<br>   |
|  77|[0x80008270]<br>0xFFFFFFFFFFFFFE1F|- rs2_val == -513<br> - rs1_val == 32<br>                                                                                                                                           |[0x80000a24]:c.add a0, a1<br> [0x80000a26]:sd a0, 440(tp)<br>   |
|  78|[0x80008278]<br>0xFFFFFFFF4AFB08CC|- rs2_val == -1025<br>                                                                                                                                                              |[0x80000a3e]:c.add a0, a1<br> [0x80000a40]:sd a0, 448(tp)<br>   |
|  79|[0x80008280]<br>0x7FFFFFFFFFFFF7FF|- rs2_val == -2049<br>                                                                                                                                                              |[0x80000a54]:c.add a0, a1<br> [0x80000a56]:sd a0, 456(tp)<br>   |
|  80|[0x80008288]<br>0x00FFFFFFFFFFEFFF|- rs2_val == -4097<br> - rs1_val == 72057594037927936<br>                                                                                                                           |[0x80000a6a]:c.add a0, a1<br> [0x80000a6c]:sd a0, 464(tp)<br>   |
|  81|[0x80008290]<br>0xFFFFFDFFFFFFDFFE|- rs2_val == -8193<br> - rs1_val == -2199023255553<br>                                                                                                                              |[0x80000a84]:c.add a0, a1<br> [0x80000a86]:sd a0, 472(tp)<br>   |
|  82|[0x80008298]<br>0xFFFFFFFFFFFFBFDE|- rs2_val == -16385<br> - rs1_val == -33<br>                                                                                                                                        |[0x80000a96]:c.add a0, a1<br> [0x80000a98]:sd a0, 480(tp)<br>   |
|  83|[0x800082a0]<br>0xFFFFFFFFFFFF7EFE|- rs2_val == -32769<br> - rs1_val == -257<br>                                                                                                                                       |[0x80000aa8]:c.add a0, a1<br> [0x80000aaa]:sd a0, 488(tp)<br>   |
|  84|[0x800082a8]<br>0xFFFDFFFFFFFEFFFE|- rs2_val == -65537<br>                                                                                                                                                             |[0x80000ac2]:c.add a0, a1<br> [0x80000ac4]:sd a0, 496(tp)<br>   |
|  85|[0x800082b0]<br>0xFFFFFFFFFFFD7FFE|- rs2_val == -131073<br> - rs1_val == -32769<br>                                                                                                                                    |[0x80000ad8]:c.add a0, a1<br> [0x80000ada]:sd a0, 504(tp)<br>   |
|  86|[0x800082b8]<br>0xFFFFFFFFFFFC000F|- rs2_val == -262145<br> - rs1_val == 16<br>                                                                                                                                        |[0x80000aea]:c.add a0, a1<br> [0x80000aec]:sd a0, 512(tp)<br>   |
|  87|[0x800082c0]<br>0xFFFFFFFFFFF80003|- rs2_val == -524289<br>                                                                                                                                                            |[0x80000afc]:c.add a0, a1<br> [0x80000afe]:sd a0, 520(tp)<br>   |
|  88|[0x800082c8]<br>0xFFFFFFFFFFEBFFFE|- rs2_val == -1048577<br> - rs1_val == -262145<br>                                                                                                                                  |[0x80000b12]:c.add a0, a1<br> [0x80000b14]:sd a0, 528(tp)<br>   |
|  89|[0x800082d0]<br>0x00FFFFFFFFDFFFFF|- rs2_val == -2097153<br>                                                                                                                                                           |[0x80000b28]:c.add a0, a1<br> [0x80000b2a]:sd a0, 536(tp)<br>   |
|  90|[0x800082d8]<br>0xFFFFFFFFFFB7FFFE|- rs2_val == -4194305<br> - rs1_val == -524289<br>                                                                                                                                  |[0x80000b3e]:c.add a0, a1<br> [0x80000b40]:sd a0, 544(tp)<br>   |
|  91|[0x800082e0]<br>0xFFFFFFFFFF800001|- rs2_val == -8388609<br> - rs1_val == 2<br>                                                                                                                                        |[0x80000b50]:c.add a0, a1<br> [0x80000b52]:sd a0, 552(tp)<br>   |
|  92|[0x800082e8]<br>0xFFFFFFFFFF00FFFF|- rs2_val == -16777217<br> - rs1_val == 65536<br>                                                                                                                                   |[0x80000b62]:c.add a0, a1<br> [0x80000b64]:sd a0, 560(tp)<br>   |
|  93|[0x800082f0]<br>0x07FFFFFFFDFFFFFF|- rs2_val == -33554433<br> - rs1_val == 576460752303423488<br>                                                                                                                      |[0x80000b78]:c.add a0, a1<br> [0x80000b7a]:sd a0, 568(tp)<br>   |
|  94|[0x800082f8]<br>0xFFFFFFFFFC00003F|- rs2_val == -67108865<br> - rs1_val == 64<br>                                                                                                                                      |[0x80000b8a]:c.add a0, a1<br> [0x80000b8c]:sd a0, 576(tp)<br>   |
|  95|[0x80008300]<br>0xFFFFFFFFF7FFFFFA|- rs2_val == -134217729<br>                                                                                                                                                         |[0x80000b9c]:c.add a0, a1<br> [0x80000b9e]:sd a0, 584(tp)<br>   |
|  96|[0x80008308]<br>0xFFFFFFFFF00FFFFF|- rs2_val == -268435457<br> - rs1_val == 1048576<br>                                                                                                                                |[0x80000bae]:c.add a0, a1<br> [0x80000bb0]:sd a0, 592(tp)<br>   |
|  97|[0x80008310]<br>0x03FFFFFFDFFFFFFF|- rs2_val == -536870913<br> - rs1_val == 288230376151711744<br>                                                                                                                     |[0x80000bc4]:c.add a0, a1<br> [0x80000bc6]:sd a0, 600(tp)<br>   |
|  98|[0x80008318]<br>0x003FFFFFBFFFFFFF|- rs1_val == 18014398509481984<br>                                                                                                                                                  |[0x80000bda]:c.add a0, a1<br> [0x80000bdc]:sd a0, 608(tp)<br>   |
|  99|[0x80008320]<br>0xFFFFFFFF77FFFFFE|- rs2_val == -2147483649<br>                                                                                                                                                        |[0x80000bf4]:c.add a0, a1<br> [0x80000bf6]:sd a0, 616(tp)<br>   |
| 100|[0x80008328]<br>0xFFFFFDFEFFFFFFFE|- rs2_val == -4294967297<br>                                                                                                                                                        |[0x80000c12]:c.add a0, a1<br> [0x80000c14]:sd a0, 624(tp)<br>   |
| 101|[0x80008330]<br>0x00003FFDFFFFFFFF|- rs2_val == -8589934593<br> - rs1_val == 70368744177664<br>                                                                                                                        |[0x80000c2c]:c.add a0, a1<br> [0x80000c2e]:sd a0, 632(tp)<br>   |
| 102|[0x80008338]<br>0xFFFFFFFBFDFFFFFE|- rs2_val == -17179869185<br> - rs1_val == -33554433<br>                                                                                                                            |[0x80000c46]:c.add a0, a1<br> [0x80000c48]:sd a0, 640(tp)<br>   |
| 103|[0x80008340]<br>0xFFFFFFF800000003|- rs2_val == -34359738369<br>                                                                                                                                                       |[0x80000c5c]:c.add a0, a1<br> [0x80000c5e]:sd a0, 648(tp)<br>   |
| 104|[0x80008348]<br>0x00000FEFFFFFFFFF|- rs2_val == -68719476737<br>                                                                                                                                                       |[0x80000c76]:c.add a0, a1<br> [0x80000c78]:sd a0, 656(tp)<br>   |
| 105|[0x80008350]<br>0xFFFFFFD7FFFFFFFE|- rs2_val == -137438953473<br> - rs1_val == -34359738369<br>                                                                                                                        |[0x80000c94]:c.add a0, a1<br> [0x80000c96]:sd a0, 664(tp)<br>   |
| 106|[0x80008358]<br>0xFFFFFFBFFFFFFFF6|- rs2_val == -274877906945<br> - rs1_val == -9<br>                                                                                                                                  |[0x80000caa]:c.add a0, a1<br> [0x80000cac]:sd a0, 672(tp)<br>   |
| 107|[0x80008360]<br>0xFFFFFF800000FFFF|- rs2_val == -549755813889<br>                                                                                                                                                      |[0x80000cc0]:c.add a0, a1<br> [0x80000cc2]:sd a0, 680(tp)<br>   |
| 108|[0x80008368]<br>0xFFFFFEFF4AFB0CCC|- rs2_val == -1099511627777<br>                                                                                                                                                     |[0x80000ce2]:c.add a0, a1<br> [0x80000ce4]:sd a0, 688(tp)<br>   |
| 109|[0x80008370]<br>0x7FFFFDFFFFFFFFFE|- rs2_val == -2199023255553<br>                                                                                                                                                     |[0x80000d00]:c.add a0, a1<br> [0x80000d02]:sd a0, 696(tp)<br>   |
| 110|[0x80008378]<br>0xFFFFFC0000000003|- rs2_val == -4398046511105<br>                                                                                                                                                     |[0x80000d16]:c.add a0, a1<br> [0x80000d18]:sd a0, 704(tp)<br>   |
| 111|[0x80008380]<br>0xFFFFF7FFFFFFFFBE|- rs2_val == -8796093022209<br> - rs1_val == -65<br>                                                                                                                                |[0x80000d2c]:c.add a0, a1<br> [0x80000d2e]:sd a0, 712(tp)<br>   |
| 112|[0x80008388]<br>0xFFDFEFFFFFFFFFFE|- rs2_val == -17592186044417<br> - rs1_val == -9007199254740993<br>                                                                                                                 |[0x80000d4a]:c.add a0, a1<br> [0x80000d4c]:sd a0, 720(tp)<br>   |
| 113|[0x80008390]<br>0xFFFFDFFFFDFFFFFE|- rs2_val == -35184372088833<br>                                                                                                                                                    |[0x80000d64]:c.add a0, a1<br> [0x80000d66]:sd a0, 728(tp)<br>   |
| 114|[0x80008398]<br>0xFFFFC000003FFFFF|- rs2_val == -70368744177665<br>                                                                                                                                                    |[0x80000d7a]:c.add a0, a1<br> [0x80000d7c]:sd a0, 736(tp)<br>   |
| 115|[0x800083a0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -140737488355329<br> - rs1_val == 140737488355328<br>                                                                                                                  |[0x80000d94]:c.add a0, a1<br> [0x80000d96]:sd a0, 744(tp)<br>   |
| 116|[0x800083a8]<br>0xFFFF00007FFFFFFF|- rs2_val == -281474976710657<br> - rs1_val == 2147483648<br>                                                                                                                       |[0x80000dae]:c.add a0, a1<br> [0x80000db0]:sd a0, 752(tp)<br>   |
| 117|[0x800083b0]<br>0xFFFEFFFFFFFFFFFF|- rs2_val == -562949953421313<br> - rs1_val == 281474976710656<br>                                                                                                                  |[0x80000dc8]:c.add a0, a1<br> [0x80000dca]:sd a0, 760(tp)<br>   |
| 118|[0x800083b8]<br>0xFFFBFFFFFFFBFFFE|- rs2_val == -1125899906842625<br>                                                                                                                                                  |[0x80000de2]:c.add a0, a1<br> [0x80000de4]:sd a0, 768(tp)<br>   |
| 119|[0x800083c0]<br>0xFFD7FFFFFFFFFFFE|- rs2_val == -2251799813685249<br>                                                                                                                                                  |[0x80000e00]:c.add a0, a1<br> [0x80000e02]:sd a0, 776(tp)<br>   |
| 120|[0x800083c8]<br>0xFFAFFFFFFFFFFFFE|- rs2_val == -4503599627370497<br> - rs1_val == -18014398509481985<br>                                                                                                              |[0x80000e1e]:c.add a0, a1<br> [0x80000e20]:sd a0, 784(tp)<br>   |
| 121|[0x800083d0]<br>0xFFDFFFFEFFFFFFFE|- rs2_val == -9007199254740993<br> - rs1_val == -4294967297<br>                                                                                                                     |[0x80000e3c]:c.add a0, a1<br> [0x80000e3e]:sd a0, 792(tp)<br>   |
| 122|[0x800083d8]<br>0xFFC0001FFFFFFFFF|- rs2_val == -18014398509481985<br> - rs1_val == 137438953472<br>                                                                                                                   |[0x80000e56]:c.add a0, a1<br> [0x80000e58]:sd a0, 800(tp)<br>   |
| 123|[0x800083e0]<br>0xFF800000000001FF|- rs2_val == -36028797018963969<br> - rs1_val == 512<br>                                                                                                                            |[0x80000e6c]:c.add a0, a1<br> [0x80000e6e]:sd a0, 808(tp)<br>   |
| 124|[0x800083e8]<br>0xFF00000000000005|- rs2_val == -72057594037927937<br>                                                                                                                                                 |[0x80000e82]:c.add a0, a1<br> [0x80000e84]:sd a0, 816(tp)<br>   |
| 125|[0x800083f0]<br>0xFE0000007FFFFFFF|- rs2_val == -144115188075855873<br>                                                                                                                                                |[0x80000e9c]:c.add a0, a1<br> [0x80000e9e]:sd a0, 824(tp)<br>   |
| 126|[0x800083f8]<br>0xFC0000001FFFFFFF|- rs2_val == -288230376151711745<br>                                                                                                                                                |[0x80000eb2]:c.add a0, a1<br> [0x80000eb4]:sd a0, 832(tp)<br>   |
| 127|[0x80008400]<br>0x4D55555555555555|- rs2_val == -576460752303423489<br>                                                                                                                                                |[0x80000ee4]:c.add a0, a1<br> [0x80000ee6]:sd a0, 840(tp)<br>   |
| 128|[0x80008408]<br>0xF001FFFFFFFFFFFF|- rs2_val == -1152921504606846977<br> - rs1_val == 562949953421312<br>                                                                                                              |[0x80000efe]:c.add a0, a1<br> [0x80000f00]:sd a0, 848(tp)<br>   |
| 129|[0x80008410]<br>0x3555555555555555|- rs2_val == -2305843009213693953<br>                                                                                                                                               |[0x80000f30]:c.add a0, a1<br> [0x80000f32]:sd a0, 856(tp)<br>   |
| 130|[0x80008418]<br>0xBFFFFFFFFBFFFFFE|- rs2_val == -4611686018427387905<br> - rs1_val == -67108865<br>                                                                                                                    |[0x80000f4a]:c.add a0, a1<br> [0x80000f4c]:sd a0, 864(tp)<br>   |
| 131|[0x80008420]<br>0x555555555555555D|- rs2_val == 6148914691236517205<br> - rs1_val == 8<br>                                                                                                                             |[0x80000f74]:c.add a0, a1<br> [0x80000f76]:sd a0, 872(tp)<br>   |
| 132|[0x80008428]<br>0xAAAAAAA9F5A5B778|- rs2_val == -6148914691236517206<br> - rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                  |[0x80000faa]:c.add a0, a1<br> [0x80000fac]:sd a0, 880(tp)<br>   |
| 133|[0x80008430]<br>0xFC0000000000007F|- rs1_val == 128<br>                                                                                                                                                                |[0x80000fc0]:c.add a0, a1<br> [0x80000fc2]:sd a0, 888(tp)<br>   |
| 134|[0x80008438]<br>0x1000000000000100|- rs1_val == 256<br>                                                                                                                                                                |[0x80000fd2]:c.add a0, a1<br> [0x80000fd4]:sd a0, 896(tp)<br>   |
| 135|[0x80008440]<br>0xFFFFFFFF4AFB10CE|- rs1_val == 1024<br>                                                                                                                                                               |[0x80000fec]:c.add a0, a1<br> [0x80000fee]:sd a0, 904(tp)<br>   |
| 136|[0x80008448]<br>0x00000000000007EF|- rs1_val == 2048<br>                                                                                                                                                               |[0x80000ffe]:c.add a0, a1<br> [0x80001000]:sd a0, 912(tp)<br>   |
| 137|[0x80008450]<br>0xAAAAAAAAAAAAEAAB|- rs1_val == 16384<br>                                                                                                                                                              |[0x80001028]:c.add a0, a1<br> [0x8000102a]:sd a0, 920(tp)<br>   |
| 138|[0x80008458]<br>0xFFFFFFFFC0007FFF|- rs1_val == 32768<br>                                                                                                                                                              |[0x8000103a]:c.add a0, a1<br> [0x8000103c]:sd a0, 928(tp)<br>   |
| 139|[0x80008460]<br>0x0000000000020002|- rs1_val == 131072<br>                                                                                                                                                             |[0x80001048]:c.add a0, a1<br> [0x8000104a]:sd a0, 936(tp)<br>   |
| 140|[0x80008468]<br>0xFFF00000001FFFFF|- rs1_val == 2097152<br>                                                                                                                                                            |[0x8000105e]:c.add a0, a1<br> [0x80001060]:sd a0, 944(tp)<br>   |
| 141|[0x80008470]<br>0x00000000005FFFFF|- rs1_val == 8388608<br>                                                                                                                                                            |[0x80001070]:c.add a0, a1<br> [0x80001072]:sd a0, 952(tp)<br>   |
| 142|[0x80008478]<br>0x0000000005000000|- rs1_val == 16777216<br>                                                                                                                                                           |[0x8000107e]:c.add a0, a1<br> [0x80001080]:sd a0, 960(tp)<br>   |
| 143|[0x80008480]<br>0x3333333335333332|- rs1_val == 33554432<br>                                                                                                                                                           |[0x800010a8]:c.add a0, a1<br> [0x800010aa]:sd a0, 968(tp)<br>   |
| 144|[0x80008488]<br>0x0008000004000000|- rs1_val == 67108864<br>                                                                                                                                                           |[0x800010ba]:c.add a0, a1<br> [0x800010bc]:sd a0, 976(tp)<br>   |
| 145|[0x80008490]<br>0x0000000808000000|- rs1_val == 134217728<br>                                                                                                                                                          |[0x800010cc]:c.add a0, a1<br> [0x800010ce]:sd a0, 984(tp)<br>   |
| 146|[0x80008498]<br>0x000000000FFFFFBF|- rs1_val == 268435456<br>                                                                                                                                                          |[0x800010da]:c.add a0, a1<br> [0x800010dc]:sd a0, 992(tp)<br>   |
| 147|[0x800084a0]<br>0x0000000040000000|- rs2_val == 0<br> - rs1_val == 1073741824<br>                                                                                                                                      |[0x800010e8]:c.add a0, a1<br> [0x800010ea]:sd a0, 1000(tp)<br>  |
| 148|[0x800084a8]<br>0x0000000100000080|- rs1_val == 4294967296<br>                                                                                                                                                         |[0x800010fa]:c.add a0, a1<br> [0x800010fc]:sd a0, 1008(tp)<br>  |
| 149|[0x800084b0]<br>0x00000001FFFFFFFE|- rs1_val == 8589934592<br>                                                                                                                                                         |[0x8000110c]:c.add a0, a1<br> [0x8000110e]:sd a0, 1016(tp)<br>  |
| 150|[0x800084b8]<br>0x00000003FDFFFFFF|- rs1_val == 17179869184<br>                                                                                                                                                        |[0x80001122]:c.add a0, a1<br> [0x80001124]:sd a0, 1024(tp)<br>  |
| 151|[0x800084c0]<br>0x0000000880000000|- rs1_val == 34359738368<br>                                                                                                                                                        |[0x80001138]:c.add a0, a1<br> [0x8000113a]:sd a0, 1032(tp)<br>  |
| 152|[0x800084c8]<br>0x0000003FFFBFFFFF|- rs1_val == 274877906944<br>                                                                                                                                                       |[0x8000114e]:c.add a0, a1<br> [0x80001150]:sd a0, 1040(tp)<br>  |
| 153|[0x800084d0]<br>0xFFFF807FFFFFFFFF|- rs1_val == 549755813888<br>                                                                                                                                                       |[0x80001168]:c.add a0, a1<br> [0x8000116a]:sd a0, 1048(tp)<br>  |
| 154|[0x800084d8]<br>0x0000020000000080|- rs1_val == 2199023255552<br>                                                                                                                                                      |[0x8000117a]:c.add a0, a1<br> [0x8000117c]:sd a0, 1056(tp)<br>  |
| 155|[0x800084e0]<br>0x000003FFFFFFFF7F|- rs1_val == 4398046511104<br>                                                                                                                                                      |[0x8000118c]:c.add a0, a1<br> [0x8000118e]:sd a0, 1064(tp)<br>  |
| 156|[0x800084e8]<br>0xAAAACAAAAAAAAAAA|- rs1_val == 35184372088832<br>                                                                                                                                                     |[0x800011ba]:c.add a0, a1<br> [0x800011bc]:sd a0, 1072(tp)<br>  |
| 157|[0x800084f0]<br>0x0024000000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                   |[0x800011d0]:c.add a0, a1<br> [0x800011d2]:sd a0, 1080(tp)<br>  |
| 158|[0x800084f8]<br>0x0200000002000000|- rs1_val == 144115188075855872<br>                                                                                                                                                 |[0x800011e2]:c.add a0, a1<br> [0x800011e4]:sd a0, 1088(tp)<br>  |
| 159|[0x80008500]<br>0xBAAAAAAAAAAAAAAA|- rs1_val == 1152921504606846976<br>                                                                                                                                                |[0x80001210]:c.add a0, a1<br> [0x80001212]:sd a0, 1096(tp)<br>  |
| 160|[0x80008508]<br>0x00000000B504EF33|- rs1_val == -1025<br>                                                                                                                                                              |[0x8000122a]:c.add a0, a1<br> [0x8000122c]:sd a0, 1104(tp)<br>  |
| 161|[0x80008510]<br>0xF7FFFFFFFFFFDFFE|- rs1_val == -8193<br>                                                                                                                                                              |[0x80001244]:c.add a0, a1<br> [0x80001246]:sd a0, 1112(tp)<br>  |
| 162|[0x80008518]<br>0xFFFFFFFFFFFEFFFF|- rs1_val == -65537<br>                                                                                                                                                             |[0x80001256]:c.add a0, a1<br> [0x80001258]:sd a0, 1120(tp)<br>  |
| 163|[0x80008520]<br>0x5555555555535554|- rs1_val == -131073<br>                                                                                                                                                            |[0x80001284]:c.add a0, a1<br> [0x80001286]:sd a0, 1128(tp)<br>  |
| 164|[0x80008528]<br>0xFFFFFFFFFFC03FFF|- rs1_val == -4194305<br>                                                                                                                                                           |[0x80001296]:c.add a0, a1<br> [0x80001298]:sd a0, 1136(tp)<br>  |
| 165|[0x80008530]<br>0x000FFFFFFF7FFFFF|- rs1_val == -8388609<br>                                                                                                                                                           |[0x800012ac]:c.add a0, a1<br> [0x800012ae]:sd a0, 1144(tp)<br>  |
| 166|[0x80008538]<br>0x0000007FFEFFFFFF|- rs1_val == -16777217<br>                                                                                                                                                          |[0x800012c2]:c.add a0, a1<br> [0x800012c4]:sd a0, 1152(tp)<br>  |
| 167|[0x80008540]<br>0x001FFFFFEFFFFFFF|- rs1_val == -268435457<br>                                                                                                                                                         |[0x800012d8]:c.add a0, a1<br> [0x800012da]:sd a0, 1160(tp)<br>  |
| 168|[0x80008548]<br>0xFFFFFFFF80000007|- rs1_val == -2147483649<br>                                                                                                                                                        |[0x800012ee]:c.add a0, a1<br> [0x800012f0]:sd a0, 1168(tp)<br>  |
| 169|[0x80008550]<br>0xFFFFFFEFFFFFFFFF|- rs1_val == -68719476737<br>                                                                                                                                                       |[0x80001304]:c.add a0, a1<br> [0x80001306]:sd a0, 1176(tp)<br>  |
| 170|[0x80008558]<br>0x00003FDFFFFFFFFF|- rs1_val == -137438953473<br>                                                                                                                                                      |[0x8000131e]:c.add a0, a1<br> [0x80001320]:sd a0, 1184(tp)<br>  |
| 171|[0x80008560]<br>0xFFFFFF7FFFFFFFFE|- rs1_val == -274877906945<br>                                                                                                                                                      |[0x8000133c]:c.add a0, a1<br> [0x8000133e]:sd a0, 1192(tp)<br>  |
| 172|[0x80008568]<br>0xFFFFFF8000000005|- rs1_val == -549755813889<br>                                                                                                                                                      |[0x80001352]:c.add a0, a1<br> [0x80001354]:sd a0, 1200(tp)<br>  |
| 173|[0x80008570]<br>0xBFFFFEFFFFFFFFFF|- rs1_val == -1099511627777<br>                                                                                                                                                     |[0x8000136c]:c.add a0, a1<br> [0x8000136e]:sd a0, 1208(tp)<br>  |
| 174|[0x80008578]<br>0x5555515555555554|- rs1_val == -4398046511105<br>                                                                                                                                                     |[0x8000139e]:c.add a0, a1<br> [0x800013a0]:sd a0, 1216(tp)<br>  |
| 175|[0x80008580]<br>0xFFFFF00000000004|- rs1_val == -17592186044417<br>                                                                                                                                                    |[0x800013b4]:c.add a0, a1<br> [0x800013b6]:sd a0, 1224(tp)<br>  |
| 176|[0x80008588]<br>0xFFFF800000000005|- rs1_val == -140737488355329<br>                                                                                                                                                   |[0x800013ca]:c.add a0, a1<br> [0x800013cc]:sd a0, 1232(tp)<br>  |
| 177|[0x80008590]<br>0xFFFF000007FFFFFF|- rs1_val == -281474976710657<br>                                                                                                                                                   |[0x800013e0]:c.add a0, a1<br> [0x800013e2]:sd a0, 1240(tp)<br>  |
| 178|[0x80008598]<br>0xFFFBFFFFBFFFFFFE|- rs1_val == -1125899906842625<br>                                                                                                                                                  |[0x800013fa]:c.add a0, a1<br> [0x800013fc]:sd a0, 1248(tp)<br>  |
| 179|[0x800085a0]<br>0xFFEFFFFFFFFFFFFF|- rs1_val == -4503599627370497<br>                                                                                                                                                  |[0x80001410]:c.add a0, a1<br> [0x80001412]:sd a0, 1256(tp)<br>  |
| 180|[0x800085a8]<br>0xFF7FFFFFFFFFFFFF|- rs1_val == -36028797018963969<br>                                                                                                                                                 |[0x80001426]:c.add a0, a1<br> [0x80001428]:sd a0, 1264(tp)<br>  |
| 181|[0x800085b0]<br>0x3DFFFFFFFFFFFFFF|- rs1_val == -144115188075855873<br>                                                                                                                                                |[0x80001440]:c.add a0, a1<br> [0x80001442]:sd a0, 1272(tp)<br>  |
| 182|[0x800085b8]<br>0xFC000000007FFFFF|- rs1_val == -288230376151711745<br>                                                                                                                                                |[0x80001456]:c.add a0, a1<br> [0x80001458]:sd a0, 1280(tp)<br>  |
| 183|[0x800085c0]<br>0xEFFFFFFFFFFFFBFE|- rs1_val == -1152921504606846977<br>                                                                                                                                               |[0x8000146c]:c.add a0, a1<br> [0x8000146e]:sd a0, 1288(tp)<br>  |
| 184|[0x800085c8]<br>0xAAAAA8AAAAAAAAA9|- rs1_val == -6148914691236517206<br>                                                                                                                                               |[0x8000149e]:c.add a0, a1<br> [0x800014a0]:sd a0, 1296(tp)<br>  |
| 185|[0x800085d0]<br>0x0000000000000006|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                     |[0x800014ac]:c.add a0, a1<br> [0x800014ae]:sd a0, 1304(tp)<br>  |
| 186|[0x800085d8]<br>0x5555555555555558|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x800014d6]:c.add a0, a1<br> [0x800014d8]:sd a0, 1312(tp)<br>  |
| 187|[0x800085e0]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80001500]:c.add a0, a1<br> [0x80001502]:sd a0, 1320(tp)<br>  |
| 188|[0x800085e8]<br>0x0000000000000008|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                     |[0x8000150e]:c.add a0, a1<br> [0x80001510]:sd a0, 1328(tp)<br>  |
| 189|[0x800085f0]<br>0x3333333333333336|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80001538]:c.add a0, a1<br> [0x8000153a]:sd a0, 1336(tp)<br>  |
| 190|[0x800085f8]<br>0x6666666666666669|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80001562]:c.add a0, a1<br> [0x80001564]:sd a0, 1344(tp)<br>  |
| 191|[0x80008600]<br>0xFFFFFFFF4AFB0CD0|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                           |[0x8000157c]:c.add a0, a1<br> [0x8000157e]:sd a0, 1352(tp)<br>  |
| 192|[0x80008608]<br>0x00000000B504F336|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                            |[0x80001596]:c.add a0, a1<br> [0x80001598]:sd a0, 1360(tp)<br>  |
| 193|[0x80008610]<br>0x0000000000000005|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                     |[0x800015a4]:c.add a0, a1<br> [0x800015a6]:sd a0, 1368(tp)<br>  |
| 194|[0x80008618]<br>0x5555555555555557|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x800015ce]:c.add a0, a1<br> [0x800015d0]:sd a0, 1376(tp)<br>  |
| 195|[0x80008620]<br>0x0000000000000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                     |[0x800015dc]:c.add a0, a1<br> [0x800015de]:sd a0, 1384(tp)<br>  |
| 196|[0x80008628]<br>0x0000000000000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                     |[0x800015ea]:c.add a0, a1<br> [0x800015ec]:sd a0, 1392(tp)<br>  |
| 197|[0x80008630]<br>0x3333333333333335|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80001614]:c.add a0, a1<br> [0x80001616]:sd a0, 1400(tp)<br>  |
| 198|[0x80008638]<br>0x6666666666666668|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x8000163e]:c.add a0, a1<br> [0x80001640]:sd a0, 1408(tp)<br>  |
| 199|[0x80008640]<br>0x00000000B504F335|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                            |[0x80001658]:c.add a0, a1<br> [0x8000165a]:sd a0, 1416(tp)<br>  |
| 200|[0x80008648]<br>0x5555555555555559|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80001682]:c.add a0, a1<br> [0x80001684]:sd a0, 1424(tp)<br>  |
| 201|[0x80008650]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x800016ac]:c.add a0, a1<br> [0x800016ae]:sd a0, 1432(tp)<br>  |
| 202|[0x80008658]<br>0x0000000000000009|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                     |[0x800016ba]:c.add a0, a1<br> [0x800016bc]:sd a0, 1440(tp)<br>  |
| 203|[0x80008660]<br>0x3333333333333337|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x800016e4]:c.add a0, a1<br> [0x800016e6]:sd a0, 1448(tp)<br>  |
| 204|[0x80008668]<br>0x666666666666666A|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x8000170e]:c.add a0, a1<br> [0x80001710]:sd a0, 1456(tp)<br>  |
| 205|[0x80008670]<br>0xFFFFFFFF4AFB0CD1|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80001728]:c.add a0, a1<br> [0x8000172a]:sd a0, 1464(tp)<br>  |
| 206|[0x80008678]<br>0x00000000B504F337|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                            |[0x80001742]:c.add a0, a1<br> [0x80001744]:sd a0, 1472(tp)<br>  |
| 207|[0x80008680]<br>0x5555555555555558|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                   |[0x8000176c]:c.add a0, a1<br> [0x8000176e]:sd a0, 1480(tp)<br>  |
| 208|[0x80008688]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x800017b2]:c.add a0, a1<br> [0x800017b4]:sd a0, 1488(tp)<br>  |
| 209|[0x80008690]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800017f8]:c.add a0, a1<br> [0x800017fa]:sd a0, 1496(tp)<br>  |
| 210|[0x80008698]<br>0x555555555555555A|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                   |[0x80001822]:c.add a0, a1<br> [0x80001824]:sd a0, 1504(tp)<br>  |
| 211|[0x800086a0]<br>0x8888888888888888|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80001868]:c.add a0, a1<br> [0x8000186a]:sd a0, 1512(tp)<br>  |
| 212|[0x800086a8]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x800018ae]:c.add a0, a1<br> [0x800018b0]:sd a0, 1520(tp)<br>  |
| 213|[0x800086b0]<br>0x55555554A0506222|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                         |[0x800018e4]:c.add a0, a1<br> [0x800018e6]:sd a0, 1528(tp)<br>  |
| 214|[0x800086b8]<br>0x555555560A5A4888|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                          |[0x8000191a]:c.add a0, a1<br> [0x8000191c]:sd a0, 1536(tp)<br>  |
| 215|[0x800086c0]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                   |[0x80001944]:c.add a0, a1<br> [0x80001946]:sd a0, 1544(tp)<br>  |
| 216|[0x800086c8]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x8000198a]:c.add a0, a1<br> [0x8000198c]:sd a0, 1552(tp)<br>  |
| 217|[0x800086d0]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                   |[0x800019b4]:c.add a0, a1<br> [0x800019b6]:sd a0, 1560(tp)<br>  |
| 218|[0x800086d8]<br>0x5555555555555559|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                   |[0x800019de]:c.add a0, a1<br> [0x800019e0]:sd a0, 1568(tp)<br>  |
| 219|[0x800086e0]<br>0x8888888888888887|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80001a24]:c.add a0, a1<br> [0x80001a26]:sd a0, 1576(tp)<br>  |
| 220|[0x800086e8]<br>0xBBBBBBBBBBBBBBBA|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80001a6a]:c.add a0, a1<br> [0x80001a6c]:sd a0, 1584(tp)<br>  |
| 221|[0x800086f0]<br>0x555555560A5A4887|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                          |[0x80001aa0]:c.add a0, a1<br> [0x80001aa2]:sd a0, 1592(tp)<br>  |
| 222|[0x800086f8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80001ae6]:c.add a0, a1<br> [0x80001ae8]:sd a0, 1600(tp)<br>  |
| 223|[0x80008700]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80001b2c]:c.add a0, a1<br> [0x80001b2e]:sd a0, 1608(tp)<br>  |
| 224|[0x80008708]<br>0x555555555555555B|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                   |[0x80001b56]:c.add a0, a1<br> [0x80001b58]:sd a0, 1616(tp)<br>  |
| 225|[0x80008710]<br>0x8888888888888889|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80001b9c]:c.add a0, a1<br> [0x80001b9e]:sd a0, 1624(tp)<br>  |
| 226|[0x80008718]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80001be2]:c.add a0, a1<br> [0x80001be4]:sd a0, 1632(tp)<br>  |
| 227|[0x80008720]<br>0x55555554A0506223|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                         |[0x80001c18]:c.add a0, a1<br> [0x80001c1a]:sd a0, 1640(tp)<br>  |
| 228|[0x80008728]<br>0x555555560A5A4889|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                          |[0x80001c4e]:c.add a0, a1<br> [0x80001c50]:sd a0, 1648(tp)<br>  |
| 229|[0x80008730]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                  |[0x80001c78]:c.add a0, a1<br> [0x80001c7a]:sd a0, 1656(tp)<br>  |
| 230|[0x80008738]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                |[0x80001cbe]:c.add a0, a1<br> [0x80001cc0]:sd a0, 1664(tp)<br>  |
| 231|[0x80008740]<br>0x5555555555555554|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                               |[0x80001d04]:c.add a0, a1<br> [0x80001d06]:sd a0, 1672(tp)<br>  |
| 232|[0x80008748]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                  |[0x80001d2e]:c.add a0, a1<br> [0x80001d30]:sd a0, 1680(tp)<br>  |
| 233|[0x80008750]<br>0xDDDDDDDDDDDDDDDD|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                |[0x80001d74]:c.add a0, a1<br> [0x80001d76]:sd a0, 1688(tp)<br>  |
| 234|[0x80008758]<br>0x1111111111111110|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                |[0x80001dba]:c.add a0, a1<br> [0x80001dbc]:sd a0, 1696(tp)<br>  |
| 235|[0x80008760]<br>0xAAAAAAA9F5A5B777|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                        |[0x80001df0]:c.add a0, a1<br> [0x80001df2]:sd a0, 1704(tp)<br>  |
| 236|[0x80008768]<br>0xAAAAAAAB5FAF9DDD|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                         |[0x80001e26]:c.add a0, a1<br> [0x80001e28]:sd a0, 1712(tp)<br>  |
| 237|[0x80008770]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                  |[0x80001e50]:c.add a0, a1<br> [0x80001e52]:sd a0, 1720(tp)<br>  |
| 238|[0x80008778]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                |[0x80001e96]:c.add a0, a1<br> [0x80001e98]:sd a0, 1728(tp)<br>  |
| 239|[0x80008780]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                  |[0x80001ec0]:c.add a0, a1<br> [0x80001ec2]:sd a0, 1736(tp)<br>  |
| 240|[0x80008788]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                  |[0x80001eea]:c.add a0, a1<br> [0x80001eec]:sd a0, 1744(tp)<br>  |
| 241|[0x80008790]<br>0xDDDDDDDDDDDDDDDC|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                |[0x80001f30]:c.add a0, a1<br> [0x80001f32]:sd a0, 1752(tp)<br>  |
| 242|[0x80008798]<br>0x111111111111110F|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                |[0x80001f76]:c.add a0, a1<br> [0x80001f78]:sd a0, 1760(tp)<br>  |
| 243|[0x800087a0]<br>0xAAAAAAAB5FAF9DDC|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                         |[0x80001fac]:c.add a0, a1<br> [0x80001fae]:sd a0, 1768(tp)<br>  |
| 244|[0x800087a8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                |[0x80001ff2]:c.add a0, a1<br> [0x80001ff4]:sd a0, 1776(tp)<br>  |
| 245|[0x800087b0]<br>0x5555555555555555|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                               |[0x80002038]:c.add a0, a1<br> [0x8000203a]:sd a0, 1784(tp)<br>  |
| 246|[0x800087b8]<br>0xAAAAAAAAAAAAAAB0|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                  |[0x80002062]:c.add a0, a1<br> [0x80002064]:sd a0, 1792(tp)<br>  |
| 247|[0x800087c0]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                |[0x800020a8]:c.add a0, a1<br> [0x800020aa]:sd a0, 1800(tp)<br>  |
| 248|[0x800087c8]<br>0x1111111111111111|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                |[0x800020ee]:c.add a0, a1<br> [0x800020f0]:sd a0, 1808(tp)<br>  |
| 249|[0x800087d0]<br>0xAAAAAAA9F5A5B778|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                        |[0x80002124]:c.add a0, a1<br> [0x80002126]:sd a0, 1816(tp)<br>  |
| 250|[0x800087d8]<br>0xAAAAAAAB5FAF9DDE|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                         |[0x8000215a]:c.add a0, a1<br> [0x8000215c]:sd a0, 1824(tp)<br>  |
| 251|[0x800087e0]<br>0x0000000000000008|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                     |[0x80002168]:c.add a0, a1<br> [0x8000216a]:sd a0, 1832(tp)<br>  |
| 252|[0x800087e8]<br>0x555555555555555A|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80002192]:c.add a0, a1<br> [0x80002194]:sd a0, 1840(tp)<br>  |
| 253|[0x800087f0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x800021bc]:c.add a0, a1<br> [0x800021be]:sd a0, 1848(tp)<br>  |
| 254|[0x800087f8]<br>0x000000000000000A|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                     |[0x800021ca]:c.add a0, a1<br> [0x800021cc]:sd a0, 1856(tp)<br>  |
| 255|[0x80008800]<br>0x3333333333333338|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x800021f4]:c.add a0, a1<br> [0x800021f6]:sd a0, 1864(tp)<br>  |
| 256|[0x80008808]<br>0x666666666666666B|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x8000221e]:c.add a0, a1<br> [0x80002220]:sd a0, 1872(tp)<br>  |
| 257|[0x80008810]<br>0xFFFFFFFF4AFB0CD2|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80002238]:c.add a0, a1<br> [0x8000223a]:sd a0, 1880(tp)<br>  |
| 258|[0x80008818]<br>0x00000000B504F338|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                            |[0x80002252]:c.add a0, a1<br> [0x80002254]:sd a0, 1888(tp)<br>  |
| 259|[0x80008820]<br>0x0000000000000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                     |[0x80002260]:c.add a0, a1<br> [0x80002262]:sd a0, 1896(tp)<br>  |
| 260|[0x80008828]<br>0x5555555555555559|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x8000228a]:c.add a0, a1<br> [0x8000228c]:sd a0, 1904(tp)<br>  |
| 261|[0x80008830]<br>0x0000000000000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                     |[0x80002298]:c.add a0, a1<br> [0x8000229a]:sd a0, 1912(tp)<br>  |
| 262|[0x80008838]<br>0x0000000000000009|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                     |[0x800022a6]:c.add a0, a1<br> [0x800022a8]:sd a0, 1920(tp)<br>  |
| 263|[0x80008840]<br>0x3333333333333337|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800022d0]:c.add a0, a1<br> [0x800022d2]:sd a0, 1928(tp)<br>  |
| 264|[0x80008848]<br>0x666666666666666A|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x800022fa]:c.add a0, a1<br> [0x800022fc]:sd a0, 1936(tp)<br>  |
| 265|[0x80008850]<br>0x00000000B504F337|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                            |[0x80002314]:c.add a0, a1<br> [0x80002316]:sd a0, 1944(tp)<br>  |
| 266|[0x80008858]<br>0x555555555555555B|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x8000233e]:c.add a0, a1<br> [0x80002340]:sd a0, 1952(tp)<br>  |
| 267|[0x80008860]<br>0xAAAAAAAAAAAAAAB0|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80002368]:c.add a0, a1<br> [0x8000236a]:sd a0, 1960(tp)<br>  |
| 268|[0x80008868]<br>0x000000000000000B|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                     |[0x80002376]:c.add a0, a1<br> [0x80002378]:sd a0, 1968(tp)<br>  |
| 269|[0x80008870]<br>0x3333333333333339|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x800023a0]:c.add a0, a1<br> [0x800023a2]:sd a0, 1976(tp)<br>  |
| 270|[0x80008878]<br>0x666666666666666C|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800023ca]:c.add a0, a1<br> [0x800023cc]:sd a0, 1984(tp)<br>  |
| 271|[0x80008880]<br>0xFFFFFFFF4AFB0CD3|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                           |[0x800023e4]:c.add a0, a1<br> [0x800023e6]:sd a0, 1992(tp)<br>  |
| 272|[0x80008888]<br>0x00000000B504F339|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                            |[0x800023fe]:c.add a0, a1<br> [0x80002400]:sd a0, 2000(tp)<br>  |
| 273|[0x80008890]<br>0x3333333333333336|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                   |[0x80002428]:c.add a0, a1<br> [0x8000242a]:sd a0, 2008(tp)<br>  |
| 274|[0x80008898]<br>0x8888888888888888|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x8000246e]:c.add a0, a1<br> [0x80002470]:sd a0, 2016(tp)<br>  |
| 275|[0x800088a0]<br>0xDDDDDDDDDDDDDDDD|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800024b4]:c.add a0, a1<br> [0x800024b6]:sd a0, 2024(tp)<br>  |
| 276|[0x800088a8]<br>0x3333333333333338|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                   |[0x800024de]:c.add a0, a1<br> [0x800024e0]:sd a0, 2032(tp)<br>  |
| 277|[0x800088b0]<br>0x6666666666666666|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80002524]:c.add a0, a1<br> [0x80002526]:sd a0, 2040(tp)<br>  |
| 278|[0x800088b8]<br>0x9999999999999999|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80002572]:c.add a0, a1<br> [0x80002574]:sd a0, 0(tp)<br>     |
| 279|[0x800088c0]<br>0x333333327E2E4000|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                         |[0x800025a8]:c.add a0, a1<br> [0x800025aa]:sd a0, 8(tp)<br>     |
| 280|[0x800088c8]<br>0x33333333E8382666|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                          |[0x800025de]:c.add a0, a1<br> [0x800025e0]:sd a0, 16(tp)<br>    |
| 281|[0x800088d0]<br>0x3333333333333335|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                   |[0x80002608]:c.add a0, a1<br> [0x8000260a]:sd a0, 24(tp)<br>    |
| 282|[0x800088d8]<br>0x8888888888888887|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x8000264e]:c.add a0, a1<br> [0x80002650]:sd a0, 32(tp)<br>    |
| 283|[0x800088e0]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                   |[0x80002678]:c.add a0, a1<br> [0x8000267a]:sd a0, 40(tp)<br>    |
| 284|[0x800088e8]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                   |[0x800026a2]:c.add a0, a1<br> [0x800026a4]:sd a0, 48(tp)<br>    |
| 285|[0x800088f0]<br>0x6666666666666665|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x800026e8]:c.add a0, a1<br> [0x800026ea]:sd a0, 56(tp)<br>    |
| 286|[0x800088f8]<br>0x9999999999999998|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x8000272e]:c.add a0, a1<br> [0x80002730]:sd a0, 64(tp)<br>    |
| 287|[0x80008900]<br>0x33333333E8382665|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                          |[0x80002764]:c.add a0, a1<br> [0x80002766]:sd a0, 72(tp)<br>    |
| 288|[0x80008908]<br>0x8888888888888889|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x800027aa]:c.add a0, a1<br> [0x800027ac]:sd a0, 80(tp)<br>    |
| 289|[0x80008910]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x800027f0]:c.add a0, a1<br> [0x800027f2]:sd a0, 88(tp)<br>    |
| 290|[0x80008918]<br>0x3333333333333339|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                   |[0x8000281a]:c.add a0, a1<br> [0x8000281c]:sd a0, 96(tp)<br>    |
| 291|[0x80008920]<br>0x6666666666666667|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80002860]:c.add a0, a1<br> [0x80002862]:sd a0, 104(tp)<br>   |
| 292|[0x80008928]<br>0x999999999999999A|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x800028a6]:c.add a0, a1<br> [0x800028a8]:sd a0, 112(tp)<br>   |
| 293|[0x80008930]<br>0x333333327E2E4001|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                         |[0x800028dc]:c.add a0, a1<br> [0x800028de]:sd a0, 120(tp)<br>   |
| 294|[0x80008938]<br>0x33333333E8382667|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                          |[0x80002912]:c.add a0, a1<br> [0x80002914]:sd a0, 128(tp)<br>   |
| 295|[0x80008940]<br>0x6666666666666669|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                   |[0x8000293c]:c.add a0, a1<br> [0x8000293e]:sd a0, 136(tp)<br>   |
| 296|[0x80008948]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80002982]:c.add a0, a1<br> [0x80002984]:sd a0, 144(tp)<br>   |
| 297|[0x80008950]<br>0x1111111111111110|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800029c8]:c.add a0, a1<br> [0x800029ca]:sd a0, 152(tp)<br>   |
| 298|[0x80008958]<br>0x666666666666666B|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                   |[0x800029f2]:c.add a0, a1<br> [0x800029f4]:sd a0, 160(tp)<br>   |
| 299|[0x80008960]<br>0x9999999999999999|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80002a38]:c.add a0, a1<br> [0x80002a3a]:sd a0, 168(tp)<br>   |
| 300|[0x80008968]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80002a7e]:c.add a0, a1<br> [0x80002a80]:sd a0, 176(tp)<br>   |
| 301|[0x80008970]<br>0x66666665B1617333|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                         |[0x80002ab4]:c.add a0, a1<br> [0x80002ab6]:sd a0, 184(tp)<br>   |
| 302|[0x80008978]<br>0x666666671B6B5999|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                          |[0x80002aea]:c.add a0, a1<br> [0x80002aec]:sd a0, 192(tp)<br>   |
| 303|[0x80008980]<br>0x6666666666666668|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                   |[0x80002b14]:c.add a0, a1<br> [0x80002b16]:sd a0, 200(tp)<br>   |
| 304|[0x80008988]<br>0xBBBBBBBBBBBBBBBA|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80002b5a]:c.add a0, a1<br> [0x80002b5c]:sd a0, 208(tp)<br>   |
| 305|[0x80008990]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                   |[0x80002b84]:c.add a0, a1<br> [0x80002b86]:sd a0, 216(tp)<br>   |
| 306|[0x80008998]<br>0x666666666666666A|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                   |[0x80002bae]:c.add a0, a1<br> [0x80002bb0]:sd a0, 224(tp)<br>   |
| 307|[0x800089a0]<br>0x9999999999999998|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80002bf4]:c.add a0, a1<br> [0x80002bf6]:sd a0, 232(tp)<br>   |
| 308|[0x800089a8]<br>0xCCCCCCCCCCCCCCCB|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80002c3a]:c.add a0, a1<br> [0x80002c3c]:sd a0, 240(tp)<br>   |
| 309|[0x800089b0]<br>0x666666671B6B5998|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                          |[0x80002c70]:c.add a0, a1<br> [0x80002c72]:sd a0, 248(tp)<br>   |
| 310|[0x800089b8]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80002cb6]:c.add a0, a1<br> [0x80002cb8]:sd a0, 256(tp)<br>   |
| 311|[0x800089c0]<br>0x1111111111111111|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80002cfc]:c.add a0, a1<br> [0x80002cfe]:sd a0, 264(tp)<br>   |
| 312|[0x800089c8]<br>0x666666666666666C|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                   |[0x80002d26]:c.add a0, a1<br> [0x80002d28]:sd a0, 272(tp)<br>   |
| 313|[0x800089d0]<br>0x999999999999999A|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80002d6c]:c.add a0, a1<br> [0x80002d6e]:sd a0, 280(tp)<br>   |
| 314|[0x800089d8]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80002db2]:c.add a0, a1<br> [0x80002db4]:sd a0, 288(tp)<br>   |
| 315|[0x800089e0]<br>0x66666665B1617334|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                         |[0x80002de8]:c.add a0, a1<br> [0x80002dea]:sd a0, 296(tp)<br>   |
| 316|[0x800089e8]<br>0x666666671B6B599A|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                          |[0x80002e1e]:c.add a0, a1<br> [0x80002e20]:sd a0, 304(tp)<br>   |
| 317|[0x800089f0]<br>0xFFFFFFFF4AFB0CD0|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                           |[0x80002e38]:c.add a0, a1<br> [0x80002e3a]:sd a0, 312(tp)<br>   |
| 318|[0x800089f8]<br>0x55555554A0506222|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                         |[0x80002e6e]:c.add a0, a1<br> [0x80002e70]:sd a0, 320(tp)<br>   |
| 319|[0x80008a00]<br>0xAAAAAAA9F5A5B777|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                        |[0x80002ea4]:c.add a0, a1<br> [0x80002ea6]:sd a0, 328(tp)<br>   |
| 320|[0x80008a08]<br>0xFFFFFFFF4AFB0CD2|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                           |[0x80002ebe]:c.add a0, a1<br> [0x80002ec0]:sd a0, 336(tp)<br>   |
| 321|[0x80008a10]<br>0x333333327E2E4000|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                         |[0x80002ef4]:c.add a0, a1<br> [0x80002ef6]:sd a0, 344(tp)<br>   |
| 322|[0x80008a18]<br>0x66666665B1617333|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                         |[0x80002f2a]:c.add a0, a1<br> [0x80002f2c]:sd a0, 352(tp)<br>   |
| 323|[0x80008a20]<br>0xFFFFFFFE95F6199A|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                 |[0x80002f50]:c.add a0, a1<br> [0x80002f52]:sd a0, 360(tp)<br>   |
| 324|[0x80008a28]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                  |[0x80002f76]:c.add a0, a1<br> [0x80002f78]:sd a0, 368(tp)<br>   |
| 325|[0x80008a30]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                           |[0x80002f90]:c.add a0, a1<br> [0x80002f92]:sd a0, 376(tp)<br>   |
| 326|[0x80008a38]<br>0x55555554A0506221|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                         |[0x80002fc6]:c.add a0, a1<br> [0x80002fc8]:sd a0, 384(tp)<br>   |
| 327|[0x80008a40]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                           |[0x80002fe0]:c.add a0, a1<br> [0x80002fe2]:sd a0, 392(tp)<br>   |
| 328|[0x80008a48]<br>0xFFFFFFFF4AFB0CD1|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                           |[0x80002ffa]:c.add a0, a1<br> [0x80002ffc]:sd a0, 400(tp)<br>   |
| 329|[0x80008a50]<br>0x333333327E2E3FFF|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                         |[0x80003030]:c.add a0, a1<br> [0x80003032]:sd a0, 408(tp)<br>   |
| 330|[0x80008a58]<br>0x66666665B1617332|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                         |[0x80003066]:c.add a0, a1<br> [0x80003068]:sd a0, 416(tp)<br>   |
| 331|[0x80008a60]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                  |[0x8000308c]:c.add a0, a1<br> [0x8000308e]:sd a0, 424(tp)<br>   |
| 332|[0x80008a68]<br>0x55555554A0506223|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                         |[0x800030c2]:c.add a0, a1<br> [0x800030c4]:sd a0, 432(tp)<br>   |
| 333|[0x80008a70]<br>0xAAAAAAA9F5A5B778|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                        |[0x800030f8]:c.add a0, a1<br> [0x800030fa]:sd a0, 440(tp)<br>   |
| 334|[0x80008a78]<br>0xFFFFFFFF4AFB0CD3|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                           |[0x80003112]:c.add a0, a1<br> [0x80003114]:sd a0, 448(tp)<br>   |
| 335|[0x80008a80]<br>0x333333327E2E4001|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                         |[0x80003148]:c.add a0, a1<br> [0x8000314a]:sd a0, 456(tp)<br>   |
| 336|[0x80008a88]<br>0x66666665B1617334|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                         |[0x8000317e]:c.add a0, a1<br> [0x80003180]:sd a0, 464(tp)<br>   |
| 337|[0x80008a90]<br>0xFFFFFFFE95F6199B|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                 |[0x800031a4]:c.add a0, a1<br> [0x800031a6]:sd a0, 472(tp)<br>   |
| 338|[0x80008a98]<br>0x0000000000000001|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                  |[0x800031ca]:c.add a0, a1<br> [0x800031cc]:sd a0, 480(tp)<br>   |
| 339|[0x80008aa0]<br>0x00000000B504F336|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                            |[0x800031e4]:c.add a0, a1<br> [0x800031e6]:sd a0, 488(tp)<br>   |
| 340|[0x80008aa8]<br>0x555555560A5A4888|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x8000321a]:c.add a0, a1<br> [0x8000321c]:sd a0, 496(tp)<br>   |
| 341|[0x80008ab0]<br>0xAAAAAAAB5FAF9DDD|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80003250]:c.add a0, a1<br> [0x80003252]:sd a0, 504(tp)<br>   |
| 342|[0x80008ab8]<br>0x00000000B504F338|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                            |[0x8000326a]:c.add a0, a1<br> [0x8000326c]:sd a0, 512(tp)<br>   |
| 343|[0x80008ac0]<br>0x33333333E8382666|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x800032a0]:c.add a0, a1<br> [0x800032a2]:sd a0, 520(tp)<br>   |
| 344|[0x80008ac8]<br>0x666666671B6B5999|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x800032d6]:c.add a0, a1<br> [0x800032d8]:sd a0, 528(tp)<br>   |
| 345|[0x80008ad0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                  |[0x800032fc]:c.add a0, a1<br> [0x800032fe]:sd a0, 536(tp)<br>   |
| 346|[0x80008ad8]<br>0x000000016A09E666|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                   |[0x80003322]:c.add a0, a1<br> [0x80003324]:sd a0, 544(tp)<br>   |
| 347|[0x80008ae0]<br>0x00000000B504F335|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                            |[0x8000333c]:c.add a0, a1<br> [0x8000333e]:sd a0, 552(tp)<br>   |
| 348|[0x80008ae8]<br>0x555555560A5A4887|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80003372]:c.add a0, a1<br> [0x80003374]:sd a0, 560(tp)<br>   |
| 349|[0x80008af0]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                            |[0x8000338c]:c.add a0, a1<br> [0x8000338e]:sd a0, 568(tp)<br>   |
| 350|[0x80008af8]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                            |[0x800033a6]:c.add a0, a1<br> [0x800033a8]:sd a0, 576(tp)<br>   |
| 351|[0x80008b00]<br>0x33333333E8382665|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x800033dc]:c.add a0, a1<br> [0x800033de]:sd a0, 584(tp)<br>   |
| 352|[0x80008b08]<br>0x666666671B6B5998|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80003412]:c.add a0, a1<br> [0x80003414]:sd a0, 592(tp)<br>   |
| 353|[0x80008b10]<br>0x000000016A09E665|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                   |[0x80003438]:c.add a0, a1<br> [0x8000343a]:sd a0, 600(tp)<br>   |
| 354|[0x80008b18]<br>0x555555560A5A4889|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x8000346e]:c.add a0, a1<br> [0x80003470]:sd a0, 608(tp)<br>   |
| 355|[0x80008b20]<br>0xAAAAAAAB5FAF9DDE|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x800034a4]:c.add a0, a1<br> [0x800034a6]:sd a0, 616(tp)<br>   |
| 356|[0x80008b28]<br>0x00000000B504F339|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                            |[0x800034be]:c.add a0, a1<br> [0x800034c0]:sd a0, 624(tp)<br>   |
| 357|[0x80008b30]<br>0x33333333E8382667|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x800034f4]:c.add a0, a1<br> [0x800034f6]:sd a0, 632(tp)<br>   |
| 358|[0x80008b38]<br>0x666666671B6B599A|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x8000352a]:c.add a0, a1<br> [0x8000352c]:sd a0, 640(tp)<br>   |
| 359|[0x80008b40]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80003550]:c.add a0, a1<br> [0x80003552]:sd a0, 648(tp)<br>   |
| 360|[0x80008b48]<br>0x000000016A09E667|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                   |[0x80003576]:c.add a0, a1<br> [0x80003578]:sd a0, 656(tp)<br>   |
| 361|[0x80008b50]<br>0x0000000000000005|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                     |[0x80003584]:c.add a0, a1<br> [0x80003586]:sd a0, 664(tp)<br>   |
| 362|[0x80008b58]<br>0x5555555555555557|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x800035ae]:c.add a0, a1<br> [0x800035b0]:sd a0, 672(tp)<br>   |
| 363|[0x80008b60]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x800035d8]:c.add a0, a1<br> [0x800035da]:sd a0, 680(tp)<br>   |
| 364|[0x80008b68]<br>0x0000000000000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                     |[0x800035e6]:c.add a0, a1<br> [0x800035e8]:sd a0, 688(tp)<br>   |
| 365|[0x80008b70]<br>0x3333333333333335|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80003610]:c.add a0, a1<br> [0x80003612]:sd a0, 696(tp)<br>   |
| 366|[0x80008b78]<br>0x6666666666666668|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x8000363a]:c.add a0, a1<br> [0x8000363c]:sd a0, 704(tp)<br>   |
| 367|[0x80008b80]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003654]:c.add a0, a1<br> [0x80003656]:sd a0, 712(tp)<br>   |
| 368|[0x80008b88]<br>0x00000000B504F335|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                            |[0x8000366e]:c.add a0, a1<br> [0x80003670]:sd a0, 720(tp)<br>   |
| 369|[0x80008b90]<br>0x0000000000000004|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                     |[0x8000367c]:c.add a0, a1<br> [0x8000367e]:sd a0, 728(tp)<br>   |
| 370|[0x80008b98]<br>0x5555555555555556|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x800036a6]:c.add a0, a1<br> [0x800036a8]:sd a0, 736(tp)<br>   |
| 371|[0x80008ba0]<br>0x0000000000000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                     |[0x800036b4]:c.add a0, a1<br> [0x800036b6]:sd a0, 744(tp)<br>   |
| 372|[0x80008ba8]<br>0x0000000000000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                     |[0x800036c2]:c.add a0, a1<br> [0x800036c4]:sd a0, 752(tp)<br>   |
| 373|[0x80008bb0]<br>0x3333333333333334|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800036ec]:c.add a0, a1<br> [0x800036ee]:sd a0, 760(tp)<br>   |
| 374|[0x80008bb8]<br>0x6666666666666667|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80003716]:c.add a0, a1<br> [0x80003718]:sd a0, 768(tp)<br>   |
| 375|[0x80008bc0]<br>0x00000000B504F334|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                            |[0x80003730]:c.add a0, a1<br> [0x80003732]:sd a0, 776(tp)<br>   |
| 376|[0x80008bc8]<br>0x5555555555555558|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x8000375a]:c.add a0, a1<br> [0x8000375c]:sd a0, 784(tp)<br>   |
| 377|[0x80008bd0]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80003784]:c.add a0, a1<br> [0x80003786]:sd a0, 792(tp)<br>   |
| 378|[0x80008bd8]<br>0x0000000000000008|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                     |[0x80003792]:c.add a0, a1<br> [0x80003794]:sd a0, 800(tp)<br>   |
| 379|[0x80008be0]<br>0x3333333333333336|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x800037bc]:c.add a0, a1<br> [0x800037be]:sd a0, 808(tp)<br>   |
| 380|[0x80008be8]<br>0x6666666666666669|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800037e6]:c.add a0, a1<br> [0x800037e8]:sd a0, 816(tp)<br>   |
| 381|[0x80008bf0]<br>0xFFFFFFFF4AFB0CD0|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80003800]:c.add a0, a1<br> [0x80003802]:sd a0, 824(tp)<br>   |
| 382|[0x80008bf8]<br>0x00000000B504F336|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                            |[0x8000381a]:c.add a0, a1<br> [0x8000381c]:sd a0, 832(tp)<br>   |
| 383|[0x80008c00]<br>0x5555555555555557|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                   |[0x80003844]:c.add a0, a1<br> [0x80003846]:sd a0, 840(tp)<br>   |
| 384|[0x80008c08]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x8000388a]:c.add a0, a1<br> [0x8000388c]:sd a0, 848(tp)<br>   |
| 385|[0x80008c10]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800038d0]:c.add a0, a1<br> [0x800038d2]:sd a0, 856(tp)<br>   |
| 386|[0x80008c18]<br>0x5555555555555559|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                   |[0x800038fa]:c.add a0, a1<br> [0x800038fc]:sd a0, 864(tp)<br>   |
| 387|[0x80008c20]<br>0x8888888888888887|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80003940]:c.add a0, a1<br> [0x80003942]:sd a0, 872(tp)<br>   |
| 388|[0x80008c28]<br>0xBBBBBBBBBBBBBBBA|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80003986]:c.add a0, a1<br> [0x80003988]:sd a0, 880(tp)<br>   |
| 389|[0x80008c30]<br>0x55555554A0506221|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                         |[0x800039bc]:c.add a0, a1<br> [0x800039be]:sd a0, 888(tp)<br>   |
| 390|[0x80008c38]<br>0x555555560A5A4887|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                          |[0x800039f2]:c.add a0, a1<br> [0x800039f4]:sd a0, 896(tp)<br>   |
| 391|[0x80008c40]<br>0x5555555555555556|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                   |[0x80003a1c]:c.add a0, a1<br> [0x80003a1e]:sd a0, 904(tp)<br>   |
| 392|[0x80008c48]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80003a62]:c.add a0, a1<br> [0x80003a64]:sd a0, 912(tp)<br>   |
| 393|[0x80008c50]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                   |[0x80003a8c]:c.add a0, a1<br> [0x80003a8e]:sd a0, 920(tp)<br>   |
| 394|[0x80008c58]<br>0x5555555555555558|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                   |[0x80003ab6]:c.add a0, a1<br> [0x80003ab8]:sd a0, 928(tp)<br>   |
| 395|[0x80008c60]<br>0x8888888888888886|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80003afc]:c.add a0, a1<br> [0x80003afe]:sd a0, 936(tp)<br>   |
| 396|[0x80008c68]<br>0xBBBBBBBBBBBBBBB9|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80003b42]:c.add a0, a1<br> [0x80003b44]:sd a0, 944(tp)<br>   |
| 397|[0x80008c70]<br>0x555555560A5A4886|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                          |[0x80003b78]:c.add a0, a1<br> [0x80003b7a]:sd a0, 952(tp)<br>   |
| 398|[0x80008c78]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80003bbe]:c.add a0, a1<br> [0x80003bc0]:sd a0, 960(tp)<br>   |
| 399|[0x80008c80]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80003c04]:c.add a0, a1<br> [0x80003c06]:sd a0, 968(tp)<br>   |
| 400|[0x80008c88]<br>0x555555555555555A|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                   |[0x80003c2e]:c.add a0, a1<br> [0x80003c30]:sd a0, 976(tp)<br>   |
| 401|[0x80008c90]<br>0x8888888888888888|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80003c74]:c.add a0, a1<br> [0x80003c76]:sd a0, 984(tp)<br>   |
| 402|[0x80008c98]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80003cba]:c.add a0, a1<br> [0x80003cbc]:sd a0, 992(tp)<br>   |
| 403|[0x80008ca0]<br>0x55555554A0506222|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                         |[0x80003cf0]:c.add a0, a1<br> [0x80003cf2]:sd a0, 1000(tp)<br>  |
| 404|[0x80008ca8]<br>0x555555560A5A4888|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                          |[0x80003d26]:c.add a0, a1<br> [0x80003d28]:sd a0, 1008(tp)<br>  |
| 405|[0x80008cb0]<br>0x0000000000000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                     |[0x80003d34]:c.add a0, a1<br> [0x80003d36]:sd a0, 1016(tp)<br>  |
| 406|[0x80008cb8]<br>0x5555555555555555|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80003d5e]:c.add a0, a1<br> [0x80003d60]:sd a0, 1024(tp)<br>  |
| 407|[0x80008cc0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80003d88]:c.add a0, a1<br> [0x80003d8a]:sd a0, 1032(tp)<br>  |
| 408|[0x80008cc8]<br>0x0000000000000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                     |[0x80003d96]:c.add a0, a1<br> [0x80003d98]:sd a0, 1040(tp)<br>  |
| 409|[0x80008cd0]<br>0x3333333333333333|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80003dc0]:c.add a0, a1<br> [0x80003dc2]:sd a0, 1048(tp)<br>  |
| 410|[0x80008cd8]<br>0x6666666666666666|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80003dea]:c.add a0, a1<br> [0x80003dec]:sd a0, 1056(tp)<br>  |
| 411|[0x80008ce0]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003e04]:c.add a0, a1<br> [0x80003e06]:sd a0, 1064(tp)<br>  |
| 412|[0x80008ce8]<br>0x00000000B504F333|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                            |[0x80003e1e]:c.add a0, a1<br> [0x80003e20]:sd a0, 1072(tp)<br>  |
| 413|[0x80008cf0]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80003e48]:c.add a0, a1<br> [0x80003e4a]:sd a0, 1080(tp)<br>  |
| 414|[0x80008cf8]<br>0x0000000000000009|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                     |[0x80003e56]:c.add a0, a1<br> [0x80003e58]:sd a0, 1088(tp)<br>  |
| 415|[0x80008d00]<br>0x3333333333333337|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80003e80]:c.add a0, a1<br> [0x80003e82]:sd a0, 1096(tp)<br>  |
| 416|[0x80008d08]<br>0x666666666666666A|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80003eaa]:c.add a0, a1<br> [0x80003eac]:sd a0, 1104(tp)<br>  |
| 417|[0x80008d10]<br>0xFFFFFFFF4AFB0CD1|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003ec4]:c.add a0, a1<br> [0x80003ec6]:sd a0, 1112(tp)<br>  |
| 418|[0x80008d18]<br>0x00000000B504F337|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                            |[0x80003ede]:c.add a0, a1<br> [0x80003ee0]:sd a0, 1120(tp)<br>  |
| 419|[0x80008d20]<br>0x0000000000000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                     |[0x80003eec]:c.add a0, a1<br> [0x80003eee]:sd a0, 1128(tp)<br>  |
| 420|[0x80008d28]<br>0x5555555555555558|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80003f16]:c.add a0, a1<br> [0x80003f18]:sd a0, 1136(tp)<br>  |
| 421|[0x80008d30]<br>0x0000000000000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                     |[0x80003f24]:c.add a0, a1<br> [0x80003f26]:sd a0, 1144(tp)<br>  |
| 422|[0x80008d38]<br>0x0000000000000008|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                     |[0x80003f32]:c.add a0, a1<br> [0x80003f34]:sd a0, 1152(tp)<br>  |
| 423|[0x80008d40]<br>0x3333333333333336|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80003f5c]:c.add a0, a1<br> [0x80003f5e]:sd a0, 1160(tp)<br>  |
| 424|[0x80008d48]<br>0x6666666666666669|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80003f86]:c.add a0, a1<br> [0x80003f88]:sd a0, 1168(tp)<br>  |
| 425|[0x80008d50]<br>0x00000000B504F336|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                            |[0x80003fa0]:c.add a0, a1<br> [0x80003fa2]:sd a0, 1176(tp)<br>  |
| 426|[0x80008d58]<br>0x555555555555555A|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80003fca]:c.add a0, a1<br> [0x80003fcc]:sd a0, 1184(tp)<br>  |
| 427|[0x80008d60]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80003ff4]:c.add a0, a1<br> [0x80003ff6]:sd a0, 1192(tp)<br>  |
| 428|[0x80008d68]<br>0x000000000000000A|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                     |[0x80004002]:c.add a0, a1<br> [0x80004004]:sd a0, 1200(tp)<br>  |
| 429|[0x80008d70]<br>0x3333333333333338|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x8000402c]:c.add a0, a1<br> [0x8000402e]:sd a0, 1208(tp)<br>  |
| 430|[0x80008d78]<br>0x666666666666666B|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x80004056]:c.add a0, a1<br> [0x80004058]:sd a0, 1216(tp)<br>  |
| 431|[0x80008d80]<br>0xFFFFFFFF4AFB0CD2|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80004070]:c.add a0, a1<br> [0x80004072]:sd a0, 1224(tp)<br>  |
| 432|[0x80008d88]<br>0x00000000B504F338|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                            |[0x8000408a]:c.add a0, a1<br> [0x8000408c]:sd a0, 1232(tp)<br>  |
| 433|[0x80008d90]<br>0x3333333333333335|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                   |[0x800040b4]:c.add a0, a1<br> [0x800040b6]:sd a0, 1240(tp)<br>  |
| 434|[0x80008d98]<br>0x8888888888888887|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x800040fa]:c.add a0, a1<br> [0x800040fc]:sd a0, 1248(tp)<br>  |
| 435|[0x80008da0]<br>0xDDDDDDDDDDDDDDDC|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80004140]:c.add a0, a1<br> [0x80004142]:sd a0, 1256(tp)<br>  |
| 436|[0x80008da8]<br>0x3333333333333337|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                   |[0x8000416a]:c.add a0, a1<br> [0x8000416c]:sd a0, 1264(tp)<br>  |
| 437|[0x80008db0]<br>0x6666666666666665|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x800041b0]:c.add a0, a1<br> [0x800041b2]:sd a0, 1272(tp)<br>  |
| 438|[0x80008db8]<br>0x9999999999999998|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x800041f6]:c.add a0, a1<br> [0x800041f8]:sd a0, 1280(tp)<br>  |
| 439|[0x80008dc0]<br>0x333333327E2E3FFF|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                         |[0x8000422c]:c.add a0, a1<br> [0x8000422e]:sd a0, 1288(tp)<br>  |
| 440|[0x80008dc8]<br>0x33333333E8382665|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                          |[0x80004262]:c.add a0, a1<br> [0x80004264]:sd a0, 1296(tp)<br>  |
| 441|[0x80008dd0]<br>0x3333333333333334|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                   |[0x8000428c]:c.add a0, a1<br> [0x8000428e]:sd a0, 1304(tp)<br>  |
| 442|[0x80008dd8]<br>0x8888888888888886|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x800042d2]:c.add a0, a1<br> [0x800042d4]:sd a0, 1312(tp)<br>  |
| 443|[0x80008de0]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                   |[0x800042fc]:c.add a0, a1<br> [0x800042fe]:sd a0, 1320(tp)<br>  |
| 444|[0x80008de8]<br>0x3333333333333336|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                   |[0x80004326]:c.add a0, a1<br> [0x80004328]:sd a0, 1328(tp)<br>  |
| 445|[0x80008df0]<br>0x6666666666666664|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x8000436c]:c.add a0, a1<br> [0x8000436e]:sd a0, 1336(tp)<br>  |
| 446|[0x80008df8]<br>0x9999999999999997|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x800043b2]:c.add a0, a1<br> [0x800043b4]:sd a0, 1344(tp)<br>  |
| 447|[0x80008e00]<br>0x33333333E8382664|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                          |[0x800043e8]:c.add a0, a1<br> [0x800043ea]:sd a0, 1352(tp)<br>  |
| 448|[0x80008e08]<br>0x8888888888888888|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x8000442e]:c.add a0, a1<br> [0x80004430]:sd a0, 1360(tp)<br>  |
| 449|[0x80008e10]<br>0xDDDDDDDDDDDDDDDD|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80004474]:c.add a0, a1<br> [0x80004476]:sd a0, 1368(tp)<br>  |
| 450|[0x80008e18]<br>0x3333333333333338|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                   |[0x8000449e]:c.add a0, a1<br> [0x800044a0]:sd a0, 1376(tp)<br>  |
| 451|[0x80008e20]<br>0x6666666666666666|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x800044e4]:c.add a0, a1<br> [0x800044e6]:sd a0, 1384(tp)<br>  |
| 452|[0x80008e28]<br>0x9999999999999999|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x8000452a]:c.add a0, a1<br> [0x8000452c]:sd a0, 1392(tp)<br>  |
| 453|[0x80008e30]<br>0x333333327E2E4000|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                         |[0x80004560]:c.add a0, a1<br> [0x80004562]:sd a0, 1400(tp)<br>  |
| 454|[0x80008e38]<br>0x33333333E8382666|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                          |[0x80004596]:c.add a0, a1<br> [0x80004598]:sd a0, 1408(tp)<br>  |
| 455|[0x80008e40]<br>0x6666666666666668|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                   |[0x800045c0]:c.add a0, a1<br> [0x800045c2]:sd a0, 1416(tp)<br>  |
| 456|[0x80008e48]<br>0xBBBBBBBBBBBBBBBA|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80004606]:c.add a0, a1<br> [0x80004608]:sd a0, 1424(tp)<br>  |
| 457|[0x80008e50]<br>0x111111111111110F|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x8000464c]:c.add a0, a1<br> [0x8000464e]:sd a0, 1432(tp)<br>  |
| 458|[0x80008e58]<br>0x666666666666666A|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                   |[0x80004676]:c.add a0, a1<br> [0x80004678]:sd a0, 1440(tp)<br>  |
| 459|[0x80008e60]<br>0x9999999999999998|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x800046bc]:c.add a0, a1<br> [0x800046be]:sd a0, 1448(tp)<br>  |
| 460|[0x80008e68]<br>0xCCCCCCCCCCCCCCCB|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80004702]:c.add a0, a1<br> [0x80004704]:sd a0, 1456(tp)<br>  |
| 461|[0x80008e70]<br>0x66666665B1617332|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                         |[0x80004738]:c.add a0, a1<br> [0x8000473a]:sd a0, 1464(tp)<br>  |
| 462|[0x80008e78]<br>0x666666671B6B5998|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                          |[0x8000476e]:c.add a0, a1<br> [0x80004770]:sd a0, 1472(tp)<br>  |
| 463|[0x80008e80]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                   |[0x80004798]:c.add a0, a1<br> [0x8000479a]:sd a0, 1480(tp)<br>  |
| 464|[0x80008e88]<br>0xBBBBBBBBBBBBBBB9|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x800047de]:c.add a0, a1<br> [0x800047e0]:sd a0, 1488(tp)<br>  |
| 465|[0x80008e90]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                   |[0x80004808]:c.add a0, a1<br> [0x8000480a]:sd a0, 1496(tp)<br>  |
| 466|[0x80008e98]<br>0x6666666666666669|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                   |[0x80004832]:c.add a0, a1<br> [0x80004834]:sd a0, 1504(tp)<br>  |
| 467|[0x80008ea0]<br>0x9999999999999997|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80004878]:c.add a0, a1<br> [0x8000487a]:sd a0, 1512(tp)<br>  |
| 468|[0x80008ea8]<br>0xCCCCCCCCCCCCCCCA|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x800048be]:c.add a0, a1<br> [0x800048c0]:sd a0, 1520(tp)<br>  |
| 469|[0x80008eb0]<br>0x666666671B6B5997|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                          |[0x800048f4]:c.add a0, a1<br> [0x800048f6]:sd a0, 1528(tp)<br>  |
| 470|[0x80008eb8]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x8000493a]:c.add a0, a1<br> [0x8000493c]:sd a0, 1536(tp)<br>  |
| 471|[0x80008ec0]<br>0x1111111111111110|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80004980]:c.add a0, a1<br> [0x80004982]:sd a0, 1544(tp)<br>  |
| 472|[0x80008ec8]<br>0x666666666666666B|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                   |[0x800049aa]:c.add a0, a1<br> [0x800049ac]:sd a0, 1552(tp)<br>  |
| 473|[0x80008ed0]<br>0x9999999999999999|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x800049f0]:c.add a0, a1<br> [0x800049f2]:sd a0, 1560(tp)<br>  |
| 474|[0x80008ed8]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80004a36]:c.add a0, a1<br> [0x80004a38]:sd a0, 1568(tp)<br>  |
| 475|[0x80008ee0]<br>0x66666665B1617333|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                         |[0x80004a6c]:c.add a0, a1<br> [0x80004a6e]:sd a0, 1576(tp)<br>  |
| 476|[0x80008ee8]<br>0x666666671B6B5999|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                          |[0x80004aa2]:c.add a0, a1<br> [0x80004aa4]:sd a0, 1584(tp)<br>  |
| 477|[0x80008ef0]<br>0x00000000B504F335|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                            |[0x80004abc]:c.add a0, a1<br> [0x80004abe]:sd a0, 1592(tp)<br>  |
| 478|[0x80008ef8]<br>0x555555560A5A4887|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80004af2]:c.add a0, a1<br> [0x80004af4]:sd a0, 1600(tp)<br>  |
| 479|[0x80008f00]<br>0xAAAAAAAB5FAF9DDC|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80004b28]:c.add a0, a1<br> [0x80004b2a]:sd a0, 1608(tp)<br>  |
| 480|[0x80008f08]<br>0x00000000B504F337|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                            |[0x80004b42]:c.add a0, a1<br> [0x80004b44]:sd a0, 1616(tp)<br>  |
| 481|[0x80008f10]<br>0x33333333E8382665|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80004b78]:c.add a0, a1<br> [0x80004b7a]:sd a0, 1624(tp)<br>  |
| 482|[0x80008f18]<br>0x666666671B6B5998|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80004bae]:c.add a0, a1<br> [0x80004bb0]:sd a0, 1632(tp)<br>  |
| 483|[0x80008f20]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80004bd4]:c.add a0, a1<br> [0x80004bd6]:sd a0, 1640(tp)<br>  |
| 484|[0x80008f28]<br>0x000000016A09E665|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                   |[0x80004bfa]:c.add a0, a1<br> [0x80004bfc]:sd a0, 1648(tp)<br>  |
| 485|[0x80008f30]<br>0x00000000B504F334|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                            |[0x80004c14]:c.add a0, a1<br> [0x80004c16]:sd a0, 1656(tp)<br>  |
| 486|[0x80008f38]<br>0x555555560A5A4886|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80004c4a]:c.add a0, a1<br> [0x80004c4c]:sd a0, 1664(tp)<br>  |
| 487|[0x80008f40]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                            |[0x80004c64]:c.add a0, a1<br> [0x80004c66]:sd a0, 1672(tp)<br>  |
| 488|[0x80008f48]<br>0x00000000B504F336|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                            |[0x80004c7e]:c.add a0, a1<br> [0x80004c80]:sd a0, 1680(tp)<br>  |
| 489|[0x80008f50]<br>0x33333333E8382664|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80004cb4]:c.add a0, a1<br> [0x80004cb6]:sd a0, 1688(tp)<br>  |
| 490|[0x80008f58]<br>0x666666671B6B5997|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80004cea]:c.add a0, a1<br> [0x80004cec]:sd a0, 1696(tp)<br>  |
| 491|[0x80008f60]<br>0x000000016A09E664|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                   |[0x80004d10]:c.add a0, a1<br> [0x80004d12]:sd a0, 1704(tp)<br>  |
| 492|[0x80008f68]<br>0x555555560A5A4888|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80004d46]:c.add a0, a1<br> [0x80004d48]:sd a0, 1712(tp)<br>  |
| 493|[0x80008f70]<br>0xAAAAAAAB5FAF9DDD|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80004d7c]:c.add a0, a1<br> [0x80004d7e]:sd a0, 1720(tp)<br>  |
| 494|[0x80008f78]<br>0x00000000B504F338|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                            |[0x80004d96]:c.add a0, a1<br> [0x80004d98]:sd a0, 1728(tp)<br>  |
| 495|[0x80008f80]<br>0x33333333E8382666|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80004dcc]:c.add a0, a1<br> [0x80004dce]:sd a0, 1736(tp)<br>  |
| 496|[0x80008f88]<br>0x666666671B6B5999|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80004e02]:c.add a0, a1<br> [0x80004e04]:sd a0, 1744(tp)<br>  |
| 497|[0x80008f90]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80004e28]:c.add a0, a1<br> [0x80004e2a]:sd a0, 1752(tp)<br>  |
| 498|[0x80008f98]<br>0x000000016A09E666|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                   |[0x80004e4e]:c.add a0, a1<br> [0x80004e50]:sd a0, 1760(tp)<br>  |
| 499|[0x80008fa0]<br>0x5555555555555559|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                   |[0x80004e78]:c.add a0, a1<br> [0x80004e7a]:sd a0, 1768(tp)<br>  |
| 500|[0x80008fa8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80004ebe]:c.add a0, a1<br> [0x80004ec0]:sd a0, 1776(tp)<br>  |
| 501|[0x80008fb0]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80004f04]:c.add a0, a1<br> [0x80004f06]:sd a0, 1784(tp)<br>  |
| 502|[0x80008fb8]<br>0x555555555555555B|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                   |[0x80004f2e]:c.add a0, a1<br> [0x80004f30]:sd a0, 1792(tp)<br>  |
| 503|[0x80008fc0]<br>0x8888888888888889|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80004f74]:c.add a0, a1<br> [0x80004f76]:sd a0, 1800(tp)<br>  |
| 504|[0x80008fc8]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80004fba]:c.add a0, a1<br> [0x80004fbc]:sd a0, 1808(tp)<br>  |
| 505|[0x80008fd0]<br>0x55555554A0506223|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                         |[0x80004ff0]:c.add a0, a1<br> [0x80004ff2]:sd a0, 1816(tp)<br>  |
| 506|[0x80008fd8]<br>0x555555560A5A4889|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                          |[0x80005026]:c.add a0, a1<br> [0x80005028]:sd a0, 1824(tp)<br>  |
| 507|[0x80008fe0]<br>0x5555555555555558|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                   |[0x80005050]:c.add a0, a1<br> [0x80005052]:sd a0, 1832(tp)<br>  |
| 508|[0x80008fe8]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80005096]:c.add a0, a1<br> [0x80005098]:sd a0, 1840(tp)<br>  |
| 509|[0x80008ff0]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                   |[0x800050c0]:c.add a0, a1<br> [0x800050c2]:sd a0, 1848(tp)<br>  |
| 510|[0x80008ff8]<br>0x555555555555555A|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                   |[0x800050ea]:c.add a0, a1<br> [0x800050ec]:sd a0, 1856(tp)<br>  |
| 511|[0x80009000]<br>0x8888888888888888|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80005130]:c.add a0, a1<br> [0x80005132]:sd a0, 1864(tp)<br>  |
| 512|[0x80009008]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80005176]:c.add a0, a1<br> [0x80005178]:sd a0, 1872(tp)<br>  |
| 513|[0x80009010]<br>0x555555560A5A4888|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                          |[0x800051ac]:c.add a0, a1<br> [0x800051ae]:sd a0, 1880(tp)<br>  |
| 514|[0x80009018]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x800051f2]:c.add a0, a1<br> [0x800051f4]:sd a0, 1888(tp)<br>  |
| 515|[0x80009020]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80005238]:c.add a0, a1<br> [0x8000523a]:sd a0, 1896(tp)<br>  |
| 516|[0x80009028]<br>0x555555555555555C|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                   |[0x80005262]:c.add a0, a1<br> [0x80005264]:sd a0, 1904(tp)<br>  |
| 517|[0x80009030]<br>0x888888888888888A|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x800052a8]:c.add a0, a1<br> [0x800052aa]:sd a0, 1912(tp)<br>  |
| 518|[0x80009038]<br>0xBBBBBBBBBBBBBBBD|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x800052ee]:c.add a0, a1<br> [0x800052f0]:sd a0, 1920(tp)<br>  |
| 519|[0x80009040]<br>0x55555554A0506224|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                         |[0x80005324]:c.add a0, a1<br> [0x80005326]:sd a0, 1928(tp)<br>  |
| 520|[0x80009048]<br>0x555555560A5A488A|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                          |[0x8000535a]:c.add a0, a1<br> [0x8000535c]:sd a0, 1936(tp)<br>  |
| 521|[0x80009050]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                  |[0x80005384]:c.add a0, a1<br> [0x80005386]:sd a0, 1944(tp)<br>  |
| 522|[0x80009058]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                |[0x800053ca]:c.add a0, a1<br> [0x800053cc]:sd a0, 1952(tp)<br>  |
| 523|[0x80009060]<br>0x5555555555555555|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                               |[0x80005410]:c.add a0, a1<br> [0x80005412]:sd a0, 1960(tp)<br>  |
| 524|[0x80009068]<br>0xAAAAAAAAAAAAAAB0|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                  |[0x8000543a]:c.add a0, a1<br> [0x8000543c]:sd a0, 1968(tp)<br>  |
| 525|[0x80009070]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                |[0x80005480]:c.add a0, a1<br> [0x80005482]:sd a0, 1976(tp)<br>  |
| 526|[0x80009078]<br>0x1111111111111111|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                |[0x800054c6]:c.add a0, a1<br> [0x800054c8]:sd a0, 1984(tp)<br>  |
| 527|[0x80009080]<br>0xAAAAAAA9F5A5B778|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                        |[0x800054fc]:c.add a0, a1<br> [0x800054fe]:sd a0, 1992(tp)<br>  |
| 528|[0x80009088]<br>0xAAAAAAAB5FAF9DDE|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                         |[0x80005532]:c.add a0, a1<br> [0x80005534]:sd a0, 2000(tp)<br>  |
| 529|[0x80009090]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                  |[0x8000555c]:c.add a0, a1<br> [0x8000555e]:sd a0, 2008(tp)<br>  |
| 530|[0x80009098]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                |[0x800055a2]:c.add a0, a1<br> [0x800055a4]:sd a0, 2016(tp)<br>  |
| 531|[0x800090a0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                  |[0x800055cc]:c.add a0, a1<br> [0x800055ce]:sd a0, 2024(tp)<br>  |
| 532|[0x800090a8]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                  |[0x800055f6]:c.add a0, a1<br> [0x800055f8]:sd a0, 2032(tp)<br>  |
| 533|[0x800090b0]<br>0xDDDDDDDDDDDDDDDD|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                |[0x8000563c]:c.add a0, a1<br> [0x8000563e]:sd a0, 2040(tp)<br>  |
| 534|[0x800090b8]<br>0x1111111111111110|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                |[0x8000568a]:c.add a0, a1<br> [0x8000568c]:sd a0, 0(tp)<br>     |
| 535|[0x800090c0]<br>0xAAAAAAAB5FAF9DDD|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                         |[0x800056c0]:c.add a0, a1<br> [0x800056c2]:sd a0, 8(tp)<br>     |
| 536|[0x800090c8]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                |[0x80005706]:c.add a0, a1<br> [0x80005708]:sd a0, 16(tp)<br>    |
| 537|[0x800090d0]<br>0x5555555555555556|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                               |[0x8000574c]:c.add a0, a1<br> [0x8000574e]:sd a0, 24(tp)<br>    |
| 538|[0x800090d8]<br>0xAAAAAAAAAAAAAAB1|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                  |[0x80005776]:c.add a0, a1<br> [0x80005778]:sd a0, 32(tp)<br>    |
| 539|[0x800090e0]<br>0xDDDDDDDDDDDDDDDF|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                |[0x800057bc]:c.add a0, a1<br> [0x800057be]:sd a0, 40(tp)<br>    |
| 540|[0x800090e8]<br>0x1111111111111112|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                |[0x80005802]:c.add a0, a1<br> [0x80005804]:sd a0, 48(tp)<br>    |
| 541|[0x800090f0]<br>0xAAAAAAA9F5A5B779|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                        |[0x80005838]:c.add a0, a1<br> [0x8000583a]:sd a0, 56(tp)<br>    |
| 542|[0x800090f8]<br>0xAAAAAAAB5FAF9DDF|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                         |[0x8000586e]:c.add a0, a1<br> [0x80005870]:sd a0, 64(tp)<br>    |
| 543|[0x80009100]<br>0x0000000000000009|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                     |[0x8000587c]:c.add a0, a1<br> [0x8000587e]:sd a0, 72(tp)<br>    |
| 544|[0x80009108]<br>0x555555555555555B|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x800058a6]:c.add a0, a1<br> [0x800058a8]:sd a0, 80(tp)<br>    |
| 545|[0x80009110]<br>0xAAAAAAAAAAAAAAB0|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x800058d0]:c.add a0, a1<br> [0x800058d2]:sd a0, 88(tp)<br>    |
| 546|[0x80009118]<br>0x000000000000000B|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                     |[0x800058de]:c.add a0, a1<br> [0x800058e0]:sd a0, 96(tp)<br>    |
| 547|[0x80009120]<br>0x3333333333333339|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80005908]:c.add a0, a1<br> [0x8000590a]:sd a0, 104(tp)<br>   |
| 548|[0x80009128]<br>0x666666666666666C|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80005932]:c.add a0, a1<br> [0x80005934]:sd a0, 112(tp)<br>   |
| 549|[0x80009130]<br>0xFFFFFFFF4AFB0CD3|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                           |[0x8000594c]:c.add a0, a1<br> [0x8000594e]:sd a0, 120(tp)<br>   |
| 550|[0x80009138]<br>0x00000000B504F339|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                            |[0x80005966]:c.add a0, a1<br> [0x80005968]:sd a0, 128(tp)<br>   |
| 551|[0x80009140]<br>0x0000000000000008|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                     |[0x80005974]:c.add a0, a1<br> [0x80005976]:sd a0, 136(tp)<br>   |
| 552|[0x80009148]<br>0x555555555555555A|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x8000599e]:c.add a0, a1<br> [0x800059a0]:sd a0, 144(tp)<br>   |
| 553|[0x80009150]<br>0x0000000000000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                     |[0x800059ac]:c.add a0, a1<br> [0x800059ae]:sd a0, 152(tp)<br>   |
| 554|[0x80009158]<br>0x000000000000000A|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                     |[0x800059ba]:c.add a0, a1<br> [0x800059bc]:sd a0, 160(tp)<br>   |
| 555|[0x80009160]<br>0x3333333333333338|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800059e4]:c.add a0, a1<br> [0x800059e6]:sd a0, 168(tp)<br>   |
| 556|[0x80009168]<br>0x666666666666666B|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80005a0e]:c.add a0, a1<br> [0x80005a10]:sd a0, 176(tp)<br>   |
| 557|[0x80009170]<br>0x00000000B504F338|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                            |[0x80005a28]:c.add a0, a1<br> [0x80005a2a]:sd a0, 184(tp)<br>   |
| 558|[0x80009178]<br>0x555555555555555C|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80005a52]:c.add a0, a1<br> [0x80005a54]:sd a0, 192(tp)<br>   |
| 559|[0x80009180]<br>0xAAAAAAAAAAAAAAB1|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80005a7c]:c.add a0, a1<br> [0x80005a7e]:sd a0, 200(tp)<br>   |
| 560|[0x80009188]<br>0x000000000000000C|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                     |[0x80005a8a]:c.add a0, a1<br> [0x80005a8c]:sd a0, 208(tp)<br>   |
| 561|[0x80009190]<br>0x333333333333333A|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80005ab4]:c.add a0, a1<br> [0x80005ab6]:sd a0, 216(tp)<br>   |
| 562|[0x80009198]<br>0x666666666666666D|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x80005ade]:c.add a0, a1<br> [0x80005ae0]:sd a0, 224(tp)<br>   |
| 563|[0x800091a0]<br>0xFFFFFFFF4AFB0CD4|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80005af8]:c.add a0, a1<br> [0x80005afa]:sd a0, 232(tp)<br>   |
| 564|[0x800091a8]<br>0x00000000B504F33A|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                            |[0x80005b12]:c.add a0, a1<br> [0x80005b14]:sd a0, 240(tp)<br>   |
| 565|[0x800091b0]<br>0x3333333333333337|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                   |[0x80005b3c]:c.add a0, a1<br> [0x80005b3e]:sd a0, 248(tp)<br>   |
| 566|[0x800091b8]<br>0x8888888888888889|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x80005b82]:c.add a0, a1<br> [0x80005b84]:sd a0, 256(tp)<br>   |
| 567|[0x800091c0]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x80005bc8]:c.add a0, a1<br> [0x80005bca]:sd a0, 264(tp)<br>   |
| 568|[0x800091c8]<br>0x3333333333333339|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                   |[0x80005bf2]:c.add a0, a1<br> [0x80005bf4]:sd a0, 272(tp)<br>   |
| 569|[0x800091d0]<br>0x6666666666666667|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80005c38]:c.add a0, a1<br> [0x80005c3a]:sd a0, 280(tp)<br>   |
| 570|[0x800091d8]<br>0x999999999999999A|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x80005c7e]:c.add a0, a1<br> [0x80005c80]:sd a0, 288(tp)<br>   |
| 571|[0x800091e0]<br>0x333333327E2E4001|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                         |[0x80005cb4]:c.add a0, a1<br> [0x80005cb6]:sd a0, 296(tp)<br>   |
| 572|[0x800091e8]<br>0x33333333E8382667|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                          |[0x80005cea]:c.add a0, a1<br> [0x80005cec]:sd a0, 304(tp)<br>   |
| 573|[0x800091f0]<br>0x3333333333333336|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                   |[0x80005d14]:c.add a0, a1<br> [0x80005d16]:sd a0, 312(tp)<br>   |
| 574|[0x800091f8]<br>0x8888888888888888|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80005d5a]:c.add a0, a1<br> [0x80005d5c]:sd a0, 320(tp)<br>   |
| 575|[0x80009200]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                   |[0x80005d84]:c.add a0, a1<br> [0x80005d86]:sd a0, 328(tp)<br>   |
| 576|[0x80009208]<br>0x3333333333333338|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                   |[0x80005dae]:c.add a0, a1<br> [0x80005db0]:sd a0, 336(tp)<br>   |
| 577|[0x80009210]<br>0x6666666666666666|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80005df4]:c.add a0, a1<br> [0x80005df6]:sd a0, 344(tp)<br>   |
| 578|[0x80009218]<br>0x9999999999999999|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80005e3a]:c.add a0, a1<br> [0x80005e3c]:sd a0, 352(tp)<br>   |
| 579|[0x80009220]<br>0x33333333E8382666|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                          |[0x80005e70]:c.add a0, a1<br> [0x80005e72]:sd a0, 360(tp)<br>   |
| 580|[0x80009228]<br>0x888888888888888A|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x80005eb6]:c.add a0, a1<br> [0x80005eb8]:sd a0, 368(tp)<br>   |
| 581|[0x80009230]<br>0xDDDDDDDDDDDDDDDF|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80005efc]:c.add a0, a1<br> [0x80005efe]:sd a0, 376(tp)<br>   |
| 582|[0x80009238]<br>0x333333333333333A|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                   |[0x80005f26]:c.add a0, a1<br> [0x80005f28]:sd a0, 384(tp)<br>   |
| 583|[0x80009240]<br>0x6666666666666668|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80005f6c]:c.add a0, a1<br> [0x80005f6e]:sd a0, 392(tp)<br>   |
| 584|[0x80009248]<br>0x999999999999999B|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x80005fb2]:c.add a0, a1<br> [0x80005fb4]:sd a0, 400(tp)<br>   |
| 585|[0x80009250]<br>0x333333327E2E4002|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                         |[0x80005fe8]:c.add a0, a1<br> [0x80005fea]:sd a0, 408(tp)<br>   |
| 586|[0x80009258]<br>0x33333333E8382668|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                          |[0x8000601e]:c.add a0, a1<br> [0x80006020]:sd a0, 416(tp)<br>   |
| 587|[0x80009260]<br>0x666666666666666A|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                   |[0x80006048]:c.add a0, a1<br> [0x8000604a]:sd a0, 424(tp)<br>   |
| 588|[0x80009268]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                 |[0x8000608e]:c.add a0, a1<br> [0x80006090]:sd a0, 432(tp)<br>   |
| 589|[0x80009270]<br>0x1111111111111111|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                |[0x800060d4]:c.add a0, a1<br> [0x800060d6]:sd a0, 440(tp)<br>   |
| 590|[0x80009278]<br>0x666666666666666C|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                   |[0x800060fe]:c.add a0, a1<br> [0x80006100]:sd a0, 448(tp)<br>   |
| 591|[0x80009280]<br>0x999999999999999A|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                 |[0x80006144]:c.add a0, a1<br> [0x80006146]:sd a0, 456(tp)<br>   |
| 592|[0x80009288]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                 |[0x8000618a]:c.add a0, a1<br> [0x8000618c]:sd a0, 464(tp)<br>   |
| 593|[0x80009290]<br>0x66666665B1617334|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                         |[0x800061c0]:c.add a0, a1<br> [0x800061c2]:sd a0, 472(tp)<br>   |
| 594|[0x80009298]<br>0x666666671B6B599A|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                          |[0x800061f6]:c.add a0, a1<br> [0x800061f8]:sd a0, 480(tp)<br>   |
| 595|[0x800092a0]<br>0x6666666666666669|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                   |[0x80006220]:c.add a0, a1<br> [0x80006222]:sd a0, 488(tp)<br>   |
| 596|[0x800092a8]<br>0xBBBBBBBBBBBBBBBB|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                 |[0x80006266]:c.add a0, a1<br> [0x80006268]:sd a0, 496(tp)<br>   |
| 597|[0x800092b0]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                   |[0x80006290]:c.add a0, a1<br> [0x80006292]:sd a0, 504(tp)<br>   |
| 598|[0x800092b8]<br>0x666666666666666B|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                   |[0x800062ba]:c.add a0, a1<br> [0x800062bc]:sd a0, 512(tp)<br>   |
| 599|[0x800092c0]<br>0x9999999999999999|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                 |[0x80006300]:c.add a0, a1<br> [0x80006302]:sd a0, 520(tp)<br>   |
| 600|[0x800092c8]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                 |[0x80006346]:c.add a0, a1<br> [0x80006348]:sd a0, 528(tp)<br>   |
| 601|[0x800092d0]<br>0x666666671B6B5999|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                          |[0x8000637c]:c.add a0, a1<br> [0x8000637e]:sd a0, 536(tp)<br>   |
| 602|[0x800092d8]<br>0xBBBBBBBBBBBBBBBD|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                 |[0x800063c2]:c.add a0, a1<br> [0x800063c4]:sd a0, 544(tp)<br>   |
| 603|[0x800092e0]<br>0x1111111111111112|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                |[0x80006408]:c.add a0, a1<br> [0x8000640a]:sd a0, 552(tp)<br>   |
| 604|[0x800092e8]<br>0x666666666666666D|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                   |[0x80006432]:c.add a0, a1<br> [0x80006434]:sd a0, 560(tp)<br>   |
| 605|[0x800092f0]<br>0x999999999999999B|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                 |[0x80006478]:c.add a0, a1<br> [0x8000647a]:sd a0, 568(tp)<br>   |
| 606|[0x800092f8]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                 |[0x800064be]:c.add a0, a1<br> [0x800064c0]:sd a0, 576(tp)<br>   |
| 607|[0x80009300]<br>0x66666665B1617335|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                         |[0x800064f4]:c.add a0, a1<br> [0x800064f6]:sd a0, 584(tp)<br>   |
| 608|[0x80009308]<br>0x666666671B6B599B|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                          |[0x8000652a]:c.add a0, a1<br> [0x8000652c]:sd a0, 592(tp)<br>   |
| 609|[0x80009310]<br>0xFFFFFFFF4AFB0CD1|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                           |[0x80006544]:c.add a0, a1<br> [0x80006546]:sd a0, 600(tp)<br>   |
| 610|[0x80009318]<br>0x55555554A0506223|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                         |[0x8000657a]:c.add a0, a1<br> [0x8000657c]:sd a0, 608(tp)<br>   |
| 611|[0x80009320]<br>0xFFFFFFFF4AFB0CD3|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                           |[0x80006594]:c.add a0, a1<br> [0x80006596]:sd a0, 616(tp)<br>   |
| 612|[0x80009328]<br>0x333333327E2E4001|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                         |[0x800065ca]:c.add a0, a1<br> [0x800065cc]:sd a0, 624(tp)<br>   |
| 613|[0x80009330]<br>0x66666665B1617334|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                         |[0x80006600]:c.add a0, a1<br> [0x80006602]:sd a0, 632(tp)<br>   |
| 614|[0x80009338]<br>0xFFFFFFFE95F6199B|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                 |[0x80006626]:c.add a0, a1<br> [0x80006628]:sd a0, 640(tp)<br>   |
| 615|[0x80009340]<br>0x0000000000000001|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                  |[0x8000664c]:c.add a0, a1<br> [0x8000664e]:sd a0, 648(tp)<br>   |
| 616|[0x80009348]<br>0xFFFFFFFF4AFB0CD0|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                           |[0x80006666]:c.add a0, a1<br> [0x80006668]:sd a0, 656(tp)<br>   |
| 617|[0x80009350]<br>0x55555554A0506222|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                         |[0x8000669c]:c.add a0, a1<br> [0x8000669e]:sd a0, 664(tp)<br>   |
| 618|[0x80009358]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                           |[0x800066b6]:c.add a0, a1<br> [0x800066b8]:sd a0, 672(tp)<br>   |
| 619|[0x80009360]<br>0xFFFFFFFF4AFB0CD2|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                           |[0x800066d0]:c.add a0, a1<br> [0x800066d2]:sd a0, 680(tp)<br>   |
| 620|[0x80009368]<br>0x333333327E2E4000|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                         |[0x80006706]:c.add a0, a1<br> [0x80006708]:sd a0, 688(tp)<br>   |
| 621|[0x80009370]<br>0x66666665B1617333|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                         |[0x8000673c]:c.add a0, a1<br> [0x8000673e]:sd a0, 696(tp)<br>   |
| 622|[0x80009378]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                  |[0x80006762]:c.add a0, a1<br> [0x80006764]:sd a0, 704(tp)<br>   |
| 623|[0x80009380]<br>0x55555554A0506224|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                         |[0x80006798]:c.add a0, a1<br> [0x8000679a]:sd a0, 712(tp)<br>   |
| 624|[0x80009388]<br>0xAAAAAAA9F5A5B779|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                        |[0x800067ce]:c.add a0, a1<br> [0x800067d0]:sd a0, 720(tp)<br>   |
| 625|[0x80009390]<br>0xFFFFFFFF4AFB0CD4|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                           |[0x800067e8]:c.add a0, a1<br> [0x800067ea]:sd a0, 728(tp)<br>   |
| 626|[0x80009398]<br>0x333333327E2E4002|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                         |[0x8000681e]:c.add a0, a1<br> [0x80006820]:sd a0, 736(tp)<br>   |
| 627|[0x800093a0]<br>0x66666665B1617335|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                         |[0x80006854]:c.add a0, a1<br> [0x80006856]:sd a0, 744(tp)<br>   |
| 628|[0x800093a8]<br>0xFFFFFFFE95F6199C|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                 |[0x8000687a]:c.add a0, a1<br> [0x8000687c]:sd a0, 752(tp)<br>   |
| 629|[0x800093b0]<br>0x0000000000000002|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                  |[0x800068a0]:c.add a0, a1<br> [0x800068a2]:sd a0, 760(tp)<br>   |
| 630|[0x800093b8]<br>0x00000000B504F337|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                            |[0x800068ba]:c.add a0, a1<br> [0x800068bc]:sd a0, 768(tp)<br>   |
| 631|[0x800093c0]<br>0x555555560A5A4889|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x800068f0]:c.add a0, a1<br> [0x800068f2]:sd a0, 776(tp)<br>   |
| 632|[0x800093c8]<br>0xAAAAAAAB5FAF9DDE|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80006926]:c.add a0, a1<br> [0x80006928]:sd a0, 784(tp)<br>   |
| 633|[0x800093d0]<br>0x00000000B504F339|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                            |[0x80006940]:c.add a0, a1<br> [0x80006942]:sd a0, 792(tp)<br>   |
| 634|[0x800093d8]<br>0x33333333E8382667|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80006976]:c.add a0, a1<br> [0x80006978]:sd a0, 800(tp)<br>   |
| 635|[0x800093e0]<br>0x666666671B6B599A|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x800069ac]:c.add a0, a1<br> [0x800069ae]:sd a0, 808(tp)<br>   |
| 636|[0x800093e8]<br>0x0000000000000001|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                  |[0x800069d2]:c.add a0, a1<br> [0x800069d4]:sd a0, 816(tp)<br>   |
| 637|[0x800093f0]<br>0x000000016A09E667|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                   |[0x800069f8]:c.add a0, a1<br> [0x800069fa]:sd a0, 824(tp)<br>   |
| 638|[0x800093f8]<br>0x00000000B504F336|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                            |[0x80006a12]:c.add a0, a1<br> [0x80006a14]:sd a0, 832(tp)<br>   |
| 639|[0x80009400]<br>0x555555560A5A4888|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80006a48]:c.add a0, a1<br> [0x80006a4a]:sd a0, 840(tp)<br>   |
| 640|[0x80009408]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                            |[0x80006a62]:c.add a0, a1<br> [0x80006a64]:sd a0, 848(tp)<br>   |
| 641|[0x80009410]<br>0x00000000B504F338|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                            |[0x80006a7c]:c.add a0, a1<br> [0x80006a7e]:sd a0, 856(tp)<br>   |
| 642|[0x80009418]<br>0x33333333E8382666|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80006ab2]:c.add a0, a1<br> [0x80006ab4]:sd a0, 864(tp)<br>   |
| 643|[0x80009420]<br>0x666666671B6B5999|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80006ae8]:c.add a0, a1<br> [0x80006aea]:sd a0, 872(tp)<br>   |
| 644|[0x80009428]<br>0x000000016A09E666|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                   |[0x80006b0e]:c.add a0, a1<br> [0x80006b10]:sd a0, 880(tp)<br>   |
| 645|[0x80009430]<br>0x555555560A5A488A|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80006b44]:c.add a0, a1<br> [0x80006b46]:sd a0, 888(tp)<br>   |
| 646|[0x80009438]<br>0xAAAAAAAB5FAF9DDF|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80006b7a]:c.add a0, a1<br> [0x80006b7c]:sd a0, 896(tp)<br>   |
| 647|[0x80009440]<br>0x00000000B504F33A|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                            |[0x80006b94]:c.add a0, a1<br> [0x80006b96]:sd a0, 904(tp)<br>   |
| 648|[0x80009448]<br>0x33333333E8382668|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80006bca]:c.add a0, a1<br> [0x80006bcc]:sd a0, 912(tp)<br>   |
| 649|[0x80009450]<br>0x666666671B6B599B|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80006c00]:c.add a0, a1<br> [0x80006c02]:sd a0, 920(tp)<br>   |
| 650|[0x80009458]<br>0x0000000000000002|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80006c26]:c.add a0, a1<br> [0x80006c28]:sd a0, 928(tp)<br>   |
| 651|[0x80009460]<br>0x000000016A09E668|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                   |[0x80006c4c]:c.add a0, a1<br> [0x80006c4e]:sd a0, 936(tp)<br>   |
| 652|[0x80009468]<br>0x0000000000000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                     |[0x80006c5a]:c.add a0, a1<br> [0x80006c5c]:sd a0, 944(tp)<br>   |
| 653|[0x80009470]<br>0x5555555555555554|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80006c84]:c.add a0, a1<br> [0x80006c86]:sd a0, 952(tp)<br>   |
| 654|[0x80009478]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                     |[0x80006c92]:c.add a0, a1<br> [0x80006c94]:sd a0, 960(tp)<br>   |
| 655|[0x80009480]<br>0x0000000000000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                     |[0x80006ca0]:c.add a0, a1<br> [0x80006ca2]:sd a0, 968(tp)<br>   |
| 656|[0x80009488]<br>0x3333333333333332|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80006cca]:c.add a0, a1<br> [0x80006ccc]:sd a0, 976(tp)<br>   |
| 657|[0x80009490]<br>0x6666666666666665|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80006cf4]:c.add a0, a1<br> [0x80006cf6]:sd a0, 984(tp)<br>   |
| 658|[0x80009498]<br>0x00000000B504F332|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                            |[0x80006d0e]:c.add a0, a1<br> [0x80006d10]:sd a0, 992(tp)<br>   |
| 659|[0x800094a0]<br>0x5555555555555556|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80006d38]:c.add a0, a1<br> [0x80006d3a]:sd a0, 1000(tp)<br>  |
| 660|[0x800094a8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80006d62]:c.add a0, a1<br> [0x80006d64]:sd a0, 1008(tp)<br>  |
| 661|[0x800094b0]<br>0x0000000000000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                     |[0x80006d70]:c.add a0, a1<br> [0x80006d72]:sd a0, 1016(tp)<br>  |
| 662|[0x800094b8]<br>0x3333333333333334|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80006d9a]:c.add a0, a1<br> [0x80006d9c]:sd a0, 1024(tp)<br>  |
| 663|[0x800094c0]<br>0x6666666666666667|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x80006dc4]:c.add a0, a1<br> [0x80006dc6]:sd a0, 1032(tp)<br>  |
| 664|[0x800094c8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80006dde]:c.add a0, a1<br> [0x80006de0]:sd a0, 1040(tp)<br>  |
| 665|[0x800094d0]<br>0x00000000B504F334|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                            |[0x80006df8]:c.add a0, a1<br> [0x80006dfa]:sd a0, 1048(tp)<br>  |
| 666|[0x800094d8]<br>0x0000000000000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                     |[0x80006e06]:c.add a0, a1<br> [0x80006e08]:sd a0, 1056(tp)<br>  |
| 667|[0x800094e0]<br>0x5555555555555559|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80006e30]:c.add a0, a1<br> [0x80006e32]:sd a0, 1064(tp)<br>  |
| 668|[0x800094f0]<br>0x0000001000000001|- rs1_val == 1<br>                                                                                                                                                                  |[0x80006e54]:c.add a0, a1<br> [0x80006e56]:sd a0, 1080(tp)<br>  |
